-- CREATE EMPTY TABLE SHELLS FOR LOADING 2010 DP DATA
-- These statements are for the revised demographic profile files that contain all SF1 geography
-- SQLite interprets varchar as text, and does not enforce length

-- drop table geo_header_dp;
create table geo_header_dp
 (
	fileid			varchar(12), 
	stusab			varchar(4), 
	sumlev			varchar(6), 
	geocomp			varchar(4), 
	chariter			varchar(6), 
	cifsn			varchar(4), 
	logrecno			integer PRIMARY KEY, 
	region			varchar(2), 
	division			varchar(2), 
	state			varchar(4), 
	county			varchar(6), 
	countycc			varchar(4), 
	countysc			varchar(4), 
	cousub			varchar(10), 
	cousubcc			varchar(4), 
	cousubsc			varchar(4), 
	place			varchar(10), 
	placecc			varchar(4), 
	placesc			varchar(4), 
	tract			varchar(12), 
	blkgrp			varchar(2), 
	block			varchar(8), 
	iuc			varchar(4), 
	concit			varchar(10), 
	concitcc			varchar(4), 
	concitsc			varchar(4), 
	aianhh			varchar(8), 
	aianhhfp			varchar(10), 
	aianhhcc			varchar(4), 
	aihhtli			varchar(2), 
	aitsce			varchar(6), 
	aits			varchar(10), 
	aitscc			varchar(4), 
	ttract			varchar(12), 
	tblkgrp			varchar(2), 
	anrc			varchar(10), 
	anrccc			varchar(4), 
	cbsa			varchar(10), 
	cbsasc			varchar(4), 
	metdiv			varchar(10), 
	csa			varchar(6), 
	necta			varchar(10), 
	nectasc			varchar(4), 
	nectadiv			varchar(10), 
	cnecta			varchar(6), 
	cbsapci			varchar(2), 
	nectapci			varchar(2), 
	ua			varchar(10), 
	uasc			varchar(4), 
	uatype			varchar(2), 
	ur			varchar(2), 
	cd			varchar(4), 
	sldu			varchar(6), 
	sldl			varchar(6), 
	vtd			varchar(12), 
	vtdi			varchar(2), 
	reserve2			varchar(6), 
	zcta5			varchar(10), 
	submcd			varchar(10), 
	submcdcc			varchar(4), 
	sdelem			varchar(10), 
	sdsec			varchar(10), 
	sduni			varchar(10), 
	arealand			numeric, 
	areawatr			numeric, 
	name			varchar(180), 
	funcstat			varchar(2), 
	gcuni			varchar(2), 
	pop100			integer, 
	hu100			integer, 
	intptlat			varchar(22), 
	intptlon			varchar(24), 
	lsadc			varchar(4), 
	partflag			varchar(2), 
	reserve3			varchar(12), 
	uga			varchar(10), 
	statens			varchar(16), 
	countyns			varchar(16), 
	cousubns			varchar(16), 
	placens			varchar(16), 
	concitns			varchar(16), 
	aianhhns			varchar(16), 
	aitsns			varchar(16), 
	anrcns			varchar(16), 
	submcdns			varchar(16), 
	cd113			varchar(4), 
	cd114			varchar(4), 
	cd115			varchar(4), 
	sldu2			varchar(6), 
	sldu3			varchar(6), 
	sldu4			varchar(6), 
	sldl2			varchar(6), 
	sldl3			varchar(6), 
	sldl4			varchar(6), 
	aianhhsc			varchar(4), 
	csasc			varchar(4), 
	cnectasc			varchar(4), 
	memi			varchar(2), 
	nmemi			varchar(2), 
	puma			varchar(10), 
	reserved			varchar(36)
);
-- create any indexes ...

-- drop table dp_00001;
create table dp_00001 (
fileid	varchar(6),
stusab	varchar(2),
chariter	varchar(3),
cifsn	varchar(2),
logrecno	integer PRIMARY KEY,
dpsf0100001	integer,
dpsf0100002	integer,
dpsf0100003	integer,
dpsf0100004	integer,
dpsf0100005	integer,
dpsf0100006	integer,
dpsf0100007	integer,
dpsf0110001	integer,
dpsf0110002	integer,
dpsf0110003	integer,
dpsf0110004	integer,
dpsf0110005	integer,
dpsf0110006	integer,
dpsf0110007	integer,
dpsf0110008	integer,
dpsf0110009	integer,
dpsf0110010	integer,
dpsf0110011	integer,
dpsf0110012	integer,
dpsf0110013	integer,
dpsf0110014	integer,
dpsf0110015	integer,
dpsf0110016	integer,
dpsf0110017	integer,
dpsf0120001	integer,
dpsf0120002	integer,
dpsf0120003	integer,
dpsf0120004	integer,
dpsf0120005	integer,
dpsf0120006	integer,
dpsf0120007	integer,
dpsf0120008	integer,
dpsf0120009	integer,
dpsf0120010	integer,
dpsf0120011	integer,
dpsf0120012	integer,
dpsf0120013	integer,
dpsf0120014	integer,
dpsf0120015	integer,
dpsf0120016	integer,
dpsf0120017	integer,
dpsf0120018	integer,
dpsf0120019	integer,
dpsf0120020	integer,
dpsf0130001	integer,
dpsf0130002	integer,
dpsf0130003	integer,
dpsf0130004	integer,
dpsf0130005	integer,
dpsf0130006	integer,
dpsf0130007	integer,
dpsf0130008	integer,
dpsf0130009	integer,
dpsf0130010	integer,
dpsf0130011	integer,
dpsf0130012	integer,
dpsf0130013	integer,
dpsf0130014	integer,
dpsf0130015	integer,
dpsf0010001	integer,
dpsf0010002	integer,
dpsf0010003	integer,
dpsf0010004	integer,
dpsf0010005	integer,
dpsf0010006	integer,
dpsf0010007	integer,
dpsf0010008	integer,
dpsf0010009	integer,
dpsf0010010	integer,
dpsf0010011	integer,
dpsf0010012	integer,
dpsf0010013	integer,
dpsf0010014	integer,
dpsf0010015	integer,
dpsf0010016	integer,
dpsf0010017	integer,
dpsf0010018	integer,
dpsf0010019	integer,
dpsf0010020	integer,
dpsf0010021	integer,
dpsf0010022	integer,
dpsf0010023	integer,
dpsf0010024	integer,
dpsf0010025	integer,
dpsf0010026	integer,
dpsf0010027	integer,
dpsf0010028	integer,
dpsf0010029	integer,
dpsf0010030	integer,
dpsf0010031	integer,
dpsf0010032	integer,
dpsf0010033	integer,
dpsf0010034	integer,
dpsf0010035	integer,
dpsf0010036	integer,
dpsf0010037	integer,
dpsf0010038	integer,
dpsf0010039	integer,
dpsf0010040	integer,
dpsf0010041	integer,
dpsf0010042	integer,
dpsf0010043	integer,
dpsf0010044	integer,
dpsf0010045	integer,
dpsf0010046	integer,
dpsf0010047	integer,
dpsf0010048	integer,
dpsf0010049	integer,
dpsf0010050	integer,
dpsf0010051	integer,
dpsf0010052	integer,
dpsf0010053	integer,
dpsf0010054	integer,
dpsf0010055	integer,
dpsf0010056	integer,
dpsf0010057	integer,
dpsf0020001	integer,
dpsf0020002	integer,
dpsf0020003	integer,
dpsf0030001	integer,
dpsf0030002	integer,
dpsf0030003	integer,
dpsf0040001	integer,
dpsf0040002	integer,
dpsf0040003	integer,
dpsf0050001	integer,
dpsf0050002	integer,
dpsf0050003	integer,
dpsf0060001	integer,
dpsf0060002	integer,
dpsf0060003	integer,
dpsf0070001	integer,
dpsf0070002	integer,
dpsf0070003	integer,
dpsf0080001	integer,
dpsf0080002	integer,
dpsf0080003	integer,
dpsf0080004	integer,
dpsf0080005	integer,
dpsf0080006	integer,
dpsf0080007	integer,
dpsf0080008	integer,
dpsf0080009	integer,
dpsf0080010	integer,
dpsf0080011	integer,
dpsf0080012	integer,
dpsf0080013	integer,
dpsf0080014	integer,
dpsf0080015	integer,
dpsf0080016	integer,
dpsf0080017	integer,
dpsf0080018	integer,
dpsf0080019	integer,
dpsf0080020	integer,
dpsf0080021	integer,
dpsf0080022	integer,
dpsf0080023	integer,
dpsf0080024	integer,
dpsf0090001	integer,
dpsf0090002	integer,
dpsf0090003	integer,
dpsf0090004	integer,
dpsf0090005	integer,
dpsf0090006	integer,
dpsf0140001	integer,
dpsf0150001	integer,
dpsf0160001	integer,
dpsf0170001	integer,
dpsf0180001	integer,
dpsf0180002	integer,
dpsf0180003	integer,
dpsf0180004	integer,
dpsf0180005	integer,
dpsf0180006	integer,
dpsf0180007	integer,
dpsf0180008	integer,
dpsf0180009	integer,
dpsf0190001	integer,
dpsf0200001	integer,
dpsf0210001	integer,
dpsf0210002	integer,
dpsf0210003	integer,
dpsf0220001	integer,
dpsf0220002	integer,
dpsf0230001	integer,
dpsf0230002	integer
);

-- create any indexes ...



