-- CREATE EMPTY TABLE SHELLS FOR LOADING 2010 SF1 DATA
-- SQLite interprets varchar as text, and does not enforce length

-- drop table geo_header_sf1;
create table geo_header_sf1
 (
	fileid			varchar(12), 
	stusab			varchar(4), 
	sumlev			varchar(6), 
	geocomp			varchar(4), 
	chariter			varchar(6), 
	cifsn			varchar(4), 
	logrecno			integer PRIMARY KEY, 
	region			varchar(2), 
	division			varchar(2), 
	state			varchar(4), 
	county			varchar(6), 
	countycc			varchar(4), 
	countysc			varchar(4), 
	cousub			varchar(10), 
	cousubcc			varchar(4), 
	cousubsc			varchar(4), 
	place			varchar(10), 
	placecc			varchar(4), 
	placesc			varchar(4), 
	tract			varchar(12), 
	blkgrp			varchar(2), 
	block			varchar(8), 
	iuc			varchar(4), 
	concit			varchar(10), 
	concitcc			varchar(4), 
	concitsc			varchar(4), 
	aianhh			varchar(8), 
	aianhhfp			varchar(10), 
	aianhhcc			varchar(4), 
	aihhtli			varchar(2), 
	aitsce			varchar(6), 
	aits			varchar(10), 
	aitscc			varchar(4), 
	ttract			varchar(12), 
	tblkgrp			varchar(2), 
	anrc			varchar(10), 
	anrccc			varchar(4), 
	cbsa			varchar(10), 
	cbsasc			varchar(4), 
	metdiv			varchar(10), 
	csa			varchar(6), 
	necta			varchar(10), 
	nectasc			varchar(4), 
	nectadiv			varchar(10), 
	cnecta			varchar(6), 
	cbsapci			varchar(2), 
	nectapci			varchar(2), 
	ua			varchar(10), 
	uasc			varchar(4), 
	uatype			varchar(2), 
	ur			varchar(2), 
	cd			varchar(4), 
	sldu			varchar(6), 
	sldl			varchar(6), 
	vtd			varchar(12), 
	vtdi			varchar(2), 
	reserve2			varchar(6), 
	zcta5			varchar(10), 
	submcd			varchar(10), 
	submcdcc			varchar(4), 
	sdelem			varchar(10), 
	sdsec			varchar(10), 
	sduni			varchar(10), 
	arealand			numeric, 
	areawatr			numeric, 
	name			varchar(180), 
	funcstat			varchar(2), 
	gcuni			varchar(2), 
	pop100			integer, 
	hu100			integer, 
	intptlat			varchar(22), 
	intptlon			varchar(24), 
	lsadc			varchar(4), 
	partflag			varchar(2), 
	reserve3			varchar(12), 
	uga			varchar(10), 
	statens			varchar(16), 
	countyns			varchar(16), 
	cousubns			varchar(16), 
	placens			varchar(16), 
	concitns			varchar(16), 
	aianhhns			varchar(16), 
	aitsns			varchar(16), 
	anrcns			varchar(16), 
	submcdns			varchar(16), 
	cd113			varchar(4), 
	cd114			varchar(4), 
	cd115			varchar(4), 
	sldu2			varchar(6), 
	sldu3			varchar(6), 
	sldu4			varchar(6), 
	sldl2			varchar(6), 
	sldl3			varchar(6), 
	sldl4			varchar(6), 
	aianhhsc			varchar(4), 
	csasc			varchar(4), 
	cnectasc			varchar(4), 
	memi			varchar(2), 
	nmemi			varchar(2), 
	puma			varchar(10), 
	reserved			varchar(36)
);
-- create any indexes ...

-- drop table sf1_00001;
create table sf1_00001
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0010001			integer
);
-- create any indexes ...

-- drop table sf1_00002;
create table sf1_00002
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0020001			integer, 
	p0020002			integer, 
	p0020003			integer, 
	p0020004			integer, 
	p0020005			integer, 
	p0020006			integer
);
-- create any indexes ...

-- drop table sf1_00003;
create table sf1_00003
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0030001			integer, 
	p0030002			integer, 
	p0030003			integer, 
	p0030004			integer, 
	p0030005			integer, 
	p0030006			integer, 
	p0030007			integer, 
	p0030008			integer, 
	p0040001			integer, 
	p0040002			integer, 
	p0040003			integer, 
	p0050001			integer, 
	p0050002			integer, 
	p0050003			integer, 
	p0050004			integer, 
	p0050005			integer, 
	p0050006			integer, 
	p0050007			integer, 
	p0050008			integer, 
	p0050009			integer, 
	p0050010			integer, 
	p0050011			integer, 
	p0050012			integer, 
	p0050013			integer, 
	p0050014			integer, 
	p0050015			integer, 
	p0050016			integer, 
	p0050017			integer, 
	p0060001			integer, 
	p0060002			integer, 
	p0060003			integer, 
	p0060004			integer, 
	p0060005			integer, 
	p0060006			integer, 
	p0060007			integer, 
	p0070001			integer, 
	p0070002			integer, 
	p0070003			integer, 
	p0070004			integer, 
	p0070005			integer, 
	p0070006			integer, 
	p0070007			integer, 
	p0070008			integer, 
	p0070009			integer, 
	p0070010			integer, 
	p0070011			integer, 
	p0070012			integer, 
	p0070013			integer, 
	p0070014			integer, 
	p0070015			integer, 
	p0080001			integer, 
	p0080002			integer, 
	p0080003			integer, 
	p0080004			integer, 
	p0080005			integer, 
	p0080006			integer, 
	p0080007			integer, 
	p0080008			integer, 
	p0080009			integer, 
	p0080010			integer, 
	p0080011			integer, 
	p0080012			integer, 
	p0080013			integer, 
	p0080014			integer, 
	p0080015			integer, 
	p0080016			integer, 
	p0080017			integer, 
	p0080018			integer, 
	p0080019			integer, 
	p0080020			integer, 
	p0080021			integer, 
	p0080022			integer, 
	p0080023			integer, 
	p0080024			integer, 
	p0080025			integer, 
	p0080026			integer, 
	p0080027			integer, 
	p0080028			integer, 
	p0080029			integer, 
	p0080030			integer, 
	p0080031			integer, 
	p0080032			integer, 
	p0080033			integer, 
	p0080034			integer, 
	p0080035			integer, 
	p0080036			integer, 
	p0080037			integer, 
	p0080038			integer, 
	p0080039			integer, 
	p0080040			integer, 
	p0080041			integer, 
	p0080042			integer, 
	p0080043			integer, 
	p0080044			integer, 
	p0080045			integer, 
	p0080046			integer, 
	p0080047			integer, 
	p0080048			integer, 
	p0080049			integer, 
	p0080050			integer, 
	p0080051			integer, 
	p0080052			integer, 
	p0080053			integer, 
	p0080054			integer, 
	p0080055			integer, 
	p0080056			integer, 
	p0080057			integer, 
	p0080058			integer, 
	p0080059			integer, 
	p0080060			integer, 
	p0080061			integer, 
	p0080062			integer, 
	p0080063			integer, 
	p0080064			integer, 
	p0080065			integer, 
	p0080066			integer, 
	p0080067			integer, 
	p0080068			integer, 
	p0080069			integer, 
	p0080070			integer, 
	p0080071			integer, 
	p0090001			integer, 
	p0090002			integer, 
	p0090003			integer, 
	p0090004			integer, 
	p0090005			integer, 
	p0090006			integer, 
	p0090007			integer, 
	p0090008			integer, 
	p0090009			integer, 
	p0090010			integer, 
	p0090011			integer, 
	p0090012			integer, 
	p0090013			integer, 
	p0090014			integer, 
	p0090015			integer, 
	p0090016			integer, 
	p0090017			integer, 
	p0090018			integer, 
	p0090019			integer, 
	p0090020			integer, 
	p0090021			integer, 
	p0090022			integer, 
	p0090023			integer, 
	p0090024			integer, 
	p0090025			integer, 
	p0090026			integer, 
	p0090027			integer, 
	p0090028			integer, 
	p0090029			integer, 
	p0090030			integer, 
	p0090031			integer, 
	p0090032			integer, 
	p0090033			integer, 
	p0090034			integer, 
	p0090035			integer, 
	p0090036			integer, 
	p0090037			integer, 
	p0090038			integer, 
	p0090039			integer, 
	p0090040			integer, 
	p0090041			integer, 
	p0090042			integer, 
	p0090043			integer, 
	p0090044			integer, 
	p0090045			integer, 
	p0090046			integer, 
	p0090047			integer, 
	p0090048			integer, 
	p0090049			integer, 
	p0090050			integer, 
	p0090051			integer, 
	p0090052			integer, 
	p0090053			integer, 
	p0090054			integer, 
	p0090055			integer, 
	p0090056			integer, 
	p0090057			integer, 
	p0090058			integer, 
	p0090059			integer, 
	p0090060			integer, 
	p0090061			integer, 
	p0090062			integer, 
	p0090063			integer, 
	p0090064			integer, 
	p0090065			integer, 
	p0090066			integer, 
	p0090067			integer, 
	p0090068			integer, 
	p0090069			integer, 
	p0090070			integer, 
	p0090071			integer, 
	p0090072			integer, 
	p0090073			integer
);
-- create any indexes ...

-- drop table sf1_00004;
create table sf1_00004
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0100001			integer, 
	p0100002			integer, 
	p0100003			integer, 
	p0100004			integer, 
	p0100005			integer, 
	p0100006			integer, 
	p0100007			integer, 
	p0100008			integer, 
	p0100009			integer, 
	p0100010			integer, 
	p0100011			integer, 
	p0100012			integer, 
	p0100013			integer, 
	p0100014			integer, 
	p0100015			integer, 
	p0100016			integer, 
	p0100017			integer, 
	p0100018			integer, 
	p0100019			integer, 
	p0100020			integer, 
	p0100021			integer, 
	p0100022			integer, 
	p0100023			integer, 
	p0100024			integer, 
	p0100025			integer, 
	p0100026			integer, 
	p0100027			integer, 
	p0100028			integer, 
	p0100029			integer, 
	p0100030			integer, 
	p0100031			integer, 
	p0100032			integer, 
	p0100033			integer, 
	p0100034			integer, 
	p0100035			integer, 
	p0100036			integer, 
	p0100037			integer, 
	p0100038			integer, 
	p0100039			integer, 
	p0100040			integer, 
	p0100041			integer, 
	p0100042			integer, 
	p0100043			integer, 
	p0100044			integer, 
	p0100045			integer, 
	p0100046			integer, 
	p0100047			integer, 
	p0100048			integer, 
	p0100049			integer, 
	p0100050			integer, 
	p0100051			integer, 
	p0100052			integer, 
	p0100053			integer, 
	p0100054			integer, 
	p0100055			integer, 
	p0100056			integer, 
	p0100057			integer, 
	p0100058			integer, 
	p0100059			integer, 
	p0100060			integer, 
	p0100061			integer, 
	p0100062			integer, 
	p0100063			integer, 
	p0100064			integer, 
	p0100065			integer, 
	p0100066			integer, 
	p0100067			integer, 
	p0100068			integer, 
	p0100069			integer, 
	p0100070			integer, 
	p0100071			integer, 
	p0110001			integer, 
	p0110002			integer, 
	p0110003			integer, 
	p0110004			integer, 
	p0110005			integer, 
	p0110006			integer, 
	p0110007			integer, 
	p0110008			integer, 
	p0110009			integer, 
	p0110010			integer, 
	p0110011			integer, 
	p0110012			integer, 
	p0110013			integer, 
	p0110014			integer, 
	p0110015			integer, 
	p0110016			integer, 
	p0110017			integer, 
	p0110018			integer, 
	p0110019			integer, 
	p0110020			integer, 
	p0110021			integer, 
	p0110022			integer, 
	p0110023			integer, 
	p0110024			integer, 
	p0110025			integer, 
	p0110026			integer, 
	p0110027			integer, 
	p0110028			integer, 
	p0110029			integer, 
	p0110030			integer, 
	p0110031			integer, 
	p0110032			integer, 
	p0110033			integer, 
	p0110034			integer, 
	p0110035			integer, 
	p0110036			integer, 
	p0110037			integer, 
	p0110038			integer, 
	p0110039			integer, 
	p0110040			integer, 
	p0110041			integer, 
	p0110042			integer, 
	p0110043			integer, 
	p0110044			integer, 
	p0110045			integer, 
	p0110046			integer, 
	p0110047			integer, 
	p0110048			integer, 
	p0110049			integer, 
	p0110050			integer, 
	p0110051			integer, 
	p0110052			integer, 
	p0110053			integer, 
	p0110054			integer, 
	p0110055			integer, 
	p0110056			integer, 
	p0110057			integer, 
	p0110058			integer, 
	p0110059			integer, 
	p0110060			integer, 
	p0110061			integer, 
	p0110062			integer, 
	p0110063			integer, 
	p0110064			integer, 
	p0110065			integer, 
	p0110066			integer, 
	p0110067			integer, 
	p0110068			integer, 
	p0110069			integer, 
	p0110070			integer, 
	p0110071			integer, 
	p0110072			integer, 
	p0110073			integer, 
	p0120001			integer, 
	p0120002			integer, 
	p0120003			integer, 
	p0120004			integer, 
	p0120005			integer, 
	p0120006			integer, 
	p0120007			integer, 
	p0120008			integer, 
	p0120009			integer, 
	p0120010			integer, 
	p0120011			integer, 
	p0120012			integer, 
	p0120013			integer, 
	p0120014			integer, 
	p0120015			integer, 
	p0120016			integer, 
	p0120017			integer, 
	p0120018			integer, 
	p0120019			integer, 
	p0120020			integer, 
	p0120021			integer, 
	p0120022			integer, 
	p0120023			integer, 
	p0120024			integer, 
	p0120025			integer, 
	p0120026			integer, 
	p0120027			integer, 
	p0120028			integer, 
	p0120029			integer, 
	p0120030			integer, 
	p0120031			integer, 
	p0120032			integer, 
	p0120033			integer, 
	p0120034			integer, 
	p0120035			integer, 
	p0120036			integer, 
	p0120037			integer, 
	p0120038			integer, 
	p0120039			integer, 
	p0120040			integer, 
	p0120041			integer, 
	p0120042			integer, 
	p0120043			integer, 
	p0120044			integer, 
	p0120045			integer, 
	p0120046			integer, 
	p0120047			integer, 
	p0120048			integer, 
	p0120049			integer, 
	p0130001			numeric, 
	p0130002			numeric, 
	p0130003			numeric, 
	p0140001			integer, 
	p0140002			integer, 
	p0140003			integer, 
	p0140004			integer, 
	p0140005			integer, 
	p0140006			integer, 
	p0140007			integer, 
	p0140008			integer, 
	p0140009			integer, 
	p0140010			integer, 
	p0140011			integer, 
	p0140012			integer, 
	p0140013			integer, 
	p0140014			integer, 
	p0140015			integer, 
	p0140016			integer, 
	p0140017			integer, 
	p0140018			integer, 
	p0140019			integer, 
	p0140020			integer, 
	p0140021			integer, 
	p0140022			integer, 
	p0140023			integer, 
	p0140024			integer, 
	p0140025			integer, 
	p0140026			integer, 
	p0140027			integer, 
	p0140028			integer, 
	p0140029			integer, 
	p0140030			integer, 
	p0140031			integer, 
	p0140032			integer, 
	p0140033			integer, 
	p0140034			integer, 
	p0140035			integer, 
	p0140036			integer, 
	p0140037			integer, 
	p0140038			integer, 
	p0140039			integer, 
	p0140040			integer, 
	p0140041			integer, 
	p0140042			integer, 
	p0140043			integer
);
-- create any indexes ...

-- drop table sf1_00005;
create table sf1_00005
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0150001			integer, 
	p0150002			integer, 
	p0150003			integer, 
	p0150004			integer, 
	p0150005			integer, 
	p0150006			integer, 
	p0150007			integer, 
	p0150008			integer, 
	p0150009			integer, 
	p0150010			integer, 
	p0150011			integer, 
	p0150012			integer, 
	p0150013			integer, 
	p0150014			integer, 
	p0150015			integer, 
	p0150016			integer, 
	p0150017			integer, 
	p0160001			integer, 
	p0160002			integer, 
	p0160003			integer, 
	p0170001			numeric, 
	p0170002			numeric, 
	p0170003			numeric, 
	p0180001			integer, 
	p0180002			integer, 
	p0180003			integer, 
	p0180004			integer, 
	p0180005			integer, 
	p0180006			integer, 
	p0180007			integer, 
	p0180008			integer, 
	p0180009			integer, 
	p0190001			integer, 
	p0190002			integer, 
	p0190003			integer, 
	p0190004			integer, 
	p0190005			integer, 
	p0190006			integer, 
	p0190007			integer, 
	p0190008			integer, 
	p0190009			integer, 
	p0190010			integer, 
	p0190011			integer, 
	p0190012			integer, 
	p0190013			integer, 
	p0190014			integer, 
	p0190015			integer, 
	p0190016			integer, 
	p0190017			integer, 
	p0190018			integer, 
	p0190019			integer, 
	p0200001			integer, 
	p0200002			integer, 
	p0200003			integer, 
	p0200004			integer, 
	p0200005			integer, 
	p0200006			integer, 
	p0200007			integer, 
	p0200008			integer, 
	p0200009			integer, 
	p0200010			integer, 
	p0200011			integer, 
	p0200012			integer, 
	p0200013			integer, 
	p0200014			integer, 
	p0200015			integer, 
	p0200016			integer, 
	p0200017			integer, 
	p0200018			integer, 
	p0200019			integer, 
	p0200020			integer, 
	p0200021			integer, 
	p0200022			integer, 
	p0200023			integer, 
	p0200024			integer, 
	p0200025			integer, 
	p0200026			integer, 
	p0200027			integer, 
	p0200028			integer, 
	p0200029			integer, 
	p0200030			integer, 
	p0200031			integer, 
	p0200032			integer, 
	p0200033			integer, 
	p0200034			integer, 
	p0210001			integer, 
	p0210002			integer, 
	p0210003			integer, 
	p0210004			integer, 
	p0210005			integer, 
	p0210006			integer, 
	p0210007			integer, 
	p0210008			integer, 
	p0210009			integer, 
	p0210010			integer, 
	p0210011			integer, 
	p0210012			integer, 
	p0210013			integer, 
	p0210014			integer, 
	p0210015			integer, 
	p0210016			integer, 
	p0210017			integer, 
	p0210018			integer, 
	p0210019			integer, 
	p0210020			integer, 
	p0210021			integer, 
	p0210022			integer, 
	p0210023			integer, 
	p0210024			integer, 
	p0210025			integer, 
	p0210026			integer, 
	p0210027			integer, 
	p0210028			integer, 
	p0210029			integer, 
	p0210030			integer, 
	p0210031			integer, 
	p0220001			integer, 
	p0220002			integer, 
	p0220003			integer, 
	p0220004			integer, 
	p0220005			integer, 
	p0220006			integer, 
	p0220007			integer, 
	p0220008			integer, 
	p0220009			integer, 
	p0220010			integer, 
	p0220011			integer, 
	p0220012			integer, 
	p0220013			integer, 
	p0220014			integer, 
	p0220015			integer, 
	p0220016			integer, 
	p0220017			integer, 
	p0220018			integer, 
	p0220019			integer, 
	p0220020			integer, 
	p0220021			integer, 
	p0230001			integer, 
	p0230002			integer, 
	p0230003			integer, 
	p0230004			integer, 
	p0230005			integer, 
	p0230006			integer, 
	p0230007			integer, 
	p0230008			integer, 
	p0230009			integer, 
	p0230010			integer, 
	p0230011			integer, 
	p0230012			integer, 
	p0230013			integer, 
	p0230014			integer, 
	p0230015			integer, 
	p0240001			integer, 
	p0240002			integer, 
	p0240003			integer, 
	p0240004			integer, 
	p0240005			integer, 
	p0240006			integer, 
	p0240007			integer, 
	p0240008			integer, 
	p0240009			integer, 
	p0240010			integer, 
	p0240011			integer, 
	p0250001			integer, 
	p0250002			integer, 
	p0250003			integer, 
	p0250004			integer, 
	p0250005			integer, 
	p0250006			integer, 
	p0250007			integer, 
	p0250008			integer, 
	p0250009			integer, 
	p0250010			integer, 
	p0250011			integer, 
	p0260001			integer, 
	p0260002			integer, 
	p0260003			integer, 
	p0260004			integer, 
	p0260005			integer, 
	p0260006			integer, 
	p0260007			integer, 
	p0260008			integer, 
	p0260009			integer, 
	p0260010			integer, 
	p0260011			integer, 
	p0270001			integer, 
	p0270002			integer, 
	p0270003			integer, 
	p0280001			integer, 
	p0280002			integer, 
	p0280003			integer, 
	p0280004			integer, 
	p0280005			integer, 
	p0280006			integer, 
	p0280007			integer, 
	p0280008			integer, 
	p0280009			integer, 
	p0280010			integer, 
	p0280011			integer, 
	p0280012			integer, 
	p0280013			integer, 
	p0280014			integer, 
	p0280015			integer, 
	p0280016			integer, 
	p0290001			integer, 
	p0290002			integer, 
	p0290003			integer, 
	p0290004			integer, 
	p0290005			integer, 
	p0290006			integer, 
	p0290007			integer, 
	p0290008			integer, 
	p0290009			integer, 
	p0290010			integer, 
	p0290011			integer, 
	p0290012			integer, 
	p0290013			integer, 
	p0290014			integer, 
	p0290015			integer, 
	p0290016			integer, 
	p0290017			integer, 
	p0290018			integer, 
	p0290019			integer, 
	p0290020			integer, 
	p0290021			integer, 
	p0290022			integer, 
	p0290023			integer, 
	p0290024			integer, 
	p0290025			integer, 
	p0290026			integer, 
	p0290027			integer, 
	p0290028			integer, 
	p0300001			integer, 
	p0300002			integer, 
	p0300003			integer, 
	p0300004			integer, 
	p0300005			integer, 
	p0300006			integer, 
	p0300007			integer, 
	p0300008			integer, 
	p0300009			integer, 
	p0300010			integer, 
	p0300011			integer, 
	p0300012			integer, 
	p0300013			integer
);
-- create any indexes ...

-- drop table sf1_00006;
create table sf1_00006
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0310001			integer, 
	p0310002			integer, 
	p0310003			integer, 
	p0310004			integer, 
	p0310005			integer, 
	p0310006			integer, 
	p0310007			integer, 
	p0310008			integer, 
	p0310009			integer, 
	p0310010			integer, 
	p0310011			integer, 
	p0310012			integer, 
	p0310013			integer, 
	p0310014			integer, 
	p0310015			integer, 
	p0310016			integer, 
	p0320001			integer, 
	p0320002			integer, 
	p0320003			integer, 
	p0320004			integer, 
	p0320005			integer, 
	p0320006			integer, 
	p0320007			integer, 
	p0320008			integer, 
	p0320009			integer, 
	p0320010			integer, 
	p0320011			integer, 
	p0320012			integer, 
	p0320013			integer, 
	p0320014			integer, 
	p0320015			integer, 
	p0320016			integer, 
	p0320017			integer, 
	p0320018			integer, 
	p0320019			integer, 
	p0320020			integer, 
	p0320021			integer, 
	p0320022			integer, 
	p0320023			integer, 
	p0320024			integer, 
	p0320025			integer, 
	p0320026			integer, 
	p0320027			integer, 
	p0320028			integer, 
	p0320029			integer, 
	p0320030			integer, 
	p0320031			integer, 
	p0320032			integer, 
	p0320033			integer, 
	p0320034			integer, 
	p0320035			integer, 
	p0320036			integer, 
	p0320037			integer, 
	p0320038			integer, 
	p0320039			integer, 
	p0320040			integer, 
	p0320041			integer, 
	p0320042			integer, 
	p0320043			integer, 
	p0320044			integer, 
	p0320045			integer, 
	p0330001			integer, 
	p0330002			integer, 
	p0330003			integer, 
	p0330004			integer, 
	p0330005			integer, 
	p0330006			integer, 
	p0330007			integer, 
	p0340001			integer, 
	p0340002			integer, 
	p0340003			integer, 
	p0340004			integer, 
	p0340005			integer, 
	p0340006			integer, 
	p0340007			integer, 
	p0340008			integer, 
	p0340009			integer, 
	p0340010			integer, 
	p0340011			integer, 
	p0340012			integer, 
	p0340013			integer, 
	p0340014			integer, 
	p0340015			integer, 
	p0340016			integer, 
	p0340017			integer, 
	p0340018			integer, 
	p0340019			integer, 
	p0340020			integer, 
	p0340021			integer, 
	p0340022			integer, 
	p0350001			integer, 
	p0360001			integer, 
	p0360002			integer, 
	p0360003			integer, 
	p0370001			numeric, 
	p0370002			numeric, 
	p0370003			numeric, 
	p0380001			integer, 
	p0380002			integer, 
	p0380003			integer, 
	p0380004			integer, 
	p0380005			integer, 
	p0380006			integer, 
	p0380007			integer, 
	p0380008			integer, 
	p0380009			integer, 
	p0380010			integer, 
	p0380011			integer, 
	p0380012			integer, 
	p0380013			integer, 
	p0380014			integer, 
	p0380015			integer, 
	p0380016			integer, 
	p0380017			integer, 
	p0380018			integer, 
	p0380019			integer, 
	p0380020			integer, 
	p0390001			integer, 
	p0390002			integer, 
	p0390003			integer, 
	p0390004			integer, 
	p0390005			integer, 
	p0390006			integer, 
	p0390007			integer, 
	p0390008			integer, 
	p0390009			integer, 
	p0390010			integer, 
	p0390011			integer, 
	p0390012			integer, 
	p0390013			integer, 
	p0390014			integer, 
	p0390015			integer, 
	p0390016			integer, 
	p0390017			integer, 
	p0390018			integer, 
	p0390019			integer, 
	p0390020			integer, 
	p0400001			integer, 
	p0400002			integer, 
	p0400003			integer, 
	p0400004			integer, 
	p0400005			integer, 
	p0400006			integer, 
	p0400007			integer, 
	p0400008			integer, 
	p0400009			integer, 
	p0400010			integer, 
	p0400011			integer, 
	p0400012			integer, 
	p0400013			integer, 
	p0400014			integer, 
	p0400015			integer, 
	p0400016			integer, 
	p0400017			integer, 
	p0400018			integer, 
	p0400019			integer, 
	p0400020			integer, 
	p0410001			integer, 
	p0410002			integer, 
	p0410003			integer, 
	p0410004			integer, 
	p0410005			integer, 
	p0410006			integer, 
	p0420001			integer, 
	p0420002			integer, 
	p0420003			integer, 
	p0420004			integer, 
	p0420005			integer, 
	p0420006			integer, 
	p0420007			integer, 
	p0420008			integer, 
	p0420009			integer, 
	p0420010			integer, 
	p0430001			integer, 
	p0430002			integer, 
	p0430003			integer, 
	p0430004			integer, 
	p0430005			integer, 
	p0430006			integer, 
	p0430007			integer, 
	p0430008			integer, 
	p0430009			integer, 
	p0430010			integer, 
	p0430011			integer, 
	p0430012			integer, 
	p0430013			integer, 
	p0430014			integer, 
	p0430015			integer, 
	p0430016			integer, 
	p0430017			integer, 
	p0430018			integer, 
	p0430019			integer, 
	p0430020			integer, 
	p0430021			integer, 
	p0430022			integer, 
	p0430023			integer, 
	p0430024			integer, 
	p0430025			integer, 
	p0430026			integer, 
	p0430027			integer, 
	p0430028			integer, 
	p0430029			integer, 
	p0430030			integer, 
	p0430031			integer, 
	p0430032			integer, 
	p0430033			integer, 
	p0430034			integer, 
	p0430035			integer, 
	p0430036			integer, 
	p0430037			integer, 
	p0430038			integer, 
	p0430039			integer, 
	p0430040			integer, 
	p0430041			integer, 
	p0430042			integer, 
	p0430043			integer, 
	p0430044			integer, 
	p0430045			integer, 
	p0430046			integer, 
	p0430047			integer, 
	p0430048			integer, 
	p0430049			integer, 
	p0430050			integer, 
	p0430051			integer, 
	p0430052			integer, 
	p0430053			integer, 
	p0430054			integer, 
	p0430055			integer, 
	p0430056			integer, 
	p0430057			integer, 
	p0430058			integer, 
	p0430059			integer, 
	p0430060			integer, 
	p0430061			integer, 
	p0430062			integer, 
	p0430063			integer, 
	p0440001			integer, 
	p0440002			integer, 
	p0440003			integer, 
	p0450001			integer, 
	p0450002			integer, 
	p0450003			integer, 
	p0460001			integer, 
	p0460002			integer, 
	p0460003			integer, 
	p0470001			integer, 
	p0470002			integer, 
	p0470003			integer, 
	p0480001			integer, 
	p0480002			integer, 
	p0480003			integer, 
	p0490001			integer, 
	p0490002			integer, 
	p0490003			integer
);
-- create any indexes ...

-- drop table sf1_00007;
create table sf1_00007
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p0500001			integer, 
	p0500002			integer, 
	p0500003			integer, 
	p0510001			integer, 
	p0510002			integer, 
	p0510003			integer, 
	p012a001			integer, 
	p012a002			integer, 
	p012a003			integer, 
	p012a004			integer, 
	p012a005			integer, 
	p012a006			integer, 
	p012a007			integer, 
	p012a008			integer, 
	p012a009			integer, 
	p012a010			integer, 
	p012a011			integer, 
	p012a012			integer, 
	p012a013			integer, 
	p012a014			integer, 
	p012a015			integer, 
	p012a016			integer, 
	p012a017			integer, 
	p012a018			integer, 
	p012a019			integer, 
	p012a020			integer, 
	p012a021			integer, 
	p012a022			integer, 
	p012a023			integer, 
	p012a024			integer, 
	p012a025			integer, 
	p012a026			integer, 
	p012a027			integer, 
	p012a028			integer, 
	p012a029			integer, 
	p012a030			integer, 
	p012a031			integer, 
	p012a032			integer, 
	p012a033			integer, 
	p012a034			integer, 
	p012a035			integer, 
	p012a036			integer, 
	p012a037			integer, 
	p012a038			integer, 
	p012a039			integer, 
	p012a040			integer, 
	p012a041			integer, 
	p012a042			integer, 
	p012a043			integer, 
	p012a044			integer, 
	p012a045			integer, 
	p012a046			integer, 
	p012a047			integer, 
	p012a048			integer, 
	p012a049			integer, 
	p012b001			integer, 
	p012b002			integer, 
	p012b003			integer, 
	p012b004			integer, 
	p012b005			integer, 
	p012b006			integer, 
	p012b007			integer, 
	p012b008			integer, 
	p012b009			integer, 
	p012b010			integer, 
	p012b011			integer, 
	p012b012			integer, 
	p012b013			integer, 
	p012b014			integer, 
	p012b015			integer, 
	p012b016			integer, 
	p012b017			integer, 
	p012b018			integer, 
	p012b019			integer, 
	p012b020			integer, 
	p012b021			integer, 
	p012b022			integer, 
	p012b023			integer, 
	p012b024			integer, 
	p012b025			integer, 
	p012b026			integer, 
	p012b027			integer, 
	p012b028			integer, 
	p012b029			integer, 
	p012b030			integer, 
	p012b031			integer, 
	p012b032			integer, 
	p012b033			integer, 
	p012b034			integer, 
	p012b035			integer, 
	p012b036			integer, 
	p012b037			integer, 
	p012b038			integer, 
	p012b039			integer, 
	p012b040			integer, 
	p012b041			integer, 
	p012b042			integer, 
	p012b043			integer, 
	p012b044			integer, 
	p012b045			integer, 
	p012b046			integer, 
	p012b047			integer, 
	p012b048			integer, 
	p012b049			integer, 
	p012c001			integer, 
	p012c002			integer, 
	p012c003			integer, 
	p012c004			integer, 
	p012c005			integer, 
	p012c006			integer, 
	p012c007			integer, 
	p012c008			integer, 
	p012c009			integer, 
	p012c010			integer, 
	p012c011			integer, 
	p012c012			integer, 
	p012c013			integer, 
	p012c014			integer, 
	p012c015			integer, 
	p012c016			integer, 
	p012c017			integer, 
	p012c018			integer, 
	p012c019			integer, 
	p012c020			integer, 
	p012c021			integer, 
	p012c022			integer, 
	p012c023			integer, 
	p012c024			integer, 
	p012c025			integer, 
	p012c026			integer, 
	p012c027			integer, 
	p012c028			integer, 
	p012c029			integer, 
	p012c030			integer, 
	p012c031			integer, 
	p012c032			integer, 
	p012c033			integer, 
	p012c034			integer, 
	p012c035			integer, 
	p012c036			integer, 
	p012c037			integer, 
	p012c038			integer, 
	p012c039			integer, 
	p012c040			integer, 
	p012c041			integer, 
	p012c042			integer, 
	p012c043			integer, 
	p012c044			integer, 
	p012c045			integer, 
	p012c046			integer, 
	p012c047			integer, 
	p012c048			integer, 
	p012c049			integer, 
	p012d001			integer, 
	p012d002			integer, 
	p012d003			integer, 
	p012d004			integer, 
	p012d005			integer, 
	p012d006			integer, 
	p012d007			integer, 
	p012d008			integer, 
	p012d009			integer, 
	p012d010			integer, 
	p012d011			integer, 
	p012d012			integer, 
	p012d013			integer, 
	p012d014			integer, 
	p012d015			integer, 
	p012d016			integer, 
	p012d017			integer, 
	p012d018			integer, 
	p012d019			integer, 
	p012d020			integer, 
	p012d021			integer, 
	p012d022			integer, 
	p012d023			integer, 
	p012d024			integer, 
	p012d025			integer, 
	p012d026			integer, 
	p012d027			integer, 
	p012d028			integer, 
	p012d029			integer, 
	p012d030			integer, 
	p012d031			integer, 
	p012d032			integer, 
	p012d033			integer, 
	p012d034			integer, 
	p012d035			integer, 
	p012d036			integer, 
	p012d037			integer, 
	p012d038			integer, 
	p012d039			integer, 
	p012d040			integer, 
	p012d041			integer, 
	p012d042			integer, 
	p012d043			integer, 
	p012d044			integer, 
	p012d045			integer, 
	p012d046			integer, 
	p012d047			integer, 
	p012d048			integer, 
	p012d049			integer, 
	p012e001			integer, 
	p012e002			integer, 
	p012e003			integer, 
	p012e004			integer, 
	p012e005			integer, 
	p012e006			integer, 
	p012e007			integer, 
	p012e008			integer, 
	p012e009			integer, 
	p012e010			integer, 
	p012e011			integer, 
	p012e012			integer, 
	p012e013			integer, 
	p012e014			integer, 
	p012e015			integer, 
	p012e016			integer, 
	p012e017			integer, 
	p012e018			integer, 
	p012e019			integer, 
	p012e020			integer, 
	p012e021			integer, 
	p012e022			integer, 
	p012e023			integer, 
	p012e024			integer, 
	p012e025			integer, 
	p012e026			integer, 
	p012e027			integer, 
	p012e028			integer, 
	p012e029			integer, 
	p012e030			integer, 
	p012e031			integer, 
	p012e032			integer, 
	p012e033			integer, 
	p012e034			integer, 
	p012e035			integer, 
	p012e036			integer, 
	p012e037			integer, 
	p012e038			integer, 
	p012e039			integer, 
	p012e040			integer, 
	p012e041			integer, 
	p012e042			integer, 
	p012e043			integer, 
	p012e044			integer, 
	p012e045			integer, 
	p012e046			integer, 
	p012e047			integer, 
	p012e048			integer, 
	p012e049			integer
);
-- create any indexes ...

-- drop table sf1_00008;
create table sf1_00008
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p012f001			integer, 
	p012f002			integer, 
	p012f003			integer, 
	p012f004			integer, 
	p012f005			integer, 
	p012f006			integer, 
	p012f007			integer, 
	p012f008			integer, 
	p012f009			integer, 
	p012f010			integer, 
	p012f011			integer, 
	p012f012			integer, 
	p012f013			integer, 
	p012f014			integer, 
	p012f015			integer, 
	p012f016			integer, 
	p012f017			integer, 
	p012f018			integer, 
	p012f019			integer, 
	p012f020			integer, 
	p012f021			integer, 
	p012f022			integer, 
	p012f023			integer, 
	p012f024			integer, 
	p012f025			integer, 
	p012f026			integer, 
	p012f027			integer, 
	p012f028			integer, 
	p012f029			integer, 
	p012f030			integer, 
	p012f031			integer, 
	p012f032			integer, 
	p012f033			integer, 
	p012f034			integer, 
	p012f035			integer, 
	p012f036			integer, 
	p012f037			integer, 
	p012f038			integer, 
	p012f039			integer, 
	p012f040			integer, 
	p012f041			integer, 
	p012f042			integer, 
	p012f043			integer, 
	p012f044			integer, 
	p012f045			integer, 
	p012f046			integer, 
	p012f047			integer, 
	p012f048			integer, 
	p012f049			integer, 
	p012g001			integer, 
	p012g002			integer, 
	p012g003			integer, 
	p012g004			integer, 
	p012g005			integer, 
	p012g006			integer, 
	p012g007			integer, 
	p012g008			integer, 
	p012g009			integer, 
	p012g010			integer, 
	p012g011			integer, 
	p012g012			integer, 
	p012g013			integer, 
	p012g014			integer, 
	p012g015			integer, 
	p012g016			integer, 
	p012g017			integer, 
	p012g018			integer, 
	p012g019			integer, 
	p012g020			integer, 
	p012g021			integer, 
	p012g022			integer, 
	p012g023			integer, 
	p012g024			integer, 
	p012g025			integer, 
	p012g026			integer, 
	p012g027			integer, 
	p012g028			integer, 
	p012g029			integer, 
	p012g030			integer, 
	p012g031			integer, 
	p012g032			integer, 
	p012g033			integer, 
	p012g034			integer, 
	p012g035			integer, 
	p012g036			integer, 
	p012g037			integer, 
	p012g038			integer, 
	p012g039			integer, 
	p012g040			integer, 
	p012g041			integer, 
	p012g042			integer, 
	p012g043			integer, 
	p012g044			integer, 
	p012g045			integer, 
	p012g046			integer, 
	p012g047			integer, 
	p012g048			integer, 
	p012g049			integer, 
	p012h001			integer, 
	p012h002			integer, 
	p012h003			integer, 
	p012h004			integer, 
	p012h005			integer, 
	p012h006			integer, 
	p012h007			integer, 
	p012h008			integer, 
	p012h009			integer, 
	p012h010			integer, 
	p012h011			integer, 
	p012h012			integer, 
	p012h013			integer, 
	p012h014			integer, 
	p012h015			integer, 
	p012h016			integer, 
	p012h017			integer, 
	p012h018			integer, 
	p012h019			integer, 
	p012h020			integer, 
	p012h021			integer, 
	p012h022			integer, 
	p012h023			integer, 
	p012h024			integer, 
	p012h025			integer, 
	p012h026			integer, 
	p012h027			integer, 
	p012h028			integer, 
	p012h029			integer, 
	p012h030			integer, 
	p012h031			integer, 
	p012h032			integer, 
	p012h033			integer, 
	p012h034			integer, 
	p012h035			integer, 
	p012h036			integer, 
	p012h037			integer, 
	p012h038			integer, 
	p012h039			integer, 
	p012h040			integer, 
	p012h041			integer, 
	p012h042			integer, 
	p012h043			integer, 
	p012h044			integer, 
	p012h045			integer, 
	p012h046			integer, 
	p012h047			integer, 
	p012h048			integer, 
	p012h049			integer, 
	p012i001			integer, 
	p012i002			integer, 
	p012i003			integer, 
	p012i004			integer, 
	p012i005			integer, 
	p012i006			integer, 
	p012i007			integer, 
	p012i008			integer, 
	p012i009			integer, 
	p012i010			integer, 
	p012i011			integer, 
	p012i012			integer, 
	p012i013			integer, 
	p012i014			integer, 
	p012i015			integer, 
	p012i016			integer, 
	p012i017			integer, 
	p012i018			integer, 
	p012i019			integer, 
	p012i020			integer, 
	p012i021			integer, 
	p012i022			integer, 
	p012i023			integer, 
	p012i024			integer, 
	p012i025			integer, 
	p012i026			integer, 
	p012i027			integer, 
	p012i028			integer, 
	p012i029			integer, 
	p012i030			integer, 
	p012i031			integer, 
	p012i032			integer, 
	p012i033			integer, 
	p012i034			integer, 
	p012i035			integer, 
	p012i036			integer, 
	p012i037			integer, 
	p012i038			integer, 
	p012i039			integer, 
	p012i040			integer, 
	p012i041			integer, 
	p012i042			integer, 
	p012i043			integer, 
	p012i044			integer, 
	p012i045			integer, 
	p012i046			integer, 
	p012i047			integer, 
	p012i048			integer, 
	p012i049			integer, 
	p013a001			numeric, 
	p013a002			numeric, 
	p013a003			numeric, 
	p013b001			numeric, 
	p013b002			numeric, 
	p013b003			numeric, 
	p013c001			numeric, 
	p013c002			numeric, 
	p013c003			numeric, 
	p013d001			numeric, 
	p013d002			numeric, 
	p013d003			numeric, 
	p013e001			numeric, 
	p013e002			numeric, 
	p013e003			numeric, 
	p013f001			numeric, 
	p013f002			numeric, 
	p013f003			numeric, 
	p013g001			numeric, 
	p013g002			numeric, 
	p013g003			numeric, 
	p013h001			numeric, 
	p013h002			numeric, 
	p013h003			numeric, 
	p013i001			numeric, 
	p013i002			numeric, 
	p013i003			numeric, 
	p016a001			integer, 
	p016a002			integer, 
	p016a003			integer, 
	p016b001			integer, 
	p016b002			integer, 
	p016b003			integer, 
	p016c001			integer, 
	p016c002			integer, 
	p016c003			integer, 
	p016d001			integer, 
	p016d002			integer, 
	p016d003			integer, 
	p016e001			integer, 
	p016e002			integer, 
	p016e003			integer, 
	p016f001			integer, 
	p016f002			integer, 
	p016f003			integer, 
	p016g001			integer, 
	p016g002			integer, 
	p016g003			integer, 
	p016h001			integer, 
	p016h002			integer, 
	p016h003			integer, 
	p016i001			integer, 
	p016i002			integer, 
	p016i003			integer, 
	p017a001			integer, 
	p017a002			integer, 
	p017a003			integer
);
-- create any indexes ...

-- drop table sf1_00009;
create table sf1_00009
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p017b001			numeric, 
	p017b002			numeric, 
	p017b003			numeric, 
	p017c001			numeric, 
	p017c002			numeric, 
	p017c003			numeric, 
	p017d001			numeric, 
	p017d002			numeric, 
	p017d003			numeric, 
	p017e001			numeric, 
	p017e002			numeric, 
	p017e003			numeric, 
	p017f001			numeric, 
	p017f002			numeric, 
	p017f003			numeric, 
	p017g001			numeric, 
	p017g002			numeric, 
	p017g003			numeric, 
	p017h001			numeric, 
	p017h002			numeric, 
	p017h003			numeric, 
	p017i001			numeric, 
	p017i002			numeric, 
	p017i003			numeric, 
	p018a001			integer, 
	p018a002			integer, 
	p018a003			integer, 
	p018a004			integer, 
	p018a005			integer, 
	p018a006			integer, 
	p018a007			integer, 
	p018a008			integer, 
	p018a009			integer, 
	p018b001			integer, 
	p018b002			integer, 
	p018b003			integer, 
	p018b004			integer, 
	p018b005			integer, 
	p018b006			integer, 
	p018b007			integer, 
	p018b008			integer, 
	p018b009			integer, 
	p018c001			integer, 
	p018c002			integer, 
	p018c003			integer, 
	p018c004			integer, 
	p018c005			integer, 
	p018c006			integer, 
	p018c007			integer, 
	p018c008			integer, 
	p018c009			integer, 
	p018d001			integer, 
	p018d002			integer, 
	p018d003			integer, 
	p018d004			integer, 
	p018d005			integer, 
	p018d006			integer, 
	p018d007			integer, 
	p018d008			integer, 
	p018d009			integer, 
	p018e001			integer, 
	p018e002			integer, 
	p018e003			integer, 
	p018e004			integer, 
	p018e005			integer, 
	p018e006			integer, 
	p018e007			integer, 
	p018e008			integer, 
	p018e009			integer, 
	p018f001			integer, 
	p018f002			integer, 
	p018f003			integer, 
	p018f004			integer, 
	p018f005			integer, 
	p018f006			integer, 
	p018f007			integer, 
	p018f008			integer, 
	p018f009			integer, 
	p018g001			integer, 
	p018g002			integer, 
	p018g003			integer, 
	p018g004			integer, 
	p018g005			integer, 
	p018g006			integer, 
	p018g007			integer, 
	p018g008			integer, 
	p018g009			integer, 
	p018h001			integer, 
	p018h002			integer, 
	p018h003			integer, 
	p018h004			integer, 
	p018h005			integer, 
	p018h006			integer, 
	p018h007			integer, 
	p018h008			integer, 
	p018h009			integer, 
	p018i001			integer, 
	p018i002			integer, 
	p018i003			integer, 
	p018i004			integer, 
	p018i005			integer, 
	p018i006			integer, 
	p018i007			integer, 
	p018i008			integer, 
	p018i009			integer, 
	p028a001			integer, 
	p028a002			integer, 
	p028a003			integer, 
	p028a004			integer, 
	p028a005			integer, 
	p028a006			integer, 
	p028a007			integer, 
	p028a008			integer, 
	p028a009			integer, 
	p028a010			integer, 
	p028a011			integer, 
	p028a012			integer, 
	p028a013			integer, 
	p028a014			integer, 
	p028a015			integer, 
	p028a016			integer, 
	p028b001			integer, 
	p028b002			integer, 
	p028b003			integer, 
	p028b004			integer, 
	p028b005			integer, 
	p028b006			integer, 
	p028b007			integer, 
	p028b008			integer, 
	p028b009			integer, 
	p028b010			integer, 
	p028b011			integer, 
	p028b012			integer, 
	p028b013			integer, 
	p028b014			integer, 
	p028b015			integer, 
	p028b016			integer, 
	p028c001			integer, 
	p028c002			integer, 
	p028c003			integer, 
	p028c004			integer, 
	p028c005			integer, 
	p028c006			integer, 
	p028c007			integer, 
	p028c008			integer, 
	p028c009			integer, 
	p028c010			integer, 
	p028c011			integer, 
	p028c012			integer, 
	p028c013			integer, 
	p028c014			integer, 
	p028c015			integer, 
	p028c016			integer, 
	p028d001			integer, 
	p028d002			integer, 
	p028d003			integer, 
	p028d004			integer, 
	p028d005			integer, 
	p028d006			integer, 
	p028d007			integer, 
	p028d008			integer, 
	p028d009			integer, 
	p028d010			integer, 
	p028d011			integer, 
	p028d012			integer, 
	p028d013			integer, 
	p028d014			integer, 
	p028d015			integer, 
	p028d016			integer, 
	p028e001			integer, 
	p028e002			integer, 
	p028e003			integer, 
	p028e004			integer, 
	p028e005			integer, 
	p028e006			integer, 
	p028e007			integer, 
	p028e008			integer, 
	p028e009			integer, 
	p028e010			integer, 
	p028e011			integer, 
	p028e012			integer, 
	p028e013			integer, 
	p028e014			integer, 
	p028e015			integer, 
	p028e016			integer, 
	p028f001			integer, 
	p028f002			integer, 
	p028f003			integer, 
	p028f004			integer, 
	p028f005			integer, 
	p028f006			integer, 
	p028f007			integer, 
	p028f008			integer, 
	p028f009			integer, 
	p028f010			integer, 
	p028f011			integer, 
	p028f012			integer, 
	p028f013			integer, 
	p028f014			integer, 
	p028f015			integer, 
	p028f016			integer, 
	p028g001			integer, 
	p028g002			integer, 
	p028g003			integer, 
	p028g004			integer, 
	p028g005			integer, 
	p028g006			integer, 
	p028g007			integer, 
	p028g008			integer, 
	p028g009			integer, 
	p028g010			integer, 
	p028g011			integer, 
	p028g012			integer, 
	p028g013			integer, 
	p028g014			integer, 
	p028g015			integer, 
	p028g016			integer, 
	p028h001			integer, 
	p028h002			integer, 
	p028h003			integer, 
	p028h004			integer, 
	p028h005			integer, 
	p028h006			integer, 
	p028h007			integer, 
	p028h008			integer, 
	p028h009			integer, 
	p028h010			integer, 
	p028h011			integer, 
	p028h012			integer, 
	p028h013			integer, 
	p028h014			integer, 
	p028h015			integer, 
	p028h016			integer, 
	p028i001			integer, 
	p028i002			integer, 
	p028i003			integer, 
	p028i004			integer, 
	p028i005			integer, 
	p028i006			integer, 
	p028i007			integer, 
	p028i008			integer, 
	p028i009			integer, 
	p028i010			integer, 
	p028i011			integer, 
	p028i012			integer, 
	p028i013			integer, 
	p028i014			integer, 
	p028i015			integer, 
	p028i016			integer
);
-- create any indexes ...

-- drop table sf1_00010;
create table sf1_00010
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p029a001			integer, 
	p029a002			integer, 
	p029a003			integer, 
	p029a004			integer, 
	p029a005			integer, 
	p029a006			integer, 
	p029a007			integer, 
	p029a008			integer, 
	p029a009			integer, 
	p029a010			integer, 
	p029a011			integer, 
	p029a012			integer, 
	p029a013			integer, 
	p029a014			integer, 
	p029a015			integer, 
	p029a016			integer, 
	p029a017			integer, 
	p029a018			integer, 
	p029a019			integer, 
	p029a020			integer, 
	p029a021			integer, 
	p029a022			integer, 
	p029a023			integer, 
	p029a024			integer, 
	p029a025			integer, 
	p029a026			integer, 
	p029a027			integer, 
	p029a028			integer, 
	p029b001			integer, 
	p029b002			integer, 
	p029b003			integer, 
	p029b004			integer, 
	p029b005			integer, 
	p029b006			integer, 
	p029b007			integer, 
	p029b008			integer, 
	p029b009			integer, 
	p029b010			integer, 
	p029b011			integer, 
	p029b012			integer, 
	p029b013			integer, 
	p029b014			integer, 
	p029b015			integer, 
	p029b016			integer, 
	p029b017			integer, 
	p029b018			integer, 
	p029b019			integer, 
	p029b020			integer, 
	p029b021			integer, 
	p029b022			integer, 
	p029b023			integer, 
	p029b024			integer, 
	p029b025			integer, 
	p029b026			integer, 
	p029b027			integer, 
	p029b028			integer, 
	p029c001			integer, 
	p029c002			integer, 
	p029c003			integer, 
	p029c004			integer, 
	p029c005			integer, 
	p029c006			integer, 
	p029c007			integer, 
	p029c008			integer, 
	p029c009			integer, 
	p029c010			integer, 
	p029c011			integer, 
	p029c012			integer, 
	p029c013			integer, 
	p029c014			integer, 
	p029c015			integer, 
	p029c016			integer, 
	p029c017			integer, 
	p029c018			integer, 
	p029c019			integer, 
	p029c020			integer, 
	p029c021			integer, 
	p029c022			integer, 
	p029c023			integer, 
	p029c024			integer, 
	p029c025			integer, 
	p029c026			integer, 
	p029c027			integer, 
	p029c028			integer, 
	p029d001			integer, 
	p029d002			integer, 
	p029d003			integer, 
	p029d004			integer, 
	p029d005			integer, 
	p029d006			integer, 
	p029d007			integer, 
	p029d008			integer, 
	p029d009			integer, 
	p029d010			integer, 
	p029d011			integer, 
	p029d012			integer, 
	p029d013			integer, 
	p029d014			integer, 
	p029d015			integer, 
	p029d016			integer, 
	p029d017			integer, 
	p029d018			integer, 
	p029d019			integer, 
	p029d020			integer, 
	p029d021			integer, 
	p029d022			integer, 
	p029d023			integer, 
	p029d024			integer, 
	p029d025			integer, 
	p029d026			integer, 
	p029d027			integer, 
	p029d028			integer, 
	p029e001			integer, 
	p029e002			integer, 
	p029e003			integer, 
	p029e004			integer, 
	p029e005			integer, 
	p029e006			integer, 
	p029e007			integer, 
	p029e008			integer, 
	p029e009			integer, 
	p029e010			integer, 
	p029e011			integer, 
	p029e012			integer, 
	p029e013			integer, 
	p029e014			integer, 
	p029e015			integer, 
	p029e016			integer, 
	p029e017			integer, 
	p029e018			integer, 
	p029e019			integer, 
	p029e020			integer, 
	p029e021			integer, 
	p029e022			integer, 
	p029e023			integer, 
	p029e024			integer, 
	p029e025			integer, 
	p029e026			integer, 
	p029e027			integer, 
	p029e028			integer, 
	p029f001			integer, 
	p029f002			integer, 
	p029f003			integer, 
	p029f004			integer, 
	p029f005			integer, 
	p029f006			integer, 
	p029f007			integer, 
	p029f008			integer, 
	p029f009			integer, 
	p029f010			integer, 
	p029f011			integer, 
	p029f012			integer, 
	p029f013			integer, 
	p029f014			integer, 
	p029f015			integer, 
	p029f016			integer, 
	p029f017			integer, 
	p029f018			integer, 
	p029f019			integer, 
	p029f020			integer, 
	p029f021			integer, 
	p029f022			integer, 
	p029f023			integer, 
	p029f024			integer, 
	p029f025			integer, 
	p029f026			integer, 
	p029f027			integer, 
	p029f028			integer, 
	p029g001			integer, 
	p029g002			integer, 
	p029g003			integer, 
	p029g004			integer, 
	p029g005			integer, 
	p029g006			integer, 
	p029g007			integer, 
	p029g008			integer, 
	p029g009			integer, 
	p029g010			integer, 
	p029g011			integer, 
	p029g012			integer, 
	p029g013			integer, 
	p029g014			integer, 
	p029g015			integer, 
	p029g016			integer, 
	p029g017			integer, 
	p029g018			integer, 
	p029g019			integer, 
	p029g020			integer, 
	p029g021			integer, 
	p029g022			integer, 
	p029g023			integer, 
	p029g024			integer, 
	p029g025			integer, 
	p029g026			integer, 
	p029g027			integer, 
	p029g028			integer, 
	p029h001			integer, 
	p029h002			integer, 
	p029h003			integer, 
	p029h004			integer, 
	p029h005			integer, 
	p029h006			integer, 
	p029h007			integer, 
	p029h008			integer, 
	p029h009			integer, 
	p029h010			integer, 
	p029h011			integer, 
	p029h012			integer, 
	p029h013			integer, 
	p029h014			integer, 
	p029h015			integer, 
	p029h016			integer, 
	p029h017			integer, 
	p029h018			integer, 
	p029h019			integer, 
	p029h020			integer, 
	p029h021			integer, 
	p029h022			integer, 
	p029h023			integer, 
	p029h024			integer, 
	p029h025			integer, 
	p029h026			integer, 
	p029h027			integer, 
	p029h028			integer, 
	p029i001			integer, 
	p029i002			integer, 
	p029i003			integer, 
	p029i004			integer, 
	p029i005			integer, 
	p029i006			integer, 
	p029i007			integer, 
	p029i008			integer, 
	p029i009			integer, 
	p029i010			integer, 
	p029i011			integer, 
	p029i012			integer, 
	p029i013			integer, 
	p029i014			integer, 
	p029i015			integer, 
	p029i016			integer, 
	p029i017			integer, 
	p029i018			integer, 
	p029i019			integer, 
	p029i020			integer, 
	p029i021			integer, 
	p029i022			integer, 
	p029i023			integer, 
	p029i024			integer, 
	p029i025			integer, 
	p029i026			integer, 
	p029i027			integer, 
	p029i028			integer
);
-- create any indexes ...

-- drop table sf1_00011;
create table sf1_00011
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p031a001			integer, 
	p031a002			integer, 
	p031a003			integer, 
	p031a004			integer, 
	p031a005			integer, 
	p031a006			integer, 
	p031a007			integer, 
	p031a008			integer, 
	p031a009			integer, 
	p031a010			integer, 
	p031a011			integer, 
	p031a012			integer, 
	p031a013			integer, 
	p031a014			integer, 
	p031a015			integer, 
	p031a016			integer, 
	p031b001			integer, 
	p031b002			integer, 
	p031b003			integer, 
	p031b004			integer, 
	p031b005			integer, 
	p031b006			integer, 
	p031b007			integer, 
	p031b008			integer, 
	p031b009			integer, 
	p031b010			integer, 
	p031b011			integer, 
	p031b012			integer, 
	p031b013			integer, 
	p031b014			integer, 
	p031b015			integer, 
	p031b016			integer, 
	p031c001			integer, 
	p031c002			integer, 
	p031c003			integer, 
	p031c004			integer, 
	p031c005			integer, 
	p031c006			integer, 
	p031c007			integer, 
	p031c008			integer, 
	p031c009			integer, 
	p031c010			integer, 
	p031c011			integer, 
	p031c012			integer, 
	p031c013			integer, 
	p031c014			integer, 
	p031c015			integer, 
	p031c016			integer, 
	p031d001			integer, 
	p031d002			integer, 
	p031d003			integer, 
	p031d004			integer, 
	p031d005			integer, 
	p031d006			integer, 
	p031d007			integer, 
	p031d008			integer, 
	p031d009			integer, 
	p031d010			integer, 
	p031d011			integer, 
	p031d012			integer, 
	p031d013			integer, 
	p031d014			integer, 
	p031d015			integer, 
	p031d016			integer, 
	p031e001			integer, 
	p031e002			integer, 
	p031e003			integer, 
	p031e004			integer, 
	p031e005			integer, 
	p031e006			integer, 
	p031e007			integer, 
	p031e008			integer, 
	p031e009			integer, 
	p031e010			integer, 
	p031e011			integer, 
	p031e012			integer, 
	p031e013			integer, 
	p031e014			integer, 
	p031e015			integer, 
	p031e016			integer, 
	p031f001			integer, 
	p031f002			integer, 
	p031f003			integer, 
	p031f004			integer, 
	p031f005			integer, 
	p031f006			integer, 
	p031f007			integer, 
	p031f008			integer, 
	p031f009			integer, 
	p031f010			integer, 
	p031f011			integer, 
	p031f012			integer, 
	p031f013			integer, 
	p031f014			integer, 
	p031f015			integer, 
	p031f016			integer, 
	p031g001			integer, 
	p031g002			integer, 
	p031g003			integer, 
	p031g004			integer, 
	p031g005			integer, 
	p031g006			integer, 
	p031g007			integer, 
	p031g008			integer, 
	p031g009			integer, 
	p031g010			integer, 
	p031g011			integer, 
	p031g012			integer, 
	p031g013			integer, 
	p031g014			integer, 
	p031g015			integer, 
	p031g016			integer, 
	p031h001			integer, 
	p031h002			integer, 
	p031h003			integer, 
	p031h004			integer, 
	p031h005			integer, 
	p031h006			integer, 
	p031h007			integer, 
	p031h008			integer, 
	p031h009			integer, 
	p031h010			integer, 
	p031h011			integer, 
	p031h012			integer, 
	p031h013			integer, 
	p031h014			integer, 
	p031h015			integer, 
	p031h016			integer, 
	p031i001			integer, 
	p031i002			integer, 
	p031i003			integer, 
	p031i004			integer, 
	p031i005			integer, 
	p031i006			integer, 
	p031i007			integer, 
	p031i008			integer, 
	p031i009			integer, 
	p031i010			integer, 
	p031i011			integer, 
	p031i012			integer, 
	p031i013			integer, 
	p031i014			integer, 
	p031i015			integer, 
	p031i016			integer, 
	p034a001			integer, 
	p034a002			integer, 
	p034a003			integer, 
	p034a004			integer, 
	p034a005			integer, 
	p034a006			integer, 
	p034a007			integer, 
	p034a008			integer, 
	p034a009			integer, 
	p034a010			integer, 
	p034a011			integer, 
	p034a012			integer, 
	p034a013			integer, 
	p034a014			integer, 
	p034a015			integer, 
	p034a016			integer, 
	p034a017			integer, 
	p034a018			integer, 
	p034a019			integer, 
	p034a020			integer, 
	p034a021			integer, 
	p034a022			integer, 
	p034b001			integer, 
	p034b002			integer, 
	p034b003			integer, 
	p034b004			integer, 
	p034b005			integer, 
	p034b006			integer, 
	p034b007			integer, 
	p034b008			integer, 
	p034b009			integer, 
	p034b010			integer, 
	p034b011			integer, 
	p034b012			integer, 
	p034b013			integer, 
	p034b014			integer, 
	p034b015			integer, 
	p034b016			integer, 
	p034b017			integer, 
	p034b018			integer, 
	p034b019			integer, 
	p034b020			integer, 
	p034b021			integer, 
	p034b022			integer, 
	p034c001			integer, 
	p034c002			integer, 
	p034c003			integer, 
	p034c004			integer, 
	p034c005			integer, 
	p034c006			integer, 
	p034c007			integer, 
	p034c008			integer, 
	p034c009			integer, 
	p034c010			integer, 
	p034c011			integer, 
	p034c012			integer, 
	p034c013			integer, 
	p034c014			integer, 
	p034c015			integer, 
	p034c016			integer, 
	p034c017			integer, 
	p034c018			integer, 
	p034c019			integer, 
	p034c020			integer, 
	p034c021			integer, 
	p034c022			integer, 
	p034d001			integer, 
	p034d002			integer, 
	p034d003			integer, 
	p034d004			integer, 
	p034d005			integer, 
	p034d006			integer, 
	p034d007			integer, 
	p034d008			integer, 
	p034d009			integer, 
	p034d010			integer, 
	p034d011			integer, 
	p034d012			integer, 
	p034d013			integer, 
	p034d014			integer, 
	p034d015			integer, 
	p034d016			integer, 
	p034d017			integer, 
	p034d018			integer, 
	p034d019			integer, 
	p034d020			integer, 
	p034d021			integer, 
	p034d022			integer, 
	p034e001			integer, 
	p034e002			integer, 
	p034e003			integer, 
	p034e004			integer, 
	p034e005			integer, 
	p034e006			integer, 
	p034e007			integer, 
	p034e008			integer, 
	p034e009			integer, 
	p034e010			integer, 
	p034e011			integer, 
	p034e012			integer, 
	p034e013			integer, 
	p034e014			integer, 
	p034e015			integer, 
	p034e016			integer, 
	p034e017			integer, 
	p034e018			integer, 
	p034e019			integer, 
	p034e020			integer, 
	p034e021			integer, 
	p034e022			integer
);
-- create any indexes ...

-- drop table sf1_00012;
create table sf1_00012
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p034f001			integer, 
	p034f002			integer, 
	p034f003			integer, 
	p034f004			integer, 
	p034f005			integer, 
	p034f006			integer, 
	p034f007			integer, 
	p034f008			integer, 
	p034f009			integer, 
	p034f010			integer, 
	p034f011			integer, 
	p034f012			integer, 
	p034f013			integer, 
	p034f014			integer, 
	p034f015			integer, 
	p034f016			integer, 
	p034f017			integer, 
	p034f018			integer, 
	p034f019			integer, 
	p034f020			integer, 
	p034f021			integer, 
	p034f022			integer, 
	p034g001			integer, 
	p034g002			integer, 
	p034g003			integer, 
	p034g004			integer, 
	p034g005			integer, 
	p034g006			integer, 
	p034g007			integer, 
	p034g008			integer, 
	p034g009			integer, 
	p034g010			integer, 
	p034g011			integer, 
	p034g012			integer, 
	p034g013			integer, 
	p034g014			integer, 
	p034g015			integer, 
	p034g016			integer, 
	p034g017			integer, 
	p034g018			integer, 
	p034g019			integer, 
	p034g020			integer, 
	p034g021			integer, 
	p034g022			integer, 
	p034h001			integer, 
	p034h002			integer, 
	p034h003			integer, 
	p034h004			integer, 
	p034h005			integer, 
	p034h006			integer, 
	p034h007			integer, 
	p034h008			integer, 
	p034h009			integer, 
	p034h010			integer, 
	p034h011			integer, 
	p034h012			integer, 
	p034h013			integer, 
	p034h014			integer, 
	p034h015			integer, 
	p034h016			integer, 
	p034h017			integer, 
	p034h018			integer, 
	p034h019			integer, 
	p034h020			integer, 
	p034h021			integer, 
	p034h022			integer, 
	p034i001			integer, 
	p034i002			integer, 
	p034i003			integer, 
	p034i004			integer, 
	p034i005			integer, 
	p034i006			integer, 
	p034i007			integer, 
	p034i008			integer, 
	p034i009			integer, 
	p034i010			integer, 
	p034i011			integer, 
	p034i012			integer, 
	p034i013			integer, 
	p034i014			integer, 
	p034i015			integer, 
	p034i016			integer, 
	p034i017			integer, 
	p034i018			integer, 
	p034i019			integer, 
	p034i020			integer, 
	p034i021			integer, 
	p034i022			integer, 
	p035a001			integer, 
	p035b001			integer, 
	p035c001			integer, 
	p035d001			integer, 
	p035e001			integer, 
	p035f001			integer, 
	p035g001			integer, 
	p035h001			integer, 
	p035i001			integer, 
	p036a001			integer, 
	p036a002			integer, 
	p036a003			integer, 
	p036b001			integer, 
	p036b002			integer, 
	p036b003			integer, 
	p036c001			integer, 
	p036c002			integer, 
	p036c003			integer, 
	p036d001			integer, 
	p036d002			integer, 
	p036d003			integer, 
	p036e001			integer, 
	p036e002			integer, 
	p036e003			integer, 
	p036f001			integer, 
	p036f002			integer, 
	p036f003			integer, 
	p036g001			integer, 
	p036g002			integer, 
	p036g003			integer, 
	p036h001			integer, 
	p036h002			integer, 
	p036h003			integer, 
	p036i001			integer, 
	p036i002			integer, 
	p036i003			integer, 
	p037a001			numeric, 
	p037a002			numeric, 
	p037a003			numeric, 
	p037b001			numeric, 
	p037b002			numeric, 
	p037b003			numeric, 
	p037c001			numeric, 
	p037c002			numeric, 
	p037c003			numeric, 
	p037d001			numeric, 
	p037d002			numeric, 
	p037d003			numeric, 
	p037e001			numeric, 
	p037e002			numeric, 
	p037e003			numeric, 
	p037f001			numeric, 
	p037f002			numeric, 
	p037f003			numeric, 
	p037g001			numeric, 
	p037g002			numeric, 
	p037g003			numeric, 
	p037h001			numeric, 
	p037h002			numeric, 
	p037h003			numeric, 
	p037i001			numeric, 
	p037i002			numeric, 
	p037i003			numeric, 
	p038a001			integer, 
	p038a002			integer, 
	p038a003			integer, 
	p038a004			integer, 
	p038a005			integer, 
	p038a006			integer, 
	p038a007			integer, 
	p038a008			integer, 
	p038a009			integer, 
	p038a010			integer, 
	p038a011			integer, 
	p038a012			integer, 
	p038a013			integer, 
	p038a014			integer, 
	p038a015			integer, 
	p038a016			integer, 
	p038a017			integer, 
	p038a018			integer, 
	p038a019			integer, 
	p038a020			integer, 
	p038b001			integer, 
	p038b002			integer, 
	p038b003			integer, 
	p038b004			integer, 
	p038b005			integer, 
	p038b006			integer, 
	p038b007			integer, 
	p038b008			integer, 
	p038b009			integer, 
	p038b010			integer, 
	p038b011			integer, 
	p038b012			integer, 
	p038b013			integer, 
	p038b014			integer, 
	p038b015			integer, 
	p038b016			integer, 
	p038b017			integer, 
	p038b018			integer, 
	p038b019			integer, 
	p038b020			integer, 
	p038c001			integer, 
	p038c002			integer, 
	p038c003			integer, 
	p038c004			integer, 
	p038c005			integer, 
	p038c006			integer, 
	p038c007			integer, 
	p038c008			integer, 
	p038c009			integer, 
	p038c010			integer, 
	p038c011			integer, 
	p038c012			integer, 
	p038c013			integer, 
	p038c014			integer, 
	p038c015			integer, 
	p038c016			integer, 
	p038c017			integer, 
	p038c018			integer, 
	p038c019			integer, 
	p038c020			integer, 
	p038d001			integer, 
	p038d002			integer, 
	p038d003			integer, 
	p038d004			integer, 
	p038d005			integer, 
	p038d006			integer, 
	p038d007			integer, 
	p038d008			integer, 
	p038d009			integer, 
	p038d010			integer, 
	p038d011			integer, 
	p038d012			integer, 
	p038d013			integer, 
	p038d014			integer, 
	p038d015			integer, 
	p038d016			integer, 
	p038d017			integer, 
	p038d018			integer, 
	p038d019			integer, 
	p038d020			integer, 
	p038e001			integer, 
	p038e002			integer, 
	p038e003			integer, 
	p038e004			integer, 
	p038e005			integer, 
	p038e006			integer, 
	p038e007			integer, 
	p038e008			integer, 
	p038e009			integer, 
	p038e010			integer, 
	p038e011			integer, 
	p038e012			integer, 
	p038e013			integer, 
	p038e014			integer, 
	p038e015			integer, 
	p038e016			integer, 
	p038e017			integer, 
	p038e018			integer, 
	p038e019			integer, 
	p038e020			integer
);
-- create any indexes ...

-- drop table sf1_00013;
create table sf1_00013
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	p038f001			integer, 
	p038f002			integer, 
	p038f003			integer, 
	p038f004			integer, 
	p038f005			integer, 
	p038f006			integer, 
	p038f007			integer, 
	p038f008			integer, 
	p038f009			integer, 
	p038f010			integer, 
	p038f011			integer, 
	p038f012			integer, 
	p038f013			integer, 
	p038f014			integer, 
	p038f015			integer, 
	p038f016			integer, 
	p038f017			integer, 
	p038f018			integer, 
	p038f019			integer, 
	p038f020			integer, 
	p038g001			integer, 
	p038g002			integer, 
	p038g003			integer, 
	p038g004			integer, 
	p038g005			integer, 
	p038g006			integer, 
	p038g007			integer, 
	p038g008			integer, 
	p038g009			integer, 
	p038g010			integer, 
	p038g011			integer, 
	p038g012			integer, 
	p038g013			integer, 
	p038g014			integer, 
	p038g015			integer, 
	p038g016			integer, 
	p038g017			integer, 
	p038g018			integer, 
	p038g019			integer, 
	p038g020			integer, 
	p038h001			integer, 
	p038h002			integer, 
	p038h003			integer, 
	p038h004			integer, 
	p038h005			integer, 
	p038h006			integer, 
	p038h007			integer, 
	p038h008			integer, 
	p038h009			integer, 
	p038h010			integer, 
	p038h011			integer, 
	p038h012			integer, 
	p038h013			integer, 
	p038h014			integer, 
	p038h015			integer, 
	p038h016			integer, 
	p038h017			integer, 
	p038h018			integer, 
	p038h019			integer, 
	p038h020			integer, 
	p038i001			integer, 
	p038i002			integer, 
	p038i003			integer, 
	p038i004			integer, 
	p038i005			integer, 
	p038i006			integer, 
	p038i007			integer, 
	p038i008			integer, 
	p038i009			integer, 
	p038i010			integer, 
	p038i011			integer, 
	p038i012			integer, 
	p038i013			integer, 
	p038i014			integer, 
	p038i015			integer, 
	p038i016			integer, 
	p038i017			integer, 
	p038i018			integer, 
	p038i019			integer, 
	p038i020			integer, 
	p039a001			integer, 
	p039a002			integer, 
	p039a003			integer, 
	p039a004			integer, 
	p039a005			integer, 
	p039a006			integer, 
	p039a007			integer, 
	p039a008			integer, 
	p039a009			integer, 
	p039a010			integer, 
	p039a011			integer, 
	p039a012			integer, 
	p039a013			integer, 
	p039a014			integer, 
	p039a015			integer, 
	p039a016			integer, 
	p039a017			integer, 
	p039a018			integer, 
	p039a019			integer, 
	p039a020			integer, 
	p039b001			integer, 
	p039b002			integer, 
	p039b003			integer, 
	p039b004			integer, 
	p039b005			integer, 
	p039b006			integer, 
	p039b007			integer, 
	p039b008			integer, 
	p039b009			integer, 
	p039b010			integer, 
	p039b011			integer, 
	p039b012			integer, 
	p039b013			integer, 
	p039b014			integer, 
	p039b015			integer, 
	p039b016			integer, 
	p039b017			integer, 
	p039b018			integer, 
	p039b019			integer, 
	p039b020			integer, 
	p039c001			integer, 
	p039c002			integer, 
	p039c003			integer, 
	p039c004			integer, 
	p039c005			integer, 
	p039c006			integer, 
	p039c007			integer, 
	p039c008			integer, 
	p039c009			integer, 
	p039c010			integer, 
	p039c011			integer, 
	p039c012			integer, 
	p039c013			integer, 
	p039c014			integer, 
	p039c015			integer, 
	p039c016			integer, 
	p039c017			integer, 
	p039c018			integer, 
	p039c019			integer, 
	p039c020			integer, 
	p039d001			integer, 
	p039d002			integer, 
	p039d003			integer, 
	p039d004			integer, 
	p039d005			integer, 
	p039d006			integer, 
	p039d007			integer, 
	p039d008			integer, 
	p039d009			integer, 
	p039d010			integer, 
	p039d011			integer, 
	p039d012			integer, 
	p039d013			integer, 
	p039d014			integer, 
	p039d015			integer, 
	p039d016			integer, 
	p039d017			integer, 
	p039d018			integer, 
	p039d019			integer, 
	p039d020			integer, 
	p039e001			integer, 
	p039e002			integer, 
	p039e003			integer, 
	p039e004			integer, 
	p039e005			integer, 
	p039e006			integer, 
	p039e007			integer, 
	p039e008			integer, 
	p039e009			integer, 
	p039e010			integer, 
	p039e011			integer, 
	p039e012			integer, 
	p039e013			integer, 
	p039e014			integer, 
	p039e015			integer, 
	p039e016			integer, 
	p039e017			integer, 
	p039e018			integer, 
	p039e019			integer, 
	p039e020			integer, 
	p039f001			integer, 
	p039f002			integer, 
	p039f003			integer, 
	p039f004			integer, 
	p039f005			integer, 
	p039f006			integer, 
	p039f007			integer, 
	p039f008			integer, 
	p039f009			integer, 
	p039f010			integer, 
	p039f011			integer, 
	p039f012			integer, 
	p039f013			integer, 
	p039f014			integer, 
	p039f015			integer, 
	p039f016			integer, 
	p039f017			integer, 
	p039f018			integer, 
	p039f019			integer, 
	p039f020			integer, 
	p039g001			integer, 
	p039g002			integer, 
	p039g003			integer, 
	p039g004			integer, 
	p039g005			integer, 
	p039g006			integer, 
	p039g007			integer, 
	p039g008			integer, 
	p039g009			integer, 
	p039g010			integer, 
	p039g011			integer, 
	p039g012			integer, 
	p039g013			integer, 
	p039g014			integer, 
	p039g015			integer, 
	p039g016			integer, 
	p039g017			integer, 
	p039g018			integer, 
	p039g019			integer, 
	p039g020			integer, 
	p039h001			integer, 
	p039h002			integer, 
	p039h003			integer, 
	p039h004			integer, 
	p039h005			integer, 
	p039h006			integer, 
	p039h007			integer, 
	p039h008			integer, 
	p039h009			integer, 
	p039h010			integer, 
	p039h011			integer, 
	p039h012			integer, 
	p039h013			integer, 
	p039h014			integer, 
	p039h015			integer, 
	p039h016			integer, 
	p039h017			integer, 
	p039h018			integer, 
	p039h019			integer, 
	p039h020			integer
);
-- create any indexes ...

-- drop table sf1_00014;
create table sf1_00014
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			integer, 
	cifsn			integer, 
	logrecno			integer PRIMARY KEY, 
	p039i001			integer, 
	p039i002			integer, 
	p039i003			integer, 
	p039i004			integer, 
	p039i005			integer, 
	p039i006			integer, 
	p039i007			integer, 
	p039i008			integer, 
	p039i009			integer, 
	p039i010			integer, 
	p039i011			integer, 
	p039i012			integer, 
	p039i013			integer, 
	p039i014			integer, 
	p039i015			integer, 
	p039i016			integer, 
	p039i017			integer, 
	p039i018			integer, 
	p039i019			integer, 
	p039i020			integer
);
-- create any indexes ...

-- drop table sf1_00015;
create table sf1_00015
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct0010001			integer, 
	pct0010002			integer, 
	pct0010003			integer, 
	pct0010004			integer, 
	pct0010005			integer, 
	pct0010006			integer, 
	pct0010007			integer, 
	pct0010008			integer, 
	pct0010009			integer, 
	pct0010010			integer, 
	pct0010011			integer, 
	pct0010012			integer, 
	pct0010013			integer, 
	pct0010014			integer, 
	pct0010015			integer, 
	pct0010016			integer, 
	pct0010017			integer, 
	pct0010018			integer, 
	pct0010019			integer, 
	pct0010020			integer, 
	pct0010021			integer, 
	pct0010022			integer, 
	pct0010023			integer, 
	pct0010024			integer, 
	pct0010025			integer, 
	pct0010026			integer, 
	pct0010027			integer, 
	pct0010028			integer, 
	pct0010029			integer, 
	pct0010030			integer, 
	pct0010031			integer, 
	pct0010032			integer, 
	pct0010033			integer, 
	pct0010034			integer, 
	pct0010035			integer, 
	pct0010036			integer, 
	pct0010037			integer, 
	pct0010038			integer, 
	pct0010039			integer, 
	pct0010040			integer, 
	pct0010041			integer, 
	pct0010042			integer, 
	pct0010043			integer, 
	pct0010044			integer, 
	pct0010045			integer, 
	pct0010046			integer, 
	pct0010047			integer, 
	pct0010048			integer, 
	pct0010049			integer, 
	pct0010050			integer, 
	pct0010051			integer, 
	pct0010052			integer, 
	pct0010053			integer, 
	pct0010054			integer, 
	pct0020001			integer, 
	pct0020002			integer, 
	pct0020003			integer, 
	pct0020004			integer, 
	pct0020005			integer, 
	pct0020006			integer, 
	pct0020007			integer, 
	pct0020008			integer, 
	pct0020009			integer, 
	pct0020010			integer, 
	pct0020011			integer, 
	pct0020012			integer, 
	pct0020013			integer, 
	pct0020014			integer, 
	pct0020015			integer, 
	pct0020016			integer, 
	pct0020017			integer, 
	pct0020018			integer, 
	pct0020019			integer, 
	pct0020020			integer, 
	pct0020021			integer, 
	pct0020022			integer, 
	pct0020023			integer, 
	pct0020024			integer, 
	pct0020025			integer, 
	pct0020026			integer, 
	pct0020027			integer, 
	pct0020028			integer, 
	pct0020029			integer, 
	pct0020030			integer, 
	pct0020031			integer, 
	pct0020032			integer, 
	pct0020033			integer, 
	pct0020034			integer, 
	pct0020035			integer, 
	pct0020036			integer, 
	pct0020037			integer, 
	pct0020038			integer, 
	pct0020039			integer, 
	pct0020040			integer, 
	pct0020041			integer, 
	pct0020042			integer, 
	pct0020043			integer, 
	pct0020044			integer, 
	pct0020045			integer, 
	pct0020046			integer, 
	pct0020047			integer, 
	pct0020048			integer, 
	pct0020049			integer, 
	pct0020050			integer, 
	pct0020051			integer, 
	pct0020052			integer, 
	pct0020053			integer, 
	pct0020054			integer, 
	pct0030001			integer, 
	pct0030002			integer, 
	pct0030003			integer, 
	pct0030004			integer, 
	pct0030005			integer, 
	pct0030006			integer, 
	pct0030007			integer, 
	pct0030008			integer, 
	pct0030009			integer, 
	pct0030010			integer, 
	pct0030011			integer, 
	pct0030012			integer, 
	pct0030013			integer, 
	pct0030014			integer, 
	pct0030015			integer, 
	pct0030016			integer, 
	pct0030017			integer, 
	pct0030018			integer, 
	pct0030019			integer, 
	pct0030020			integer, 
	pct0030021			integer, 
	pct0030022			integer, 
	pct0030023			integer, 
	pct0030024			integer, 
	pct0030025			integer, 
	pct0030026			integer, 
	pct0030027			integer, 
	pct0030028			integer, 
	pct0030029			integer, 
	pct0030030			integer, 
	pct0030031			integer, 
	pct0030032			integer, 
	pct0030033			integer, 
	pct0030034			integer, 
	pct0030035			integer, 
	pct0030036			integer, 
	pct0030037			integer, 
	pct0030038			integer, 
	pct0030039			integer, 
	pct0030040			integer, 
	pct0030041			integer, 
	pct0030042			integer, 
	pct0030043			integer, 
	pct0030044			integer, 
	pct0030045			integer, 
	pct0030046			integer, 
	pct0030047			integer, 
	pct0030048			integer, 
	pct0030049			integer, 
	pct0030050			integer, 
	pct0030051			integer, 
	pct0030052			integer, 
	pct0030053			integer, 
	pct0030054			integer, 
	pct0040001			integer, 
	pct0040002			integer, 
	pct0040003			integer, 
	pct0040004			integer, 
	pct0040005			integer, 
	pct0040006			integer, 
	pct0040007			integer, 
	pct0040008			integer, 
	pct0040009			integer, 
	pct0050001			integer, 
	pct0050002			integer, 
	pct0050003			integer, 
	pct0050004			integer, 
	pct0050005			integer, 
	pct0050006			integer, 
	pct0050007			integer, 
	pct0050008			integer, 
	pct0050009			integer, 
	pct0050010			integer, 
	pct0050011			integer, 
	pct0050012			integer, 
	pct0050013			integer, 
	pct0050014			integer, 
	pct0050015			integer, 
	pct0050016			integer, 
	pct0050017			integer, 
	pct0050018			integer, 
	pct0050019			integer, 
	pct0050020			integer, 
	pct0050021			integer, 
	pct0050022			integer, 
	pct0060001			integer, 
	pct0060002			integer, 
	pct0060003			integer, 
	pct0060004			integer, 
	pct0060005			integer, 
	pct0060006			integer, 
	pct0060007			integer, 
	pct0060008			integer, 
	pct0060009			integer, 
	pct0060010			integer, 
	pct0060011			integer, 
	pct0060012			integer, 
	pct0060013			integer, 
	pct0060014			integer, 
	pct0060015			integer, 
	pct0060016			integer, 
	pct0060017			integer, 
	pct0060018			integer, 
	pct0060019			integer, 
	pct0060020			integer, 
	pct0060021			integer, 
	pct0060022			integer, 
	pct0070001			integer, 
	pct0070002			integer, 
	pct0070003			integer, 
	pct0070004			integer, 
	pct0070005			integer, 
	pct0070006			integer, 
	pct0070007			integer, 
	pct0070008			integer, 
	pct0070009			integer, 
	pct0070010			integer, 
	pct0070011			integer, 
	pct0070012			integer, 
	pct0070013			integer, 
	pct0070014			integer, 
	pct0070015			integer, 
	pct0070016			integer, 
	pct0070017			integer, 
	pct0070018			integer, 
	pct0070019			integer, 
	pct0070020			integer, 
	pct0070021			integer, 
	pct0070022			integer, 
	pct0080001			integer, 
	pct0080002			integer, 
	pct0080003			integer, 
	pct0080004			integer, 
	pct0080005			integer, 
	pct0080006			integer, 
	pct0080007			integer, 
	pct0080008			integer, 
	pct0080009			integer, 
	pct0080010			integer, 
	pct0080011			integer, 
	pct0080012			integer, 
	pct0080013			integer, 
	pct0080014			integer
);
-- create any indexes ...

-- drop table sf1_00016;
create table sf1_00016
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct0090001			integer, 
	pct0090002			integer, 
	pct0090003			integer, 
	pct0090004			integer, 
	pct0090005			integer, 
	pct0090006			integer, 
	pct0090007			integer, 
	pct0090008			integer, 
	pct0090009			integer, 
	pct0090010			integer, 
	pct0090011			integer, 
	pct0090012			integer, 
	pct0090013			integer, 
	pct0090014			integer, 
	pct0100001			integer, 
	pct0100002			integer, 
	pct0100003			integer, 
	pct0100004			integer, 
	pct0100005			integer, 
	pct0100006			integer, 
	pct0100007			integer, 
	pct0100008			integer, 
	pct0100009			integer, 
	pct0100010			integer, 
	pct0100011			integer, 
	pct0100012			integer, 
	pct0100013			integer, 
	pct0100014			integer, 
	pct0110001			integer, 
	pct0110002			integer, 
	pct0110003			integer, 
	pct0110004			integer, 
	pct0110005			integer, 
	pct0110006			integer, 
	pct0110007			integer, 
	pct0110008			integer, 
	pct0110009			integer, 
	pct0110010			integer, 
	pct0110011			integer, 
	pct0110012			integer, 
	pct0110013			integer, 
	pct0110014			integer, 
	pct0110015			integer, 
	pct0110016			integer, 
	pct0110017			integer, 
	pct0110018			integer, 
	pct0110019			integer, 
	pct0110020			integer, 
	pct0110021			integer, 
	pct0110022			integer, 
	pct0110023			integer, 
	pct0110024			integer, 
	pct0110025			integer, 
	pct0110026			integer, 
	pct0110027			integer, 
	pct0110028			integer, 
	pct0110029			integer, 
	pct0110030			integer, 
	pct0110031			integer
);
-- create any indexes ...

-- drop table sf1_00017;
create table sf1_00017
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct0120001			integer, 
	pct0120002			integer, 
	pct0120003			integer, 
	pct0120004			integer, 
	pct0120005			integer, 
	pct0120006			integer, 
	pct0120007			integer, 
	pct0120008			integer, 
	pct0120009			integer, 
	pct0120010			integer, 
	pct0120011			integer, 
	pct0120012			integer, 
	pct0120013			integer, 
	pct0120014			integer, 
	pct0120015			integer, 
	pct0120016			integer, 
	pct0120017			integer, 
	pct0120018			integer, 
	pct0120019			integer, 
	pct0120020			integer, 
	pct0120021			integer, 
	pct0120022			integer, 
	pct0120023			integer, 
	pct0120024			integer, 
	pct0120025			integer, 
	pct0120026			integer, 
	pct0120027			integer, 
	pct0120028			integer, 
	pct0120029			integer, 
	pct0120030			integer, 
	pct0120031			integer, 
	pct0120032			integer, 
	pct0120033			integer, 
	pct0120034			integer, 
	pct0120035			integer, 
	pct0120036			integer, 
	pct0120037			integer, 
	pct0120038			integer, 
	pct0120039			integer, 
	pct0120040			integer, 
	pct0120041			integer, 
	pct0120042			integer, 
	pct0120043			integer, 
	pct0120044			integer, 
	pct0120045			integer, 
	pct0120046			integer, 
	pct0120047			integer, 
	pct0120048			integer, 
	pct0120049			integer, 
	pct0120050			integer, 
	pct0120051			integer, 
	pct0120052			integer, 
	pct0120053			integer, 
	pct0120054			integer, 
	pct0120055			integer, 
	pct0120056			integer, 
	pct0120057			integer, 
	pct0120058			integer, 
	pct0120059			integer, 
	pct0120060			integer, 
	pct0120061			integer, 
	pct0120062			integer, 
	pct0120063			integer, 
	pct0120064			integer, 
	pct0120065			integer, 
	pct0120066			integer, 
	pct0120067			integer, 
	pct0120068			integer, 
	pct0120069			integer, 
	pct0120070			integer, 
	pct0120071			integer, 
	pct0120072			integer, 
	pct0120073			integer, 
	pct0120074			integer, 
	pct0120075			integer, 
	pct0120076			integer, 
	pct0120077			integer, 
	pct0120078			integer, 
	pct0120079			integer, 
	pct0120080			integer, 
	pct0120081			integer, 
	pct0120082			integer, 
	pct0120083			integer, 
	pct0120084			integer, 
	pct0120085			integer, 
	pct0120086			integer, 
	pct0120087			integer, 
	pct0120088			integer, 
	pct0120089			integer, 
	pct0120090			integer, 
	pct0120091			integer, 
	pct0120092			integer, 
	pct0120093			integer, 
	pct0120094			integer, 
	pct0120095			integer, 
	pct0120096			integer, 
	pct0120097			integer, 
	pct0120098			integer, 
	pct0120099			integer, 
	pct0120100			integer, 
	pct0120101			integer, 
	pct0120102			integer, 
	pct0120103			integer, 
	pct0120104			integer, 
	pct0120105			integer, 
	pct0120106			integer, 
	pct0120107			integer, 
	pct0120108			integer, 
	pct0120109			integer, 
	pct0120110			integer, 
	pct0120111			integer, 
	pct0120112			integer, 
	pct0120113			integer, 
	pct0120114			integer, 
	pct0120115			integer, 
	pct0120116			integer, 
	pct0120117			integer, 
	pct0120118			integer, 
	pct0120119			integer, 
	pct0120120			integer, 
	pct0120121			integer, 
	pct0120122			integer, 
	pct0120123			integer, 
	pct0120124			integer, 
	pct0120125			integer, 
	pct0120126			integer, 
	pct0120127			integer, 
	pct0120128			integer, 
	pct0120129			integer, 
	pct0120130			integer, 
	pct0120131			integer, 
	pct0120132			integer, 
	pct0120133			integer, 
	pct0120134			integer, 
	pct0120135			integer, 
	pct0120136			integer, 
	pct0120137			integer, 
	pct0120138			integer, 
	pct0120139			integer, 
	pct0120140			integer, 
	pct0120141			integer, 
	pct0120142			integer, 
	pct0120143			integer, 
	pct0120144			integer, 
	pct0120145			integer, 
	pct0120146			integer, 
	pct0120147			integer, 
	pct0120148			integer, 
	pct0120149			integer, 
	pct0120150			integer, 
	pct0120151			integer, 
	pct0120152			integer, 
	pct0120153			integer, 
	pct0120154			integer, 
	pct0120155			integer, 
	pct0120156			integer, 
	pct0120157			integer, 
	pct0120158			integer, 
	pct0120159			integer, 
	pct0120160			integer, 
	pct0120161			integer, 
	pct0120162			integer, 
	pct0120163			integer, 
	pct0120164			integer, 
	pct0120165			integer, 
	pct0120166			integer, 
	pct0120167			integer, 
	pct0120168			integer, 
	pct0120169			integer, 
	pct0120170			integer, 
	pct0120171			integer, 
	pct0120172			integer, 
	pct0120173			integer, 
	pct0120174			integer, 
	pct0120175			integer, 
	pct0120176			integer, 
	pct0120177			integer, 
	pct0120178			integer, 
	pct0120179			integer, 
	pct0120180			integer, 
	pct0120181			integer, 
	pct0120182			integer, 
	pct0120183			integer, 
	pct0120184			integer, 
	pct0120185			integer, 
	pct0120186			integer, 
	pct0120187			integer, 
	pct0120188			integer, 
	pct0120189			integer, 
	pct0120190			integer, 
	pct0120191			integer, 
	pct0120192			integer, 
	pct0120193			integer, 
	pct0120194			integer, 
	pct0120195			integer, 
	pct0120196			integer, 
	pct0120197			integer, 
	pct0120198			integer, 
	pct0120199			integer, 
	pct0120200			integer, 
	pct0120201			integer, 
	pct0120202			integer, 
	pct0120203			integer, 
	pct0120204			integer, 
	pct0120205			integer, 
	pct0120206			integer, 
	pct0120207			integer, 
	pct0120208			integer, 
	pct0120209			integer
);
-- create any indexes ...

-- drop table sf1_00018;
create table sf1_00018
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct0130001			integer, 
	pct0130002			integer, 
	pct0130003			integer, 
	pct0130004			integer, 
	pct0130005			integer, 
	pct0130006			integer, 
	pct0130007			integer, 
	pct0130008			integer, 
	pct0130009			integer, 
	pct0130010			integer, 
	pct0130011			integer, 
	pct0130012			integer, 
	pct0130013			integer, 
	pct0130014			integer, 
	pct0130015			integer, 
	pct0130016			integer, 
	pct0130017			integer, 
	pct0130018			integer, 
	pct0130019			integer, 
	pct0130020			integer, 
	pct0130021			integer, 
	pct0130022			integer, 
	pct0130023			integer, 
	pct0130024			integer, 
	pct0130025			integer, 
	pct0130026			integer, 
	pct0130027			integer, 
	pct0130028			integer, 
	pct0130029			integer, 
	pct0130030			integer, 
	pct0130031			integer, 
	pct0130032			integer, 
	pct0130033			integer, 
	pct0130034			integer, 
	pct0130035			integer, 
	pct0130036			integer, 
	pct0130037			integer, 
	pct0130038			integer, 
	pct0130039			integer, 
	pct0130040			integer, 
	pct0130041			integer, 
	pct0130042			integer, 
	pct0130043			integer, 
	pct0130044			integer, 
	pct0130045			integer, 
	pct0130046			integer, 
	pct0130047			integer, 
	pct0130048			integer, 
	pct0130049			integer, 
	pct0140001			integer, 
	pct0140002			integer, 
	pct0140003			integer, 
	pct0150001			integer, 
	pct0150002			integer, 
	pct0150003			integer, 
	pct0150004			integer, 
	pct0150005			integer, 
	pct0150006			integer, 
	pct0150007			integer, 
	pct0150008			integer, 
	pct0150009			integer, 
	pct0150010			integer, 
	pct0150011			integer, 
	pct0150012			integer, 
	pct0150013			integer, 
	pct0150014			integer, 
	pct0150015			integer, 
	pct0150016			integer, 
	pct0150017			integer, 
	pct0150018			integer, 
	pct0150019			integer, 
	pct0150020			integer, 
	pct0150021			integer, 
	pct0150022			integer, 
	pct0150023			integer, 
	pct0150024			integer, 
	pct0150025			integer, 
	pct0150026			integer, 
	pct0150027			integer, 
	pct0150028			integer, 
	pct0150029			integer, 
	pct0150030			integer, 
	pct0150031			integer, 
	pct0150032			integer, 
	pct0150033			integer, 
	pct0150034			integer, 
	pct0160001			integer, 
	pct0160002			integer, 
	pct0160003			integer, 
	pct0160004			integer, 
	pct0160005			integer, 
	pct0160006			integer, 
	pct0160007			integer, 
	pct0160008			integer, 
	pct0160009			integer, 
	pct0160010			integer, 
	pct0160011			integer, 
	pct0160012			integer, 
	pct0160013			integer, 
	pct0160014			integer, 
	pct0160015			integer, 
	pct0160016			integer, 
	pct0160017			integer, 
	pct0160018			integer, 
	pct0160019			integer, 
	pct0160020			integer, 
	pct0160021			integer, 
	pct0160022			integer, 
	pct0160023			integer, 
	pct0160024			integer, 
	pct0160025			integer, 
	pct0160026			integer, 
	pct0170001			integer, 
	pct0170002			integer, 
	pct0170003			integer, 
	pct0170004			integer, 
	pct0170005			integer, 
	pct0170006			integer, 
	pct0170007			integer, 
	pct0170008			integer, 
	pct0170009			integer, 
	pct0170010			integer, 
	pct0170011			integer, 
	pct0170012			integer, 
	pct0170013			integer, 
	pct0170014			integer, 
	pct0170015			integer, 
	pct0170016			integer, 
	pct0170017			integer, 
	pct0170018			integer, 
	pct0180001			integer, 
	pct0180002			integer, 
	pct0180003			integer, 
	pct0180004			integer, 
	pct0180005			integer, 
	pct0180006			integer, 
	pct0180007			integer, 
	pct0180008			integer, 
	pct0180009			integer, 
	pct0180010			integer, 
	pct0180011			integer, 
	pct0180012			integer, 
	pct0180013			integer, 
	pct0180014			integer, 
	pct0180015			integer, 
	pct0190001			integer, 
	pct0190002			integer, 
	pct0190003			integer, 
	pct0190004			integer, 
	pct0190005			integer, 
	pct0190006			integer, 
	pct0190007			integer, 
	pct0190008			integer, 
	pct0190009			integer, 
	pct0190010			integer, 
	pct0190011			integer, 
	pct0200001			integer, 
	pct0200002			integer, 
	pct0200003			integer, 
	pct0200004			integer, 
	pct0200005			integer, 
	pct0200006			integer, 
	pct0200007			integer, 
	pct0200008			integer, 
	pct0200009			integer, 
	pct0200010			integer, 
	pct0200011			integer, 
	pct0200012			integer, 
	pct0200013			integer, 
	pct0200014			integer, 
	pct0200015			integer, 
	pct0200016			integer, 
	pct0200017			integer, 
	pct0200018			integer, 
	pct0200019			integer, 
	pct0200020			integer, 
	pct0200021			integer, 
	pct0200022			integer, 
	pct0200023			integer, 
	pct0200024			integer, 
	pct0200025			integer, 
	pct0200026			integer, 
	pct0200027			integer, 
	pct0200028			integer, 
	pct0200029			integer, 
	pct0200030			integer, 
	pct0200031			integer, 
	pct0200032			integer
);
-- create any indexes ...

-- drop table sf1_00019;
create table sf1_00019
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct0210001			integer, 
	pct0210002			integer, 
	pct0210003			integer, 
	pct0210004			integer, 
	pct0210005			integer, 
	pct0210006			integer, 
	pct0210007			integer, 
	pct0210008			integer, 
	pct0210009			integer, 
	pct0210010			integer, 
	pct0210011			integer, 
	pct0210012			integer, 
	pct0210013			integer, 
	pct0210014			integer, 
	pct0210015			integer, 
	pct0210016			integer, 
	pct0210017			integer, 
	pct0210018			integer, 
	pct0210019			integer, 
	pct0210020			integer, 
	pct0210021			integer, 
	pct0210022			integer, 
	pct0210023			integer, 
	pct0210024			integer, 
	pct0210025			integer, 
	pct0210026			integer, 
	pct0210027			integer, 
	pct0210028			integer, 
	pct0210029			integer, 
	pct0210030			integer, 
	pct0210031			integer, 
	pct0210032			integer, 
	pct0210033			integer, 
	pct0210034			integer, 
	pct0210035			integer, 
	pct0210036			integer, 
	pct0210037			integer, 
	pct0210038			integer, 
	pct0210039			integer, 
	pct0210040			integer, 
	pct0210041			integer, 
	pct0210042			integer, 
	pct0210043			integer, 
	pct0210044			integer, 
	pct0210045			integer, 
	pct0210046			integer, 
	pct0210047			integer, 
	pct0210048			integer, 
	pct0210049			integer, 
	pct0210050			integer, 
	pct0210051			integer, 
	pct0210052			integer, 
	pct0210053			integer, 
	pct0210054			integer, 
	pct0210055			integer, 
	pct0210056			integer, 
	pct0210057			integer, 
	pct0210058			integer, 
	pct0210059			integer, 
	pct0210060			integer, 
	pct0210061			integer, 
	pct0210062			integer, 
	pct0210063			integer, 
	pct0210064			integer, 
	pct0210065			integer, 
	pct0210066			integer, 
	pct0210067			integer, 
	pct0210068			integer, 
	pct0210069			integer, 
	pct0210070			integer, 
	pct0210071			integer, 
	pct0210072			integer, 
	pct0210073			integer, 
	pct0210074			integer, 
	pct0210075			integer, 
	pct0210076			integer, 
	pct0210077			integer, 
	pct0210078			integer, 
	pct0210079			integer, 
	pct0210080			integer, 
	pct0210081			integer, 
	pct0210082			integer, 
	pct0210083			integer, 
	pct0210084			integer, 
	pct0210085			integer, 
	pct0210086			integer, 
	pct0210087			integer, 
	pct0210088			integer, 
	pct0210089			integer, 
	pct0210090			integer, 
	pct0210091			integer, 
	pct0210092			integer, 
	pct0210093			integer, 
	pct0210094			integer, 
	pct0210095			integer, 
	pct0210096			integer, 
	pct0210097			integer, 
	pct0210098			integer, 
	pct0210099			integer, 
	pct0210100			integer, 
	pct0210101			integer, 
	pct0210102			integer, 
	pct0210103			integer, 
	pct0210104			integer, 
	pct0210105			integer, 
	pct0210106			integer, 
	pct0210107			integer, 
	pct0210108			integer, 
	pct0210109			integer, 
	pct0210110			integer, 
	pct0210111			integer, 
	pct0210112			integer, 
	pct0210113			integer, 
	pct0210114			integer, 
	pct0210115			integer, 
	pct0210116			integer, 
	pct0210117			integer, 
	pct0210118			integer, 
	pct0210119			integer, 
	pct0210120			integer, 
	pct0210121			integer, 
	pct0210122			integer, 
	pct0210123			integer, 
	pct0210124			integer, 
	pct0210125			integer, 
	pct0210126			integer, 
	pct0210127			integer, 
	pct0210128			integer, 
	pct0210129			integer, 
	pct0210130			integer, 
	pct0210131			integer, 
	pct0210132			integer, 
	pct0210133			integer, 
	pct0210134			integer, 
	pct0210135			integer, 
	pct0210136			integer, 
	pct0210137			integer, 
	pct0210138			integer, 
	pct0210139			integer, 
	pct0210140			integer, 
	pct0210141			integer, 
	pct0210142			integer, 
	pct0210143			integer, 
	pct0210144			integer, 
	pct0210145			integer, 
	pct0210146			integer, 
	pct0210147			integer, 
	pct0210148			integer, 
	pct0210149			integer, 
	pct0210150			integer, 
	pct0210151			integer, 
	pct0210152			integer, 
	pct0210153			integer, 
	pct0210154			integer, 
	pct0210155			integer, 
	pct0210156			integer, 
	pct0210157			integer, 
	pct0210158			integer, 
	pct0210159			integer, 
	pct0210160			integer, 
	pct0210161			integer, 
	pct0210162			integer, 
	pct0210163			integer, 
	pct0210164			integer, 
	pct0210165			integer, 
	pct0210166			integer, 
	pct0210167			integer, 
	pct0210168			integer, 
	pct0210169			integer, 
	pct0210170			integer, 
	pct0210171			integer, 
	pct0210172			integer, 
	pct0210173			integer, 
	pct0210174			integer, 
	pct0210175			integer, 
	pct0210176			integer, 
	pct0210177			integer, 
	pct0210178			integer, 
	pct0210179			integer, 
	pct0210180			integer, 
	pct0210181			integer, 
	pct0210182			integer, 
	pct0210183			integer, 
	pct0210184			integer, 
	pct0210185			integer, 
	pct0210186			integer, 
	pct0210187			integer, 
	pct0210188			integer, 
	pct0210189			integer, 
	pct0210190			integer, 
	pct0210191			integer, 
	pct0210192			integer, 
	pct0210193			integer, 
	pct0210194			integer, 
	pct0210195			integer, 
	pct0220001			integer, 
	pct0220002			integer, 
	pct0220003			integer, 
	pct0220004			integer, 
	pct0220005			integer, 
	pct0220006			integer, 
	pct0220007			integer, 
	pct0220008			integer, 
	pct0220009			integer, 
	pct0220010			integer, 
	pct0220011			integer, 
	pct0220012			integer, 
	pct0220013			integer, 
	pct0220014			integer, 
	pct0220015			integer, 
	pct0220016			integer, 
	pct0220017			integer, 
	pct0220018			integer, 
	pct0220019			integer, 
	pct0220020			integer, 
	pct0220021			integer
);
-- create any indexes ...

-- drop table sf1_00020;
create table sf1_00020
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012a001			integer, 
	pct012a002			integer, 
	pct012a003			integer, 
	pct012a004			integer, 
	pct012a005			integer, 
	pct012a006			integer, 
	pct012a007			integer, 
	pct012a008			integer, 
	pct012a009			integer, 
	pct012a010			integer, 
	pct012a011			integer, 
	pct012a012			integer, 
	pct012a013			integer, 
	pct012a014			integer, 
	pct012a015			integer, 
	pct012a016			integer, 
	pct012a017			integer, 
	pct012a018			integer, 
	pct012a019			integer, 
	pct012a020			integer, 
	pct012a021			integer, 
	pct012a022			integer, 
	pct012a023			integer, 
	pct012a024			integer, 
	pct012a025			integer, 
	pct012a026			integer, 
	pct012a027			integer, 
	pct012a028			integer, 
	pct012a029			integer, 
	pct012a030			integer, 
	pct012a031			integer, 
	pct012a032			integer, 
	pct012a033			integer, 
	pct012a034			integer, 
	pct012a035			integer, 
	pct012a036			integer, 
	pct012a037			integer, 
	pct012a038			integer, 
	pct012a039			integer, 
	pct012a040			integer, 
	pct012a041			integer, 
	pct012a042			integer, 
	pct012a043			integer, 
	pct012a044			integer, 
	pct012a045			integer, 
	pct012a046			integer, 
	pct012a047			integer, 
	pct012a048			integer, 
	pct012a049			integer, 
	pct012a050			integer, 
	pct012a051			integer, 
	pct012a052			integer, 
	pct012a053			integer, 
	pct012a054			integer, 
	pct012a055			integer, 
	pct012a056			integer, 
	pct012a057			integer, 
	pct012a058			integer, 
	pct012a059			integer, 
	pct012a060			integer, 
	pct012a061			integer, 
	pct012a062			integer, 
	pct012a063			integer, 
	pct012a064			integer, 
	pct012a065			integer, 
	pct012a066			integer, 
	pct012a067			integer, 
	pct012a068			integer, 
	pct012a069			integer, 
	pct012a070			integer, 
	pct012a071			integer, 
	pct012a072			integer, 
	pct012a073			integer, 
	pct012a074			integer, 
	pct012a075			integer, 
	pct012a076			integer, 
	pct012a077			integer, 
	pct012a078			integer, 
	pct012a079			integer, 
	pct012a080			integer, 
	pct012a081			integer, 
	pct012a082			integer, 
	pct012a083			integer, 
	pct012a084			integer, 
	pct012a085			integer, 
	pct012a086			integer, 
	pct012a087			integer, 
	pct012a088			integer, 
	pct012a089			integer, 
	pct012a090			integer, 
	pct012a091			integer, 
	pct012a092			integer, 
	pct012a093			integer, 
	pct012a094			integer, 
	pct012a095			integer, 
	pct012a096			integer, 
	pct012a097			integer, 
	pct012a098			integer, 
	pct012a099			integer, 
	pct012a100			integer, 
	pct012a101			integer, 
	pct012a102			integer, 
	pct012a103			integer, 
	pct012a104			integer, 
	pct012a105			integer, 
	pct012a106			integer, 
	pct012a107			integer, 
	pct012a108			integer, 
	pct012a109			integer, 
	pct012a110			integer, 
	pct012a111			integer, 
	pct012a112			integer, 
	pct012a113			integer, 
	pct012a114			integer, 
	pct012a115			integer, 
	pct012a116			integer, 
	pct012a117			integer, 
	pct012a118			integer, 
	pct012a119			integer, 
	pct012a120			integer, 
	pct012a121			integer, 
	pct012a122			integer, 
	pct012a123			integer, 
	pct012a124			integer, 
	pct012a125			integer, 
	pct012a126			integer, 
	pct012a127			integer, 
	pct012a128			integer, 
	pct012a129			integer, 
	pct012a130			integer, 
	pct012a131			integer, 
	pct012a132			integer, 
	pct012a133			integer, 
	pct012a134			integer, 
	pct012a135			integer, 
	pct012a136			integer, 
	pct012a137			integer, 
	pct012a138			integer, 
	pct012a139			integer, 
	pct012a140			integer, 
	pct012a141			integer, 
	pct012a142			integer, 
	pct012a143			integer, 
	pct012a144			integer, 
	pct012a145			integer, 
	pct012a146			integer, 
	pct012a147			integer, 
	pct012a148			integer, 
	pct012a149			integer, 
	pct012a150			integer, 
	pct012a151			integer, 
	pct012a152			integer, 
	pct012a153			integer, 
	pct012a154			integer, 
	pct012a155			integer, 
	pct012a156			integer, 
	pct012a157			integer, 
	pct012a158			integer, 
	pct012a159			integer, 
	pct012a160			integer, 
	pct012a161			integer, 
	pct012a162			integer, 
	pct012a163			integer, 
	pct012a164			integer, 
	pct012a165			integer, 
	pct012a166			integer, 
	pct012a167			integer, 
	pct012a168			integer, 
	pct012a169			integer, 
	pct012a170			integer, 
	pct012a171			integer, 
	pct012a172			integer, 
	pct012a173			integer, 
	pct012a174			integer, 
	pct012a175			integer, 
	pct012a176			integer, 
	pct012a177			integer, 
	pct012a178			integer, 
	pct012a179			integer, 
	pct012a180			integer, 
	pct012a181			integer, 
	pct012a182			integer, 
	pct012a183			integer, 
	pct012a184			integer, 
	pct012a185			integer, 
	pct012a186			integer, 
	pct012a187			integer, 
	pct012a188			integer, 
	pct012a189			integer, 
	pct012a190			integer, 
	pct012a191			integer, 
	pct012a192			integer, 
	pct012a193			integer, 
	pct012a194			integer, 
	pct012a195			integer, 
	pct012a196			integer, 
	pct012a197			integer, 
	pct012a198			integer, 
	pct012a199			integer, 
	pct012a200			integer, 
	pct012a201			integer, 
	pct012a202			integer, 
	pct012a203			integer, 
	pct012a204			integer, 
	pct012a205			integer, 
	pct012a206			integer, 
	pct012a207			integer, 
	pct012a208			integer, 
	pct012a209			integer
);
-- create any indexes ...

-- drop table sf1_00021;
create table sf1_00021
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012b001			integer, 
	pct012b002			integer, 
	pct012b003			integer, 
	pct012b004			integer, 
	pct012b005			integer, 
	pct012b006			integer, 
	pct012b007			integer, 
	pct012b008			integer, 
	pct012b009			integer, 
	pct012b010			integer, 
	pct012b011			integer, 
	pct012b012			integer, 
	pct012b013			integer, 
	pct012b014			integer, 
	pct012b015			integer, 
	pct012b016			integer, 
	pct012b017			integer, 
	pct012b018			integer, 
	pct012b019			integer, 
	pct012b020			integer, 
	pct012b021			integer, 
	pct012b022			integer, 
	pct012b023			integer, 
	pct012b024			integer, 
	pct012b025			integer, 
	pct012b026			integer, 
	pct012b027			integer, 
	pct012b028			integer, 
	pct012b029			integer, 
	pct012b030			integer, 
	pct012b031			integer, 
	pct012b032			integer, 
	pct012b033			integer, 
	pct012b034			integer, 
	pct012b035			integer, 
	pct012b036			integer, 
	pct012b037			integer, 
	pct012b038			integer, 
	pct012b039			integer, 
	pct012b040			integer, 
	pct012b041			integer, 
	pct012b042			integer, 
	pct012b043			integer, 
	pct012b044			integer, 
	pct012b045			integer, 
	pct012b046			integer, 
	pct012b047			integer, 
	pct012b048			integer, 
	pct012b049			integer, 
	pct012b050			integer, 
	pct012b051			integer, 
	pct012b052			integer, 
	pct012b053			integer, 
	pct012b054			integer, 
	pct012b055			integer, 
	pct012b056			integer, 
	pct012b057			integer, 
	pct012b058			integer, 
	pct012b059			integer, 
	pct012b060			integer, 
	pct012b061			integer, 
	pct012b062			integer, 
	pct012b063			integer, 
	pct012b064			integer, 
	pct012b065			integer, 
	pct012b066			integer, 
	pct012b067			integer, 
	pct012b068			integer, 
	pct012b069			integer, 
	pct012b070			integer, 
	pct012b071			integer, 
	pct012b072			integer, 
	pct012b073			integer, 
	pct012b074			integer, 
	pct012b075			integer, 
	pct012b076			integer, 
	pct012b077			integer, 
	pct012b078			integer, 
	pct012b079			integer, 
	pct012b080			integer, 
	pct012b081			integer, 
	pct012b082			integer, 
	pct012b083			integer, 
	pct012b084			integer, 
	pct012b085			integer, 
	pct012b086			integer, 
	pct012b087			integer, 
	pct012b088			integer, 
	pct012b089			integer, 
	pct012b090			integer, 
	pct012b091			integer, 
	pct012b092			integer, 
	pct012b093			integer, 
	pct012b094			integer, 
	pct012b095			integer, 
	pct012b096			integer, 
	pct012b097			integer, 
	pct012b098			integer, 
	pct012b099			integer, 
	pct012b100			integer, 
	pct012b101			integer, 
	pct012b102			integer, 
	pct012b103			integer, 
	pct012b104			integer, 
	pct012b105			integer, 
	pct012b106			integer, 
	pct012b107			integer, 
	pct012b108			integer, 
	pct012b109			integer, 
	pct012b110			integer, 
	pct012b111			integer, 
	pct012b112			integer, 
	pct012b113			integer, 
	pct012b114			integer, 
	pct012b115			integer, 
	pct012b116			integer, 
	pct012b117			integer, 
	pct012b118			integer, 
	pct012b119			integer, 
	pct012b120			integer, 
	pct012b121			integer, 
	pct012b122			integer, 
	pct012b123			integer, 
	pct012b124			integer, 
	pct012b125			integer, 
	pct012b126			integer, 
	pct012b127			integer, 
	pct012b128			integer, 
	pct012b129			integer, 
	pct012b130			integer, 
	pct012b131			integer, 
	pct012b132			integer, 
	pct012b133			integer, 
	pct012b134			integer, 
	pct012b135			integer, 
	pct012b136			integer, 
	pct012b137			integer, 
	pct012b138			integer, 
	pct012b139			integer, 
	pct012b140			integer, 
	pct012b141			integer, 
	pct012b142			integer, 
	pct012b143			integer, 
	pct012b144			integer, 
	pct012b145			integer, 
	pct012b146			integer, 
	pct012b147			integer, 
	pct012b148			integer, 
	pct012b149			integer, 
	pct012b150			integer, 
	pct012b151			integer, 
	pct012b152			integer, 
	pct012b153			integer, 
	pct012b154			integer, 
	pct012b155			integer, 
	pct012b156			integer, 
	pct012b157			integer, 
	pct012b158			integer, 
	pct012b159			integer, 
	pct012b160			integer, 
	pct012b161			integer, 
	pct012b162			integer, 
	pct012b163			integer, 
	pct012b164			integer, 
	pct012b165			integer, 
	pct012b166			integer, 
	pct012b167			integer, 
	pct012b168			integer, 
	pct012b169			integer, 
	pct012b170			integer, 
	pct012b171			integer, 
	pct012b172			integer, 
	pct012b173			integer, 
	pct012b174			integer, 
	pct012b175			integer, 
	pct012b176			integer, 
	pct012b177			integer, 
	pct012b178			integer, 
	pct012b179			integer, 
	pct012b180			integer, 
	pct012b181			integer, 
	pct012b182			integer, 
	pct012b183			integer, 
	pct012b184			integer, 
	pct012b185			integer, 
	pct012b186			integer, 
	pct012b187			integer, 
	pct012b188			integer, 
	pct012b189			integer, 
	pct012b190			integer, 
	pct012b191			integer, 
	pct012b192			integer, 
	pct012b193			integer, 
	pct012b194			integer, 
	pct012b195			integer, 
	pct012b196			integer, 
	pct012b197			integer, 
	pct012b198			integer, 
	pct012b199			integer, 
	pct012b200			integer, 
	pct012b201			integer, 
	pct012b202			integer, 
	pct012b203			integer, 
	pct012b204			integer, 
	pct012b205			integer, 
	pct012b206			integer, 
	pct012b207			integer, 
	pct012b208			integer, 
	pct012b209			integer
);
-- create any indexes ...

-- drop table sf1_00022;
create table sf1_00022
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012c001			integer, 
	pct012c002			integer, 
	pct012c003			integer, 
	pct012c004			integer, 
	pct012c005			integer, 
	pct012c006			integer, 
	pct012c007			integer, 
	pct012c008			integer, 
	pct012c009			integer, 
	pct012c010			integer, 
	pct012c011			integer, 
	pct012c012			integer, 
	pct012c013			integer, 
	pct012c014			integer, 
	pct012c015			integer, 
	pct012c016			integer, 
	pct012c017			integer, 
	pct012c018			integer, 
	pct012c019			integer, 
	pct012c020			integer, 
	pct012c021			integer, 
	pct012c022			integer, 
	pct012c023			integer, 
	pct012c024			integer, 
	pct012c025			integer, 
	pct012c026			integer, 
	pct012c027			integer, 
	pct012c028			integer, 
	pct012c029			integer, 
	pct012c030			integer, 
	pct012c031			integer, 
	pct012c032			integer, 
	pct012c033			integer, 
	pct012c034			integer, 
	pct012c035			integer, 
	pct012c036			integer, 
	pct012c037			integer, 
	pct012c038			integer, 
	pct012c039			integer, 
	pct012c040			integer, 
	pct012c041			integer, 
	pct012c042			integer, 
	pct012c043			integer, 
	pct012c044			integer, 
	pct012c045			integer, 
	pct012c046			integer, 
	pct012c047			integer, 
	pct012c048			integer, 
	pct012c049			integer, 
	pct012c050			integer, 
	pct012c051			integer, 
	pct012c052			integer, 
	pct012c053			integer, 
	pct012c054			integer, 
	pct012c055			integer, 
	pct012c056			integer, 
	pct012c057			integer, 
	pct012c058			integer, 
	pct012c059			integer, 
	pct012c060			integer, 
	pct012c061			integer, 
	pct012c062			integer, 
	pct012c063			integer, 
	pct012c064			integer, 
	pct012c065			integer, 
	pct012c066			integer, 
	pct012c067			integer, 
	pct012c068			integer, 
	pct012c069			integer, 
	pct012c070			integer, 
	pct012c071			integer, 
	pct012c072			integer, 
	pct012c073			integer, 
	pct012c074			integer, 
	pct012c075			integer, 
	pct012c076			integer, 
	pct012c077			integer, 
	pct012c078			integer, 
	pct012c079			integer, 
	pct012c080			integer, 
	pct012c081			integer, 
	pct012c082			integer, 
	pct012c083			integer, 
	pct012c084			integer, 
	pct012c085			integer, 
	pct012c086			integer, 
	pct012c087			integer, 
	pct012c088			integer, 
	pct012c089			integer, 
	pct012c090			integer, 
	pct012c091			integer, 
	pct012c092			integer, 
	pct012c093			integer, 
	pct012c094			integer, 
	pct012c095			integer, 
	pct012c096			integer, 
	pct012c097			integer, 
	pct012c098			integer, 
	pct012c099			integer, 
	pct012c100			integer, 
	pct012c101			integer, 
	pct012c102			integer, 
	pct012c103			integer, 
	pct012c104			integer, 
	pct012c105			integer, 
	pct012c106			integer, 
	pct012c107			integer, 
	pct012c108			integer, 
	pct012c109			integer, 
	pct012c110			integer, 
	pct012c111			integer, 
	pct012c112			integer, 
	pct012c113			integer, 
	pct012c114			integer, 
	pct012c115			integer, 
	pct012c116			integer, 
	pct012c117			integer, 
	pct012c118			integer, 
	pct012c119			integer, 
	pct012c120			integer, 
	pct012c121			integer, 
	pct012c122			integer, 
	pct012c123			integer, 
	pct012c124			integer, 
	pct012c125			integer, 
	pct012c126			integer, 
	pct012c127			integer, 
	pct012c128			integer, 
	pct012c129			integer, 
	pct012c130			integer, 
	pct012c131			integer, 
	pct012c132			integer, 
	pct012c133			integer, 
	pct012c134			integer, 
	pct012c135			integer, 
	pct012c136			integer, 
	pct012c137			integer, 
	pct012c138			integer, 
	pct012c139			integer, 
	pct012c140			integer, 
	pct012c141			integer, 
	pct012c142			integer, 
	pct012c143			integer, 
	pct012c144			integer, 
	pct012c145			integer, 
	pct012c146			integer, 
	pct012c147			integer, 
	pct012c148			integer, 
	pct012c149			integer, 
	pct012c150			integer, 
	pct012c151			integer, 
	pct012c152			integer, 
	pct012c153			integer, 
	pct012c154			integer, 
	pct012c155			integer, 
	pct012c156			integer, 
	pct012c157			integer, 
	pct012c158			integer, 
	pct012c159			integer, 
	pct012c160			integer, 
	pct012c161			integer, 
	pct012c162			integer, 
	pct012c163			integer, 
	pct012c164			integer, 
	pct012c165			integer, 
	pct012c166			integer, 
	pct012c167			integer, 
	pct012c168			integer, 
	pct012c169			integer, 
	pct012c170			integer, 
	pct012c171			integer, 
	pct012c172			integer, 
	pct012c173			integer, 
	pct012c174			integer, 
	pct012c175			integer, 
	pct012c176			integer, 
	pct012c177			integer, 
	pct012c178			integer, 
	pct012c179			integer, 
	pct012c180			integer, 
	pct012c181			integer, 
	pct012c182			integer, 
	pct012c183			integer, 
	pct012c184			integer, 
	pct012c185			integer, 
	pct012c186			integer, 
	pct012c187			integer, 
	pct012c188			integer, 
	pct012c189			integer, 
	pct012c190			integer, 
	pct012c191			integer, 
	pct012c192			integer, 
	pct012c193			integer, 
	pct012c194			integer, 
	pct012c195			integer, 
	pct012c196			integer, 
	pct012c197			integer, 
	pct012c198			integer, 
	pct012c199			integer, 
	pct012c200			integer, 
	pct012c201			integer, 
	pct012c202			integer, 
	pct012c203			integer, 
	pct012c204			integer, 
	pct012c205			integer, 
	pct012c206			integer, 
	pct012c207			integer, 
	pct012c208			integer, 
	pct012c209			integer
);
-- create any indexes ...

-- drop table sf1_00023;
create table sf1_00023
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012d001			integer, 
	pct012d002			integer, 
	pct012d003			integer, 
	pct012d004			integer, 
	pct012d005			integer, 
	pct012d006			integer, 
	pct012d007			integer, 
	pct012d008			integer, 
	pct012d009			integer, 
	pct012d010			integer, 
	pct012d011			integer, 
	pct012d012			integer, 
	pct012d013			integer, 
	pct012d014			integer, 
	pct012d015			integer, 
	pct012d016			integer, 
	pct012d017			integer, 
	pct012d018			integer, 
	pct012d019			integer, 
	pct012d020			integer, 
	pct012d021			integer, 
	pct012d022			integer, 
	pct012d023			integer, 
	pct012d024			integer, 
	pct012d025			integer, 
	pct012d026			integer, 
	pct012d027			integer, 
	pct012d028			integer, 
	pct012d029			integer, 
	pct012d030			integer, 
	pct012d031			integer, 
	pct012d032			integer, 
	pct012d033			integer, 
	pct012d034			integer, 
	pct012d035			integer, 
	pct012d036			integer, 
	pct012d037			integer, 
	pct012d038			integer, 
	pct012d039			integer, 
	pct012d040			integer, 
	pct012d041			integer, 
	pct012d042			integer, 
	pct012d043			integer, 
	pct012d044			integer, 
	pct012d045			integer, 
	pct012d046			integer, 
	pct012d047			integer, 
	pct012d048			integer, 
	pct012d049			integer, 
	pct012d050			integer, 
	pct012d051			integer, 
	pct012d052			integer, 
	pct012d053			integer, 
	pct012d054			integer, 
	pct012d055			integer, 
	pct012d056			integer, 
	pct012d057			integer, 
	pct012d058			integer, 
	pct012d059			integer, 
	pct012d060			integer, 
	pct012d061			integer, 
	pct012d062			integer, 
	pct012d063			integer, 
	pct012d064			integer, 
	pct012d065			integer, 
	pct012d066			integer, 
	pct012d067			integer, 
	pct012d068			integer, 
	pct012d069			integer, 
	pct012d070			integer, 
	pct012d071			integer, 
	pct012d072			integer, 
	pct012d073			integer, 
	pct012d074			integer, 
	pct012d075			integer, 
	pct012d076			integer, 
	pct012d077			integer, 
	pct012d078			integer, 
	pct012d079			integer, 
	pct012d080			integer, 
	pct012d081			integer, 
	pct012d082			integer, 
	pct012d083			integer, 
	pct012d084			integer, 
	pct012d085			integer, 
	pct012d086			integer, 
	pct012d087			integer, 
	pct012d088			integer, 
	pct012d089			integer, 
	pct012d090			integer, 
	pct012d091			integer, 
	pct012d092			integer, 
	pct012d093			integer, 
	pct012d094			integer, 
	pct012d095			integer, 
	pct012d096			integer, 
	pct012d097			integer, 
	pct012d098			integer, 
	pct012d099			integer, 
	pct012d100			integer, 
	pct012d101			integer, 
	pct012d102			integer, 
	pct012d103			integer, 
	pct012d104			integer, 
	pct012d105			integer, 
	pct012d106			integer, 
	pct012d107			integer, 
	pct012d108			integer, 
	pct012d109			integer, 
	pct012d110			integer, 
	pct012d111			integer, 
	pct012d112			integer, 
	pct012d113			integer, 
	pct012d114			integer, 
	pct012d115			integer, 
	pct012d116			integer, 
	pct012d117			integer, 
	pct012d118			integer, 
	pct012d119			integer, 
	pct012d120			integer, 
	pct012d121			integer, 
	pct012d122			integer, 
	pct012d123			integer, 
	pct012d124			integer, 
	pct012d125			integer, 
	pct012d126			integer, 
	pct012d127			integer, 
	pct012d128			integer, 
	pct012d129			integer, 
	pct012d130			integer, 
	pct012d131			integer, 
	pct012d132			integer, 
	pct012d133			integer, 
	pct012d134			integer, 
	pct012d135			integer, 
	pct012d136			integer, 
	pct012d137			integer, 
	pct012d138			integer, 
	pct012d139			integer, 
	pct012d140			integer, 
	pct012d141			integer, 
	pct012d142			integer, 
	pct012d143			integer, 
	pct012d144			integer, 
	pct012d145			integer, 
	pct012d146			integer, 
	pct012d147			integer, 
	pct012d148			integer, 
	pct012d149			integer, 
	pct012d150			integer, 
	pct012d151			integer, 
	pct012d152			integer, 
	pct012d153			integer, 
	pct012d154			integer, 
	pct012d155			integer, 
	pct012d156			integer, 
	pct012d157			integer, 
	pct012d158			integer, 
	pct012d159			integer, 
	pct012d160			integer, 
	pct012d161			integer, 
	pct012d162			integer, 
	pct012d163			integer, 
	pct012d164			integer, 
	pct012d165			integer, 
	pct012d166			integer, 
	pct012d167			integer, 
	pct012d168			integer, 
	pct012d169			integer, 
	pct012d170			integer, 
	pct012d171			integer, 
	pct012d172			integer, 
	pct012d173			integer, 
	pct012d174			integer, 
	pct012d175			integer, 
	pct012d176			integer, 
	pct012d177			integer, 
	pct012d178			integer, 
	pct012d179			integer, 
	pct012d180			integer, 
	pct012d181			integer, 
	pct012d182			integer, 
	pct012d183			integer, 
	pct012d184			integer, 
	pct012d185			integer, 
	pct012d186			integer, 
	pct012d187			integer, 
	pct012d188			integer, 
	pct012d189			integer, 
	pct012d190			integer, 
	pct012d191			integer, 
	pct012d192			integer, 
	pct012d193			integer, 
	pct012d194			integer, 
	pct012d195			integer, 
	pct012d196			integer, 
	pct012d197			integer, 
	pct012d198			integer, 
	pct012d199			integer, 
	pct012d200			integer, 
	pct012d201			integer, 
	pct012d202			integer, 
	pct012d203			integer, 
	pct012d204			integer, 
	pct012d205			integer, 
	pct012d206			integer, 
	pct012d207			integer, 
	pct012d208			integer, 
	pct012d209			integer
);
-- create any indexes ...

-- drop table sf1_00024;
create table sf1_00024
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012e001			integer, 
	pct012e002			integer, 
	pct012e003			integer, 
	pct012e004			integer, 
	pct012e005			integer, 
	pct012e006			integer, 
	pct012e007			integer, 
	pct012e008			integer, 
	pct012e009			integer, 
	pct012e010			integer, 
	pct012e011			integer, 
	pct012e012			integer, 
	pct012e013			integer, 
	pct012e014			integer, 
	pct012e015			integer, 
	pct012e016			integer, 
	pct012e017			integer, 
	pct012e018			integer, 
	pct012e019			integer, 
	pct012e020			integer, 
	pct012e021			integer, 
	pct012e022			integer, 
	pct012e023			integer, 
	pct012e024			integer, 
	pct012e025			integer, 
	pct012e026			integer, 
	pct012e027			integer, 
	pct012e028			integer, 
	pct012e029			integer, 
	pct012e030			integer, 
	pct012e031			integer, 
	pct012e032			integer, 
	pct012e033			integer, 
	pct012e034			integer, 
	pct012e035			integer, 
	pct012e036			integer, 
	pct012e037			integer, 
	pct012e038			integer, 
	pct012e039			integer, 
	pct012e040			integer, 
	pct012e041			integer, 
	pct012e042			integer, 
	pct012e043			integer, 
	pct012e044			integer, 
	pct012e045			integer, 
	pct012e046			integer, 
	pct012e047			integer, 
	pct012e048			integer, 
	pct012e049			integer, 
	pct012e050			integer, 
	pct012e051			integer, 
	pct012e052			integer, 
	pct012e053			integer, 
	pct012e054			integer, 
	pct012e055			integer, 
	pct012e056			integer, 
	pct012e057			integer, 
	pct012e058			integer, 
	pct012e059			integer, 
	pct012e060			integer, 
	pct012e061			integer, 
	pct012e062			integer, 
	pct012e063			integer, 
	pct012e064			integer, 
	pct012e065			integer, 
	pct012e066			integer, 
	pct012e067			integer, 
	pct012e068			integer, 
	pct012e069			integer, 
	pct012e070			integer, 
	pct012e071			integer, 
	pct012e072			integer, 
	pct012e073			integer, 
	pct012e074			integer, 
	pct012e075			integer, 
	pct012e076			integer, 
	pct012e077			integer, 
	pct012e078			integer, 
	pct012e079			integer, 
	pct012e080			integer, 
	pct012e081			integer, 
	pct012e082			integer, 
	pct012e083			integer, 
	pct012e084			integer, 
	pct012e085			integer, 
	pct012e086			integer, 
	pct012e087			integer, 
	pct012e088			integer, 
	pct012e089			integer, 
	pct012e090			integer, 
	pct012e091			integer, 
	pct012e092			integer, 
	pct012e093			integer, 
	pct012e094			integer, 
	pct012e095			integer, 
	pct012e096			integer, 
	pct012e097			integer, 
	pct012e098			integer, 
	pct012e099			integer, 
	pct012e100			integer, 
	pct012e101			integer, 
	pct012e102			integer, 
	pct012e103			integer, 
	pct012e104			integer, 
	pct012e105			integer, 
	pct012e106			integer, 
	pct012e107			integer, 
	pct012e108			integer, 
	pct012e109			integer, 
	pct012e110			integer, 
	pct012e111			integer, 
	pct012e112			integer, 
	pct012e113			integer, 
	pct012e114			integer, 
	pct012e115			integer, 
	pct012e116			integer, 
	pct012e117			integer, 
	pct012e118			integer, 
	pct012e119			integer, 
	pct012e120			integer, 
	pct012e121			integer, 
	pct012e122			integer, 
	pct012e123			integer, 
	pct012e124			integer, 
	pct012e125			integer, 
	pct012e126			integer, 
	pct012e127			integer, 
	pct012e128			integer, 
	pct012e129			integer, 
	pct012e130			integer, 
	pct012e131			integer, 
	pct012e132			integer, 
	pct012e133			integer, 
	pct012e134			integer, 
	pct012e135			integer, 
	pct012e136			integer, 
	pct012e137			integer, 
	pct012e138			integer, 
	pct012e139			integer, 
	pct012e140			integer, 
	pct012e141			integer, 
	pct012e142			integer, 
	pct012e143			integer, 
	pct012e144			integer, 
	pct012e145			integer, 
	pct012e146			integer, 
	pct012e147			integer, 
	pct012e148			integer, 
	pct012e149			integer, 
	pct012e150			integer, 
	pct012e151			integer, 
	pct012e152			integer, 
	pct012e153			integer, 
	pct012e154			integer, 
	pct012e155			integer, 
	pct012e156			integer, 
	pct012e157			integer, 
	pct012e158			integer, 
	pct012e159			integer, 
	pct012e160			integer, 
	pct012e161			integer, 
	pct012e162			integer, 
	pct012e163			integer, 
	pct012e164			integer, 
	pct012e165			integer, 
	pct012e166			integer, 
	pct012e167			integer, 
	pct012e168			integer, 
	pct012e169			integer, 
	pct012e170			integer, 
	pct012e171			integer, 
	pct012e172			integer, 
	pct012e173			integer, 
	pct012e174			integer, 
	pct012e175			integer, 
	pct012e176			integer, 
	pct012e177			integer, 
	pct012e178			integer, 
	pct012e179			integer, 
	pct012e180			integer, 
	pct012e181			integer, 
	pct012e182			integer, 
	pct012e183			integer, 
	pct012e184			integer, 
	pct012e185			integer, 
	pct012e186			integer, 
	pct012e187			integer, 
	pct012e188			integer, 
	pct012e189			integer, 
	pct012e190			integer, 
	pct012e191			integer, 
	pct012e192			integer, 
	pct012e193			integer, 
	pct012e194			integer, 
	pct012e195			integer, 
	pct012e196			integer, 
	pct012e197			integer, 
	pct012e198			integer, 
	pct012e199			integer, 
	pct012e200			integer, 
	pct012e201			integer, 
	pct012e202			integer, 
	pct012e203			integer, 
	pct012e204			integer, 
	pct012e205			integer, 
	pct012e206			integer, 
	pct012e207			integer, 
	pct012e208			integer, 
	pct012e209			integer
);
-- create any indexes ...

-- drop table sf1_00025;
create table sf1_00025
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012f001			integer, 
	pct012f002			integer, 
	pct012f003			integer, 
	pct012f004			integer, 
	pct012f005			integer, 
	pct012f006			integer, 
	pct012f007			integer, 
	pct012f008			integer, 
	pct012f009			integer, 
	pct012f010			integer, 
	pct012f011			integer, 
	pct012f012			integer, 
	pct012f013			integer, 
	pct012f014			integer, 
	pct012f015			integer, 
	pct012f016			integer, 
	pct012f017			integer, 
	pct012f018			integer, 
	pct012f019			integer, 
	pct012f020			integer, 
	pct012f021			integer, 
	pct012f022			integer, 
	pct012f023			integer, 
	pct012f024			integer, 
	pct012f025			integer, 
	pct012f026			integer, 
	pct012f027			integer, 
	pct012f028			integer, 
	pct012f029			integer, 
	pct012f030			integer, 
	pct012f031			integer, 
	pct012f032			integer, 
	pct012f033			integer, 
	pct012f034			integer, 
	pct012f035			integer, 
	pct012f036			integer, 
	pct012f037			integer, 
	pct012f038			integer, 
	pct012f039			integer, 
	pct012f040			integer, 
	pct012f041			integer, 
	pct012f042			integer, 
	pct012f043			integer, 
	pct012f044			integer, 
	pct012f045			integer, 
	pct012f046			integer, 
	pct012f047			integer, 
	pct012f048			integer, 
	pct012f049			integer, 
	pct012f050			integer, 
	pct012f051			integer, 
	pct012f052			integer, 
	pct012f053			integer, 
	pct012f054			integer, 
	pct012f055			integer, 
	pct012f056			integer, 
	pct012f057			integer, 
	pct012f058			integer, 
	pct012f059			integer, 
	pct012f060			integer, 
	pct012f061			integer, 
	pct012f062			integer, 
	pct012f063			integer, 
	pct012f064			integer, 
	pct012f065			integer, 
	pct012f066			integer, 
	pct012f067			integer, 
	pct012f068			integer, 
	pct012f069			integer, 
	pct012f070			integer, 
	pct012f071			integer, 
	pct012f072			integer, 
	pct012f073			integer, 
	pct012f074			integer, 
	pct012f075			integer, 
	pct012f076			integer, 
	pct012f077			integer, 
	pct012f078			integer, 
	pct012f079			integer, 
	pct012f080			integer, 
	pct012f081			integer, 
	pct012f082			integer, 
	pct012f083			integer, 
	pct012f084			integer, 
	pct012f085			integer, 
	pct012f086			integer, 
	pct012f087			integer, 
	pct012f088			integer, 
	pct012f089			integer, 
	pct012f090			integer, 
	pct012f091			integer, 
	pct012f092			integer, 
	pct012f093			integer, 
	pct012f094			integer, 
	pct012f095			integer, 
	pct012f096			integer, 
	pct012f097			integer, 
	pct012f098			integer, 
	pct012f099			integer, 
	pct012f100			integer, 
	pct012f101			integer, 
	pct012f102			integer, 
	pct012f103			integer, 
	pct012f104			integer, 
	pct012f105			integer, 
	pct012f106			integer, 
	pct012f107			integer, 
	pct012f108			integer, 
	pct012f109			integer, 
	pct012f110			integer, 
	pct012f111			integer, 
	pct012f112			integer, 
	pct012f113			integer, 
	pct012f114			integer, 
	pct012f115			integer, 
	pct012f116			integer, 
	pct012f117			integer, 
	pct012f118			integer, 
	pct012f119			integer, 
	pct012f120			integer, 
	pct012f121			integer, 
	pct012f122			integer, 
	pct012f123			integer, 
	pct012f124			integer, 
	pct012f125			integer, 
	pct012f126			integer, 
	pct012f127			integer, 
	pct012f128			integer, 
	pct012f129			integer, 
	pct012f130			integer, 
	pct012f131			integer, 
	pct012f132			integer, 
	pct012f133			integer, 
	pct012f134			integer, 
	pct012f135			integer, 
	pct012f136			integer, 
	pct012f137			integer, 
	pct012f138			integer, 
	pct012f139			integer, 
	pct012f140			integer, 
	pct012f141			integer, 
	pct012f142			integer, 
	pct012f143			integer, 
	pct012f144			integer, 
	pct012f145			integer, 
	pct012f146			integer, 
	pct012f147			integer, 
	pct012f148			integer, 
	pct012f149			integer, 
	pct012f150			integer, 
	pct012f151			integer, 
	pct012f152			integer, 
	pct012f153			integer, 
	pct012f154			integer, 
	pct012f155			integer, 
	pct012f156			integer, 
	pct012f157			integer, 
	pct012f158			integer, 
	pct012f159			integer, 
	pct012f160			integer, 
	pct012f161			integer, 
	pct012f162			integer, 
	pct012f163			integer, 
	pct012f164			integer, 
	pct012f165			integer, 
	pct012f166			integer, 
	pct012f167			integer, 
	pct012f168			integer, 
	pct012f169			integer, 
	pct012f170			integer, 
	pct012f171			integer, 
	pct012f172			integer, 
	pct012f173			integer, 
	pct012f174			integer, 
	pct012f175			integer, 
	pct012f176			integer, 
	pct012f177			integer, 
	pct012f178			integer, 
	pct012f179			integer, 
	pct012f180			integer, 
	pct012f181			integer, 
	pct012f182			integer, 
	pct012f183			integer, 
	pct012f184			integer, 
	pct012f185			integer, 
	pct012f186			integer, 
	pct012f187			integer, 
	pct012f188			integer, 
	pct012f189			integer, 
	pct012f190			integer, 
	pct012f191			integer, 
	pct012f192			integer, 
	pct012f193			integer, 
	pct012f194			integer, 
	pct012f195			integer, 
	pct012f196			integer, 
	pct012f197			integer, 
	pct012f198			integer, 
	pct012f199			integer, 
	pct012f200			integer, 
	pct012f201			integer, 
	pct012f202			integer, 
	pct012f203			integer, 
	pct012f204			integer, 
	pct012f205			integer, 
	pct012f206			integer, 
	pct012f207			integer, 
	pct012f208			integer, 
	pct012f209			integer
);
-- create any indexes ...

-- drop table sf1_00026;
create table sf1_00026
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012g001			integer, 
	pct012g002			integer, 
	pct012g003			integer, 
	pct012g004			integer, 
	pct012g005			integer, 
	pct012g006			integer, 
	pct012g007			integer, 
	pct012g008			integer, 
	pct012g009			integer, 
	pct012g010			integer, 
	pct012g011			integer, 
	pct012g012			integer, 
	pct012g013			integer, 
	pct012g014			integer, 
	pct012g015			integer, 
	pct012g016			integer, 
	pct012g017			integer, 
	pct012g018			integer, 
	pct012g019			integer, 
	pct012g020			integer, 
	pct012g021			integer, 
	pct012g022			integer, 
	pct012g023			integer, 
	pct012g024			integer, 
	pct012g025			integer, 
	pct012g026			integer, 
	pct012g027			integer, 
	pct012g028			integer, 
	pct012g029			integer, 
	pct012g030			integer, 
	pct012g031			integer, 
	pct012g032			integer, 
	pct012g033			integer, 
	pct012g034			integer, 
	pct012g035			integer, 
	pct012g036			integer, 
	pct012g037			integer, 
	pct012g038			integer, 
	pct012g039			integer, 
	pct012g040			integer, 
	pct012g041			integer, 
	pct012g042			integer, 
	pct012g043			integer, 
	pct012g044			integer, 
	pct012g045			integer, 
	pct012g046			integer, 
	pct012g047			integer, 
	pct012g048			integer, 
	pct012g049			integer, 
	pct012g050			integer, 
	pct012g051			integer, 
	pct012g052			integer, 
	pct012g053			integer, 
	pct012g054			integer, 
	pct012g055			integer, 
	pct012g056			integer, 
	pct012g057			integer, 
	pct012g058			integer, 
	pct012g059			integer, 
	pct012g060			integer, 
	pct012g061			integer, 
	pct012g062			integer, 
	pct012g063			integer, 
	pct012g064			integer, 
	pct012g065			integer, 
	pct012g066			integer, 
	pct012g067			integer, 
	pct012g068			integer, 
	pct012g069			integer, 
	pct012g070			integer, 
	pct012g071			integer, 
	pct012g072			integer, 
	pct012g073			integer, 
	pct012g074			integer, 
	pct012g075			integer, 
	pct012g076			integer, 
	pct012g077			integer, 
	pct012g078			integer, 
	pct012g079			integer, 
	pct012g080			integer, 
	pct012g081			integer, 
	pct012g082			integer, 
	pct012g083			integer, 
	pct012g084			integer, 
	pct012g085			integer, 
	pct012g086			integer, 
	pct012g087			integer, 
	pct012g088			integer, 
	pct012g089			integer, 
	pct012g090			integer, 
	pct012g091			integer, 
	pct012g092			integer, 
	pct012g093			integer, 
	pct012g094			integer, 
	pct012g095			integer, 
	pct012g096			integer, 
	pct012g097			integer, 
	pct012g098			integer, 
	pct012g099			integer, 
	pct012g100			integer, 
	pct012g101			integer, 
	pct012g102			integer, 
	pct012g103			integer, 
	pct012g104			integer, 
	pct012g105			integer, 
	pct012g106			integer, 
	pct012g107			integer, 
	pct012g108			integer, 
	pct012g109			integer, 
	pct012g110			integer, 
	pct012g111			integer, 
	pct012g112			integer, 
	pct012g113			integer, 
	pct012g114			integer, 
	pct012g115			integer, 
	pct012g116			integer, 
	pct012g117			integer, 
	pct012g118			integer, 
	pct012g119			integer, 
	pct012g120			integer, 
	pct012g121			integer, 
	pct012g122			integer, 
	pct012g123			integer, 
	pct012g124			integer, 
	pct012g125			integer, 
	pct012g126			integer, 
	pct012g127			integer, 
	pct012g128			integer, 
	pct012g129			integer, 
	pct012g130			integer, 
	pct012g131			integer, 
	pct012g132			integer, 
	pct012g133			integer, 
	pct012g134			integer, 
	pct012g135			integer, 
	pct012g136			integer, 
	pct012g137			integer, 
	pct012g138			integer, 
	pct012g139			integer, 
	pct012g140			integer, 
	pct012g141			integer, 
	pct012g142			integer, 
	pct012g143			integer, 
	pct012g144			integer, 
	pct012g145			integer, 
	pct012g146			integer, 
	pct012g147			integer, 
	pct012g148			integer, 
	pct012g149			integer, 
	pct012g150			integer, 
	pct012g151			integer, 
	pct012g152			integer, 
	pct012g153			integer, 
	pct012g154			integer, 
	pct012g155			integer, 
	pct012g156			integer, 
	pct012g157			integer, 
	pct012g158			integer, 
	pct012g159			integer, 
	pct012g160			integer, 
	pct012g161			integer, 
	pct012g162			integer, 
	pct012g163			integer, 
	pct012g164			integer, 
	pct012g165			integer, 
	pct012g166			integer, 
	pct012g167			integer, 
	pct012g168			integer, 
	pct012g169			integer, 
	pct012g170			integer, 
	pct012g171			integer, 
	pct012g172			integer, 
	pct012g173			integer, 
	pct012g174			integer, 
	pct012g175			integer, 
	pct012g176			integer, 
	pct012g177			integer, 
	pct012g178			integer, 
	pct012g179			integer, 
	pct012g180			integer, 
	pct012g181			integer, 
	pct012g182			integer, 
	pct012g183			integer, 
	pct012g184			integer, 
	pct012g185			integer, 
	pct012g186			integer, 
	pct012g187			integer, 
	pct012g188			integer, 
	pct012g189			integer, 
	pct012g190			integer, 
	pct012g191			integer, 
	pct012g192			integer, 
	pct012g193			integer, 
	pct012g194			integer, 
	pct012g195			integer, 
	pct012g196			integer, 
	pct012g197			integer, 
	pct012g198			integer, 
	pct012g199			integer, 
	pct012g200			integer, 
	pct012g201			integer, 
	pct012g202			integer, 
	pct012g203			integer, 
	pct012g204			integer, 
	pct012g205			integer, 
	pct012g206			integer, 
	pct012g207			integer, 
	pct012g208			integer, 
	pct012g209			integer
);
-- create any indexes ...

-- drop table sf1_00027;
create table sf1_00027
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012h001			integer, 
	pct012h002			integer, 
	pct012h003			integer, 
	pct012h004			integer, 
	pct012h005			integer, 
	pct012h006			integer, 
	pct012h007			integer, 
	pct012h008			integer, 
	pct012h009			integer, 
	pct012h010			integer, 
	pct012h011			integer, 
	pct012h012			integer, 
	pct012h013			integer, 
	pct012h014			integer, 
	pct012h015			integer, 
	pct012h016			integer, 
	pct012h017			integer, 
	pct012h018			integer, 
	pct012h019			integer, 
	pct012h020			integer, 
	pct012h021			integer, 
	pct012h022			integer, 
	pct012h023			integer, 
	pct012h024			integer, 
	pct012h025			integer, 
	pct012h026			integer, 
	pct012h027			integer, 
	pct012h028			integer, 
	pct012h029			integer, 
	pct012h030			integer, 
	pct012h031			integer, 
	pct012h032			integer, 
	pct012h033			integer, 
	pct012h034			integer, 
	pct012h035			integer, 
	pct012h036			integer, 
	pct012h037			integer, 
	pct012h038			integer, 
	pct012h039			integer, 
	pct012h040			integer, 
	pct012h041			integer, 
	pct012h042			integer, 
	pct012h043			integer, 
	pct012h044			integer, 
	pct012h045			integer, 
	pct012h046			integer, 
	pct012h047			integer, 
	pct012h048			integer, 
	pct012h049			integer, 
	pct012h050			integer, 
	pct012h051			integer, 
	pct012h052			integer, 
	pct012h053			integer, 
	pct012h054			integer, 
	pct012h055			integer, 
	pct012h056			integer, 
	pct012h057			integer, 
	pct012h058			integer, 
	pct012h059			integer, 
	pct012h060			integer, 
	pct012h061			integer, 
	pct012h062			integer, 
	pct012h063			integer, 
	pct012h064			integer, 
	pct012h065			integer, 
	pct012h066			integer, 
	pct012h067			integer, 
	pct012h068			integer, 
	pct012h069			integer, 
	pct012h070			integer, 
	pct012h071			integer, 
	pct012h072			integer, 
	pct012h073			integer, 
	pct012h074			integer, 
	pct012h075			integer, 
	pct012h076			integer, 
	pct012h077			integer, 
	pct012h078			integer, 
	pct012h079			integer, 
	pct012h080			integer, 
	pct012h081			integer, 
	pct012h082			integer, 
	pct012h083			integer, 
	pct012h084			integer, 
	pct012h085			integer, 
	pct012h086			integer, 
	pct012h087			integer, 
	pct012h088			integer, 
	pct012h089			integer, 
	pct012h090			integer, 
	pct012h091			integer, 
	pct012h092			integer, 
	pct012h093			integer, 
	pct012h094			integer, 
	pct012h095			integer, 
	pct012h096			integer, 
	pct012h097			integer, 
	pct012h098			integer, 
	pct012h099			integer, 
	pct012h100			integer, 
	pct012h101			integer, 
	pct012h102			integer, 
	pct012h103			integer, 
	pct012h104			integer, 
	pct012h105			integer, 
	pct012h106			integer, 
	pct012h107			integer, 
	pct012h108			integer, 
	pct012h109			integer, 
	pct012h110			integer, 
	pct012h111			integer, 
	pct012h112			integer, 
	pct012h113			integer, 
	pct012h114			integer, 
	pct012h115			integer, 
	pct012h116			integer, 
	pct012h117			integer, 
	pct012h118			integer, 
	pct012h119			integer, 
	pct012h120			integer, 
	pct012h121			integer, 
	pct012h122			integer, 
	pct012h123			integer, 
	pct012h124			integer, 
	pct012h125			integer, 
	pct012h126			integer, 
	pct012h127			integer, 
	pct012h128			integer, 
	pct012h129			integer, 
	pct012h130			integer, 
	pct012h131			integer, 
	pct012h132			integer, 
	pct012h133			integer, 
	pct012h134			integer, 
	pct012h135			integer, 
	pct012h136			integer, 
	pct012h137			integer, 
	pct012h138			integer, 
	pct012h139			integer, 
	pct012h140			integer, 
	pct012h141			integer, 
	pct012h142			integer, 
	pct012h143			integer, 
	pct012h144			integer, 
	pct012h145			integer, 
	pct012h146			integer, 
	pct012h147			integer, 
	pct012h148			integer, 
	pct012h149			integer, 
	pct012h150			integer, 
	pct012h151			integer, 
	pct012h152			integer, 
	pct012h153			integer, 
	pct012h154			integer, 
	pct012h155			integer, 
	pct012h156			integer, 
	pct012h157			integer, 
	pct012h158			integer, 
	pct012h159			integer, 
	pct012h160			integer, 
	pct012h161			integer, 
	pct012h162			integer, 
	pct012h163			integer, 
	pct012h164			integer, 
	pct012h165			integer, 
	pct012h166			integer, 
	pct012h167			integer, 
	pct012h168			integer, 
	pct012h169			integer, 
	pct012h170			integer, 
	pct012h171			integer, 
	pct012h172			integer, 
	pct012h173			integer, 
	pct012h174			integer, 
	pct012h175			integer, 
	pct012h176			integer, 
	pct012h177			integer, 
	pct012h178			integer, 
	pct012h179			integer, 
	pct012h180			integer, 
	pct012h181			integer, 
	pct012h182			integer, 
	pct012h183			integer, 
	pct012h184			integer, 
	pct012h185			integer, 
	pct012h186			integer, 
	pct012h187			integer, 
	pct012h188			integer, 
	pct012h189			integer, 
	pct012h190			integer, 
	pct012h191			integer, 
	pct012h192			integer, 
	pct012h193			integer, 
	pct012h194			integer, 
	pct012h195			integer, 
	pct012h196			integer, 
	pct012h197			integer, 
	pct012h198			integer, 
	pct012h199			integer, 
	pct012h200			integer, 
	pct012h201			integer, 
	pct012h202			integer, 
	pct012h203			integer, 
	pct012h204			integer, 
	pct012h205			integer, 
	pct012h206			integer, 
	pct012h207			integer, 
	pct012h208			integer, 
	pct012h209			integer
);
-- create any indexes ...

-- drop table sf1_00028;
create table sf1_00028
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012i001			integer, 
	pct012i002			integer, 
	pct012i003			integer, 
	pct012i004			integer, 
	pct012i005			integer, 
	pct012i006			integer, 
	pct012i007			integer, 
	pct012i008			integer, 
	pct012i009			integer, 
	pct012i010			integer, 
	pct012i011			integer, 
	pct012i012			integer, 
	pct012i013			integer, 
	pct012i014			integer, 
	pct012i015			integer, 
	pct012i016			integer, 
	pct012i017			integer, 
	pct012i018			integer, 
	pct012i019			integer, 
	pct012i020			integer, 
	pct012i021			integer, 
	pct012i022			integer, 
	pct012i023			integer, 
	pct012i024			integer, 
	pct012i025			integer, 
	pct012i026			integer, 
	pct012i027			integer, 
	pct012i028			integer, 
	pct012i029			integer, 
	pct012i030			integer, 
	pct012i031			integer, 
	pct012i032			integer, 
	pct012i033			integer, 
	pct012i034			integer, 
	pct012i035			integer, 
	pct012i036			integer, 
	pct012i037			integer, 
	pct012i038			integer, 
	pct012i039			integer, 
	pct012i040			integer, 
	pct012i041			integer, 
	pct012i042			integer, 
	pct012i043			integer, 
	pct012i044			integer, 
	pct012i045			integer, 
	pct012i046			integer, 
	pct012i047			integer, 
	pct012i048			integer, 
	pct012i049			integer, 
	pct012i050			integer, 
	pct012i051			integer, 
	pct012i052			integer, 
	pct012i053			integer, 
	pct012i054			integer, 
	pct012i055			integer, 
	pct012i056			integer, 
	pct012i057			integer, 
	pct012i058			integer, 
	pct012i059			integer, 
	pct012i060			integer, 
	pct012i061			integer, 
	pct012i062			integer, 
	pct012i063			integer, 
	pct012i064			integer, 
	pct012i065			integer, 
	pct012i066			integer, 
	pct012i067			integer, 
	pct012i068			integer, 
	pct012i069			integer, 
	pct012i070			integer, 
	pct012i071			integer, 
	pct012i072			integer, 
	pct012i073			integer, 
	pct012i074			integer, 
	pct012i075			integer, 
	pct012i076			integer, 
	pct012i077			integer, 
	pct012i078			integer, 
	pct012i079			integer, 
	pct012i080			integer, 
	pct012i081			integer, 
	pct012i082			integer, 
	pct012i083			integer, 
	pct012i084			integer, 
	pct012i085			integer, 
	pct012i086			integer, 
	pct012i087			integer, 
	pct012i088			integer, 
	pct012i089			integer, 
	pct012i090			integer, 
	pct012i091			integer, 
	pct012i092			integer, 
	pct012i093			integer, 
	pct012i094			integer, 
	pct012i095			integer, 
	pct012i096			integer, 
	pct012i097			integer, 
	pct012i098			integer, 
	pct012i099			integer, 
	pct012i100			integer, 
	pct012i101			integer, 
	pct012i102			integer, 
	pct012i103			integer, 
	pct012i104			integer, 
	pct012i105			integer, 
	pct012i106			integer, 
	pct012i107			integer, 
	pct012i108			integer, 
	pct012i109			integer, 
	pct012i110			integer, 
	pct012i111			integer, 
	pct012i112			integer, 
	pct012i113			integer, 
	pct012i114			integer, 
	pct012i115			integer, 
	pct012i116			integer, 
	pct012i117			integer, 
	pct012i118			integer, 
	pct012i119			integer, 
	pct012i120			integer, 
	pct012i121			integer, 
	pct012i122			integer, 
	pct012i123			integer, 
	pct012i124			integer, 
	pct012i125			integer, 
	pct012i126			integer, 
	pct012i127			integer, 
	pct012i128			integer, 
	pct012i129			integer, 
	pct012i130			integer, 
	pct012i131			integer, 
	pct012i132			integer, 
	pct012i133			integer, 
	pct012i134			integer, 
	pct012i135			integer, 
	pct012i136			integer, 
	pct012i137			integer, 
	pct012i138			integer, 
	pct012i139			integer, 
	pct012i140			integer, 
	pct012i141			integer, 
	pct012i142			integer, 
	pct012i143			integer, 
	pct012i144			integer, 
	pct012i145			integer, 
	pct012i146			integer, 
	pct012i147			integer, 
	pct012i148			integer, 
	pct012i149			integer, 
	pct012i150			integer, 
	pct012i151			integer, 
	pct012i152			integer, 
	pct012i153			integer, 
	pct012i154			integer, 
	pct012i155			integer, 
	pct012i156			integer, 
	pct012i157			integer, 
	pct012i158			integer, 
	pct012i159			integer, 
	pct012i160			integer, 
	pct012i161			integer, 
	pct012i162			integer, 
	pct012i163			integer, 
	pct012i164			integer, 
	pct012i165			integer, 
	pct012i166			integer, 
	pct012i167			integer, 
	pct012i168			integer, 
	pct012i169			integer, 
	pct012i170			integer, 
	pct012i171			integer, 
	pct012i172			integer, 
	pct012i173			integer, 
	pct012i174			integer, 
	pct012i175			integer, 
	pct012i176			integer, 
	pct012i177			integer, 
	pct012i178			integer, 
	pct012i179			integer, 
	pct012i180			integer, 
	pct012i181			integer, 
	pct012i182			integer, 
	pct012i183			integer, 
	pct012i184			integer, 
	pct012i185			integer, 
	pct012i186			integer, 
	pct012i187			integer, 
	pct012i188			integer, 
	pct012i189			integer, 
	pct012i190			integer, 
	pct012i191			integer, 
	pct012i192			integer, 
	pct012i193			integer, 
	pct012i194			integer, 
	pct012i195			integer, 
	pct012i196			integer, 
	pct012i197			integer, 
	pct012i198			integer, 
	pct012i199			integer, 
	pct012i200			integer, 
	pct012i201			integer, 
	pct012i202			integer, 
	pct012i203			integer, 
	pct012i204			integer, 
	pct012i205			integer, 
	pct012i206			integer, 
	pct012i207			integer, 
	pct012i208			integer, 
	pct012i209			integer
);
-- create any indexes ...

-- drop table sf1_00029;
create table sf1_00029
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012j001			integer, 
	pct012j002			integer, 
	pct012j003			integer, 
	pct012j004			integer, 
	pct012j005			integer, 
	pct012j006			integer, 
	pct012j007			integer, 
	pct012j008			integer, 
	pct012j009			integer, 
	pct012j010			integer, 
	pct012j011			integer, 
	pct012j012			integer, 
	pct012j013			integer, 
	pct012j014			integer, 
	pct012j015			integer, 
	pct012j016			integer, 
	pct012j017			integer, 
	pct012j018			integer, 
	pct012j019			integer, 
	pct012j020			integer, 
	pct012j021			integer, 
	pct012j022			integer, 
	pct012j023			integer, 
	pct012j024			integer, 
	pct012j025			integer, 
	pct012j026			integer, 
	pct012j027			integer, 
	pct012j028			integer, 
	pct012j029			integer, 
	pct012j030			integer, 
	pct012j031			integer, 
	pct012j032			integer, 
	pct012j033			integer, 
	pct012j034			integer, 
	pct012j035			integer, 
	pct012j036			integer, 
	pct012j037			integer, 
	pct012j038			integer, 
	pct012j039			integer, 
	pct012j040			integer, 
	pct012j041			integer, 
	pct012j042			integer, 
	pct012j043			integer, 
	pct012j044			integer, 
	pct012j045			integer, 
	pct012j046			integer, 
	pct012j047			integer, 
	pct012j048			integer, 
	pct012j049			integer, 
	pct012j050			integer, 
	pct012j051			integer, 
	pct012j052			integer, 
	pct012j053			integer, 
	pct012j054			integer, 
	pct012j055			integer, 
	pct012j056			integer, 
	pct012j057			integer, 
	pct012j058			integer, 
	pct012j059			integer, 
	pct012j060			integer, 
	pct012j061			integer, 
	pct012j062			integer, 
	pct012j063			integer, 
	pct012j064			integer, 
	pct012j065			integer, 
	pct012j066			integer, 
	pct012j067			integer, 
	pct012j068			integer, 
	pct012j069			integer, 
	pct012j070			integer, 
	pct012j071			integer, 
	pct012j072			integer, 
	pct012j073			integer, 
	pct012j074			integer, 
	pct012j075			integer, 
	pct012j076			integer, 
	pct012j077			integer, 
	pct012j078			integer, 
	pct012j079			integer, 
	pct012j080			integer, 
	pct012j081			integer, 
	pct012j082			integer, 
	pct012j083			integer, 
	pct012j084			integer, 
	pct012j085			integer, 
	pct012j086			integer, 
	pct012j087			integer, 
	pct012j088			integer, 
	pct012j089			integer, 
	pct012j090			integer, 
	pct012j091			integer, 
	pct012j092			integer, 
	pct012j093			integer, 
	pct012j094			integer, 
	pct012j095			integer, 
	pct012j096			integer, 
	pct012j097			integer, 
	pct012j098			integer, 
	pct012j099			integer, 
	pct012j100			integer, 
	pct012j101			integer, 
	pct012j102			integer, 
	pct012j103			integer, 
	pct012j104			integer, 
	pct012j105			integer, 
	pct012j106			integer, 
	pct012j107			integer, 
	pct012j108			integer, 
	pct012j109			integer, 
	pct012j110			integer, 
	pct012j111			integer, 
	pct012j112			integer, 
	pct012j113			integer, 
	pct012j114			integer, 
	pct012j115			integer, 
	pct012j116			integer, 
	pct012j117			integer, 
	pct012j118			integer, 
	pct012j119			integer, 
	pct012j120			integer, 
	pct012j121			integer, 
	pct012j122			integer, 
	pct012j123			integer, 
	pct012j124			integer, 
	pct012j125			integer, 
	pct012j126			integer, 
	pct012j127			integer, 
	pct012j128			integer, 
	pct012j129			integer, 
	pct012j130			integer, 
	pct012j131			integer, 
	pct012j132			integer, 
	pct012j133			integer, 
	pct012j134			integer, 
	pct012j135			integer, 
	pct012j136			integer, 
	pct012j137			integer, 
	pct012j138			integer, 
	pct012j139			integer, 
	pct012j140			integer, 
	pct012j141			integer, 
	pct012j142			integer, 
	pct012j143			integer, 
	pct012j144			integer, 
	pct012j145			integer, 
	pct012j146			integer, 
	pct012j147			integer, 
	pct012j148			integer, 
	pct012j149			integer, 
	pct012j150			integer, 
	pct012j151			integer, 
	pct012j152			integer, 
	pct012j153			integer, 
	pct012j154			integer, 
	pct012j155			integer, 
	pct012j156			integer, 
	pct012j157			integer, 
	pct012j158			integer, 
	pct012j159			integer, 
	pct012j160			integer, 
	pct012j161			integer, 
	pct012j162			integer, 
	pct012j163			integer, 
	pct012j164			integer, 
	pct012j165			integer, 
	pct012j166			integer, 
	pct012j167			integer, 
	pct012j168			integer, 
	pct012j169			integer, 
	pct012j170			integer, 
	pct012j171			integer, 
	pct012j172			integer, 
	pct012j173			integer, 
	pct012j174			integer, 
	pct012j175			integer, 
	pct012j176			integer, 
	pct012j177			integer, 
	pct012j178			integer, 
	pct012j179			integer, 
	pct012j180			integer, 
	pct012j181			integer, 
	pct012j182			integer, 
	pct012j183			integer, 
	pct012j184			integer, 
	pct012j185			integer, 
	pct012j186			integer, 
	pct012j187			integer, 
	pct012j188			integer, 
	pct012j189			integer, 
	pct012j190			integer, 
	pct012j191			integer, 
	pct012j192			integer, 
	pct012j193			integer, 
	pct012j194			integer, 
	pct012j195			integer, 
	pct012j196			integer, 
	pct012j197			integer, 
	pct012j198			integer, 
	pct012j199			integer, 
	pct012j200			integer, 
	pct012j201			integer, 
	pct012j202			integer, 
	pct012j203			integer, 
	pct012j204			integer, 
	pct012j205			integer, 
	pct012j206			integer, 
	pct012j207			integer, 
	pct012j208			integer, 
	pct012j209			integer
);
-- create any indexes ...

-- drop table sf1_00030;
create table sf1_00030
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012k001			integer, 
	pct012k002			integer, 
	pct012k003			integer, 
	pct012k004			integer, 
	pct012k005			integer, 
	pct012k006			integer, 
	pct012k007			integer, 
	pct012k008			integer, 
	pct012k009			integer, 
	pct012k010			integer, 
	pct012k011			integer, 
	pct012k012			integer, 
	pct012k013			integer, 
	pct012k014			integer, 
	pct012k015			integer, 
	pct012k016			integer, 
	pct012k017			integer, 
	pct012k018			integer, 
	pct012k019			integer, 
	pct012k020			integer, 
	pct012k021			integer, 
	pct012k022			integer, 
	pct012k023			integer, 
	pct012k024			integer, 
	pct012k025			integer, 
	pct012k026			integer, 
	pct012k027			integer, 
	pct012k028			integer, 
	pct012k029			integer, 
	pct012k030			integer, 
	pct012k031			integer, 
	pct012k032			integer, 
	pct012k033			integer, 
	pct012k034			integer, 
	pct012k035			integer, 
	pct012k036			integer, 
	pct012k037			integer, 
	pct012k038			integer, 
	pct012k039			integer, 
	pct012k040			integer, 
	pct012k041			integer, 
	pct012k042			integer, 
	pct012k043			integer, 
	pct012k044			integer, 
	pct012k045			integer, 
	pct012k046			integer, 
	pct012k047			integer, 
	pct012k048			integer, 
	pct012k049			integer, 
	pct012k050			integer, 
	pct012k051			integer, 
	pct012k052			integer, 
	pct012k053			integer, 
	pct012k054			integer, 
	pct012k055			integer, 
	pct012k056			integer, 
	pct012k057			integer, 
	pct012k058			integer, 
	pct012k059			integer, 
	pct012k060			integer, 
	pct012k061			integer, 
	pct012k062			integer, 
	pct012k063			integer, 
	pct012k064			integer, 
	pct012k065			integer, 
	pct012k066			integer, 
	pct012k067			integer, 
	pct012k068			integer, 
	pct012k069			integer, 
	pct012k070			integer, 
	pct012k071			integer, 
	pct012k072			integer, 
	pct012k073			integer, 
	pct012k074			integer, 
	pct012k075			integer, 
	pct012k076			integer, 
	pct012k077			integer, 
	pct012k078			integer, 
	pct012k079			integer, 
	pct012k080			integer, 
	pct012k081			integer, 
	pct012k082			integer, 
	pct012k083			integer, 
	pct012k084			integer, 
	pct012k085			integer, 
	pct012k086			integer, 
	pct012k087			integer, 
	pct012k088			integer, 
	pct012k089			integer, 
	pct012k090			integer, 
	pct012k091			integer, 
	pct012k092			integer, 
	pct012k093			integer, 
	pct012k094			integer, 
	pct012k095			integer, 
	pct012k096			integer, 
	pct012k097			integer, 
	pct012k098			integer, 
	pct012k099			integer, 
	pct012k100			integer, 
	pct012k101			integer, 
	pct012k102			integer, 
	pct012k103			integer, 
	pct012k104			integer, 
	pct012k105			integer, 
	pct012k106			integer, 
	pct012k107			integer, 
	pct012k108			integer, 
	pct012k109			integer, 
	pct012k110			integer, 
	pct012k111			integer, 
	pct012k112			integer, 
	pct012k113			integer, 
	pct012k114			integer, 
	pct012k115			integer, 
	pct012k116			integer, 
	pct012k117			integer, 
	pct012k118			integer, 
	pct012k119			integer, 
	pct012k120			integer, 
	pct012k121			integer, 
	pct012k122			integer, 
	pct012k123			integer, 
	pct012k124			integer, 
	pct012k125			integer, 
	pct012k126			integer, 
	pct012k127			integer, 
	pct012k128			integer, 
	pct012k129			integer, 
	pct012k130			integer, 
	pct012k131			integer, 
	pct012k132			integer, 
	pct012k133			integer, 
	pct012k134			integer, 
	pct012k135			integer, 
	pct012k136			integer, 
	pct012k137			integer, 
	pct012k138			integer, 
	pct012k139			integer, 
	pct012k140			integer, 
	pct012k141			integer, 
	pct012k142			integer, 
	pct012k143			integer, 
	pct012k144			integer, 
	pct012k145			integer, 
	pct012k146			integer, 
	pct012k147			integer, 
	pct012k148			integer, 
	pct012k149			integer, 
	pct012k150			integer, 
	pct012k151			integer, 
	pct012k152			integer, 
	pct012k153			integer, 
	pct012k154			integer, 
	pct012k155			integer, 
	pct012k156			integer, 
	pct012k157			integer, 
	pct012k158			integer, 
	pct012k159			integer, 
	pct012k160			integer, 
	pct012k161			integer, 
	pct012k162			integer, 
	pct012k163			integer, 
	pct012k164			integer, 
	pct012k165			integer, 
	pct012k166			integer, 
	pct012k167			integer, 
	pct012k168			integer, 
	pct012k169			integer, 
	pct012k170			integer, 
	pct012k171			integer, 
	pct012k172			integer, 
	pct012k173			integer, 
	pct012k174			integer, 
	pct012k175			integer, 
	pct012k176			integer, 
	pct012k177			integer, 
	pct012k178			integer, 
	pct012k179			integer, 
	pct012k180			integer, 
	pct012k181			integer, 
	pct012k182			integer, 
	pct012k183			integer, 
	pct012k184			integer, 
	pct012k185			integer, 
	pct012k186			integer, 
	pct012k187			integer, 
	pct012k188			integer, 
	pct012k189			integer, 
	pct012k190			integer, 
	pct012k191			integer, 
	pct012k192			integer, 
	pct012k193			integer, 
	pct012k194			integer, 
	pct012k195			integer, 
	pct012k196			integer, 
	pct012k197			integer, 
	pct012k198			integer, 
	pct012k199			integer, 
	pct012k200			integer, 
	pct012k201			integer, 
	pct012k202			integer, 
	pct012k203			integer, 
	pct012k204			integer, 
	pct012k205			integer, 
	pct012k206			integer, 
	pct012k207			integer, 
	pct012k208			integer, 
	pct012k209			integer
);
-- create any indexes ...

-- drop table sf1_00031;
create table sf1_00031
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012l001			integer, 
	pct012l002			integer, 
	pct012l003			integer, 
	pct012l004			integer, 
	pct012l005			integer, 
	pct012l006			integer, 
	pct012l007			integer, 
	pct012l008			integer, 
	pct012l009			integer, 
	pct012l010			integer, 
	pct012l011			integer, 
	pct012l012			integer, 
	pct012l013			integer, 
	pct012l014			integer, 
	pct012l015			integer, 
	pct012l016			integer, 
	pct012l017			integer, 
	pct012l018			integer, 
	pct012l019			integer, 
	pct012l020			integer, 
	pct012l021			integer, 
	pct012l022			integer, 
	pct012l023			integer, 
	pct012l024			integer, 
	pct012l025			integer, 
	pct012l026			integer, 
	pct012l027			integer, 
	pct012l028			integer, 
	pct012l029			integer, 
	pct012l030			integer, 
	pct012l031			integer, 
	pct012l032			integer, 
	pct012l033			integer, 
	pct012l034			integer, 
	pct012l035			integer, 
	pct012l036			integer, 
	pct012l037			integer, 
	pct012l038			integer, 
	pct012l039			integer, 
	pct012l040			integer, 
	pct012l041			integer, 
	pct012l042			integer, 
	pct012l043			integer, 
	pct012l044			integer, 
	pct012l045			integer, 
	pct012l046			integer, 
	pct012l047			integer, 
	pct012l048			integer, 
	pct012l049			integer, 
	pct012l050			integer, 
	pct012l051			integer, 
	pct012l052			integer, 
	pct012l053			integer, 
	pct012l054			integer, 
	pct012l055			integer, 
	pct012l056			integer, 
	pct012l057			integer, 
	pct012l058			integer, 
	pct012l059			integer, 
	pct012l060			integer, 
	pct012l061			integer, 
	pct012l062			integer, 
	pct012l063			integer, 
	pct012l064			integer, 
	pct012l065			integer, 
	pct012l066			integer, 
	pct012l067			integer, 
	pct012l068			integer, 
	pct012l069			integer, 
	pct012l070			integer, 
	pct012l071			integer, 
	pct012l072			integer, 
	pct012l073			integer, 
	pct012l074			integer, 
	pct012l075			integer, 
	pct012l076			integer, 
	pct012l077			integer, 
	pct012l078			integer, 
	pct012l079			integer, 
	pct012l080			integer, 
	pct012l081			integer, 
	pct012l082			integer, 
	pct012l083			integer, 
	pct012l084			integer, 
	pct012l085			integer, 
	pct012l086			integer, 
	pct012l087			integer, 
	pct012l088			integer, 
	pct012l089			integer, 
	pct012l090			integer, 
	pct012l091			integer, 
	pct012l092			integer, 
	pct012l093			integer, 
	pct012l094			integer, 
	pct012l095			integer, 
	pct012l096			integer, 
	pct012l097			integer, 
	pct012l098			integer, 
	pct012l099			integer, 
	pct012l100			integer, 
	pct012l101			integer, 
	pct012l102			integer, 
	pct012l103			integer, 
	pct012l104			integer, 
	pct012l105			integer, 
	pct012l106			integer, 
	pct012l107			integer, 
	pct012l108			integer, 
	pct012l109			integer, 
	pct012l110			integer, 
	pct012l111			integer, 
	pct012l112			integer, 
	pct012l113			integer, 
	pct012l114			integer, 
	pct012l115			integer, 
	pct012l116			integer, 
	pct012l117			integer, 
	pct012l118			integer, 
	pct012l119			integer, 
	pct012l120			integer, 
	pct012l121			integer, 
	pct012l122			integer, 
	pct012l123			integer, 
	pct012l124			integer, 
	pct012l125			integer, 
	pct012l126			integer, 
	pct012l127			integer, 
	pct012l128			integer, 
	pct012l129			integer, 
	pct012l130			integer, 
	pct012l131			integer, 
	pct012l132			integer, 
	pct012l133			integer, 
	pct012l134			integer, 
	pct012l135			integer, 
	pct012l136			integer, 
	pct012l137			integer, 
	pct012l138			integer, 
	pct012l139			integer, 
	pct012l140			integer, 
	pct012l141			integer, 
	pct012l142			integer, 
	pct012l143			integer, 
	pct012l144			integer, 
	pct012l145			integer, 
	pct012l146			integer, 
	pct012l147			integer, 
	pct012l148			integer, 
	pct012l149			integer, 
	pct012l150			integer, 
	pct012l151			integer, 
	pct012l152			integer, 
	pct012l153			integer, 
	pct012l154			integer, 
	pct012l155			integer, 
	pct012l156			integer, 
	pct012l157			integer, 
	pct012l158			integer, 
	pct012l159			integer, 
	pct012l160			integer, 
	pct012l161			integer, 
	pct012l162			integer, 
	pct012l163			integer, 
	pct012l164			integer, 
	pct012l165			integer, 
	pct012l166			integer, 
	pct012l167			integer, 
	pct012l168			integer, 
	pct012l169			integer, 
	pct012l170			integer, 
	pct012l171			integer, 
	pct012l172			integer, 
	pct012l173			integer, 
	pct012l174			integer, 
	pct012l175			integer, 
	pct012l176			integer, 
	pct012l177			integer, 
	pct012l178			integer, 
	pct012l179			integer, 
	pct012l180			integer, 
	pct012l181			integer, 
	pct012l182			integer, 
	pct012l183			integer, 
	pct012l184			integer, 
	pct012l185			integer, 
	pct012l186			integer, 
	pct012l187			integer, 
	pct012l188			integer, 
	pct012l189			integer, 
	pct012l190			integer, 
	pct012l191			integer, 
	pct012l192			integer, 
	pct012l193			integer, 
	pct012l194			integer, 
	pct012l195			integer, 
	pct012l196			integer, 
	pct012l197			integer, 
	pct012l198			integer, 
	pct012l199			integer, 
	pct012l200			integer, 
	pct012l201			integer, 
	pct012l202			integer, 
	pct012l203			integer, 
	pct012l204			integer, 
	pct012l205			integer, 
	pct012l206			integer, 
	pct012l207			integer, 
	pct012l208			integer, 
	pct012l209			integer
);
-- create any indexes ...

-- drop table sf1_00032;
create table sf1_00032
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012m001			integer, 
	pct012m002			integer, 
	pct012m003			integer, 
	pct012m004			integer, 
	pct012m005			integer, 
	pct012m006			integer, 
	pct012m007			integer, 
	pct012m008			integer, 
	pct012m009			integer, 
	pct012m010			integer, 
	pct012m011			integer, 
	pct012m012			integer, 
	pct012m013			integer, 
	pct012m014			integer, 
	pct012m015			integer, 
	pct012m016			integer, 
	pct012m017			integer, 
	pct012m018			integer, 
	pct012m019			integer, 
	pct012m020			integer, 
	pct012m021			integer, 
	pct012m022			integer, 
	pct012m023			integer, 
	pct012m024			integer, 
	pct012m025			integer, 
	pct012m026			integer, 
	pct012m027			integer, 
	pct012m028			integer, 
	pct012m029			integer, 
	pct012m030			integer, 
	pct012m031			integer, 
	pct012m032			integer, 
	pct012m033			integer, 
	pct012m034			integer, 
	pct012m035			integer, 
	pct012m036			integer, 
	pct012m037			integer, 
	pct012m038			integer, 
	pct012m039			integer, 
	pct012m040			integer, 
	pct012m041			integer, 
	pct012m042			integer, 
	pct012m043			integer, 
	pct012m044			integer, 
	pct012m045			integer, 
	pct012m046			integer, 
	pct012m047			integer, 
	pct012m048			integer, 
	pct012m049			integer, 
	pct012m050			integer, 
	pct012m051			integer, 
	pct012m052			integer, 
	pct012m053			integer, 
	pct012m054			integer, 
	pct012m055			integer, 
	pct012m056			integer, 
	pct012m057			integer, 
	pct012m058			integer, 
	pct012m059			integer, 
	pct012m060			integer, 
	pct012m061			integer, 
	pct012m062			integer, 
	pct012m063			integer, 
	pct012m064			integer, 
	pct012m065			integer, 
	pct012m066			integer, 
	pct012m067			integer, 
	pct012m068			integer, 
	pct012m069			integer, 
	pct012m070			integer, 
	pct012m071			integer, 
	pct012m072			integer, 
	pct012m073			integer, 
	pct012m074			integer, 
	pct012m075			integer, 
	pct012m076			integer, 
	pct012m077			integer, 
	pct012m078			integer, 
	pct012m079			integer, 
	pct012m080			integer, 
	pct012m081			integer, 
	pct012m082			integer, 
	pct012m083			integer, 
	pct012m084			integer, 
	pct012m085			integer, 
	pct012m086			integer, 
	pct012m087			integer, 
	pct012m088			integer, 
	pct012m089			integer, 
	pct012m090			integer, 
	pct012m091			integer, 
	pct012m092			integer, 
	pct012m093			integer, 
	pct012m094			integer, 
	pct012m095			integer, 
	pct012m096			integer, 
	pct012m097			integer, 
	pct012m098			integer, 
	pct012m099			integer, 
	pct012m100			integer, 
	pct012m101			integer, 
	pct012m102			integer, 
	pct012m103			integer, 
	pct012m104			integer, 
	pct012m105			integer, 
	pct012m106			integer, 
	pct012m107			integer, 
	pct012m108			integer, 
	pct012m109			integer, 
	pct012m110			integer, 
	pct012m111			integer, 
	pct012m112			integer, 
	pct012m113			integer, 
	pct012m114			integer, 
	pct012m115			integer, 
	pct012m116			integer, 
	pct012m117			integer, 
	pct012m118			integer, 
	pct012m119			integer, 
	pct012m120			integer, 
	pct012m121			integer, 
	pct012m122			integer, 
	pct012m123			integer, 
	pct012m124			integer, 
	pct012m125			integer, 
	pct012m126			integer, 
	pct012m127			integer, 
	pct012m128			integer, 
	pct012m129			integer, 
	pct012m130			integer, 
	pct012m131			integer, 
	pct012m132			integer, 
	pct012m133			integer, 
	pct012m134			integer, 
	pct012m135			integer, 
	pct012m136			integer, 
	pct012m137			integer, 
	pct012m138			integer, 
	pct012m139			integer, 
	pct012m140			integer, 
	pct012m141			integer, 
	pct012m142			integer, 
	pct012m143			integer, 
	pct012m144			integer, 
	pct012m145			integer, 
	pct012m146			integer, 
	pct012m147			integer, 
	pct012m148			integer, 
	pct012m149			integer, 
	pct012m150			integer, 
	pct012m151			integer, 
	pct012m152			integer, 
	pct012m153			integer, 
	pct012m154			integer, 
	pct012m155			integer, 
	pct012m156			integer, 
	pct012m157			integer, 
	pct012m158			integer, 
	pct012m159			integer, 
	pct012m160			integer, 
	pct012m161			integer, 
	pct012m162			integer, 
	pct012m163			integer, 
	pct012m164			integer, 
	pct012m165			integer, 
	pct012m166			integer, 
	pct012m167			integer, 
	pct012m168			integer, 
	pct012m169			integer, 
	pct012m170			integer, 
	pct012m171			integer, 
	pct012m172			integer, 
	pct012m173			integer, 
	pct012m174			integer, 
	pct012m175			integer, 
	pct012m176			integer, 
	pct012m177			integer, 
	pct012m178			integer, 
	pct012m179			integer, 
	pct012m180			integer, 
	pct012m181			integer, 
	pct012m182			integer, 
	pct012m183			integer, 
	pct012m184			integer, 
	pct012m185			integer, 
	pct012m186			integer, 
	pct012m187			integer, 
	pct012m188			integer, 
	pct012m189			integer, 
	pct012m190			integer, 
	pct012m191			integer, 
	pct012m192			integer, 
	pct012m193			integer, 
	pct012m194			integer, 
	pct012m195			integer, 
	pct012m196			integer, 
	pct012m197			integer, 
	pct012m198			integer, 
	pct012m199			integer, 
	pct012m200			integer, 
	pct012m201			integer, 
	pct012m202			integer, 
	pct012m203			integer, 
	pct012m204			integer, 
	pct012m205			integer, 
	pct012m206			integer, 
	pct012m207			integer, 
	pct012m208			integer, 
	pct012m209			integer
);
-- create any indexes ...

-- drop table sf1_00033;
create table sf1_00033
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012n001			integer, 
	pct012n002			integer, 
	pct012n003			integer, 
	pct012n004			integer, 
	pct012n005			integer, 
	pct012n006			integer, 
	pct012n007			integer, 
	pct012n008			integer, 
	pct012n009			integer, 
	pct012n010			integer, 
	pct012n011			integer, 
	pct012n012			integer, 
	pct012n013			integer, 
	pct012n014			integer, 
	pct012n015			integer, 
	pct012n016			integer, 
	pct012n017			integer, 
	pct012n018			integer, 
	pct012n019			integer, 
	pct012n020			integer, 
	pct012n021			integer, 
	pct012n022			integer, 
	pct012n023			integer, 
	pct012n024			integer, 
	pct012n025			integer, 
	pct012n026			integer, 
	pct012n027			integer, 
	pct012n028			integer, 
	pct012n029			integer, 
	pct012n030			integer, 
	pct012n031			integer, 
	pct012n032			integer, 
	pct012n033			integer, 
	pct012n034			integer, 
	pct012n035			integer, 
	pct012n036			integer, 
	pct012n037			integer, 
	pct012n038			integer, 
	pct012n039			integer, 
	pct012n040			integer, 
	pct012n041			integer, 
	pct012n042			integer, 
	pct012n043			integer, 
	pct012n044			integer, 
	pct012n045			integer, 
	pct012n046			integer, 
	pct012n047			integer, 
	pct012n048			integer, 
	pct012n049			integer, 
	pct012n050			integer, 
	pct012n051			integer, 
	pct012n052			integer, 
	pct012n053			integer, 
	pct012n054			integer, 
	pct012n055			integer, 
	pct012n056			integer, 
	pct012n057			integer, 
	pct012n058			integer, 
	pct012n059			integer, 
	pct012n060			integer, 
	pct012n061			integer, 
	pct012n062			integer, 
	pct012n063			integer, 
	pct012n064			integer, 
	pct012n065			integer, 
	pct012n066			integer, 
	pct012n067			integer, 
	pct012n068			integer, 
	pct012n069			integer, 
	pct012n070			integer, 
	pct012n071			integer, 
	pct012n072			integer, 
	pct012n073			integer, 
	pct012n074			integer, 
	pct012n075			integer, 
	pct012n076			integer, 
	pct012n077			integer, 
	pct012n078			integer, 
	pct012n079			integer, 
	pct012n080			integer, 
	pct012n081			integer, 
	pct012n082			integer, 
	pct012n083			integer, 
	pct012n084			integer, 
	pct012n085			integer, 
	pct012n086			integer, 
	pct012n087			integer, 
	pct012n088			integer, 
	pct012n089			integer, 
	pct012n090			integer, 
	pct012n091			integer, 
	pct012n092			integer, 
	pct012n093			integer, 
	pct012n094			integer, 
	pct012n095			integer, 
	pct012n096			integer, 
	pct012n097			integer, 
	pct012n098			integer, 
	pct012n099			integer, 
	pct012n100			integer, 
	pct012n101			integer, 
	pct012n102			integer, 
	pct012n103			integer, 
	pct012n104			integer, 
	pct012n105			integer, 
	pct012n106			integer, 
	pct012n107			integer, 
	pct012n108			integer, 
	pct012n109			integer, 
	pct012n110			integer, 
	pct012n111			integer, 
	pct012n112			integer, 
	pct012n113			integer, 
	pct012n114			integer, 
	pct012n115			integer, 
	pct012n116			integer, 
	pct012n117			integer, 
	pct012n118			integer, 
	pct012n119			integer, 
	pct012n120			integer, 
	pct012n121			integer, 
	pct012n122			integer, 
	pct012n123			integer, 
	pct012n124			integer, 
	pct012n125			integer, 
	pct012n126			integer, 
	pct012n127			integer, 
	pct012n128			integer, 
	pct012n129			integer, 
	pct012n130			integer, 
	pct012n131			integer, 
	pct012n132			integer, 
	pct012n133			integer, 
	pct012n134			integer, 
	pct012n135			integer, 
	pct012n136			integer, 
	pct012n137			integer, 
	pct012n138			integer, 
	pct012n139			integer, 
	pct012n140			integer, 
	pct012n141			integer, 
	pct012n142			integer, 
	pct012n143			integer, 
	pct012n144			integer, 
	pct012n145			integer, 
	pct012n146			integer, 
	pct012n147			integer, 
	pct012n148			integer, 
	pct012n149			integer, 
	pct012n150			integer, 
	pct012n151			integer, 
	pct012n152			integer, 
	pct012n153			integer, 
	pct012n154			integer, 
	pct012n155			integer, 
	pct012n156			integer, 
	pct012n157			integer, 
	pct012n158			integer, 
	pct012n159			integer, 
	pct012n160			integer, 
	pct012n161			integer, 
	pct012n162			integer, 
	pct012n163			integer, 
	pct012n164			integer, 
	pct012n165			integer, 
	pct012n166			integer, 
	pct012n167			integer, 
	pct012n168			integer, 
	pct012n169			integer, 
	pct012n170			integer, 
	pct012n171			integer, 
	pct012n172			integer, 
	pct012n173			integer, 
	pct012n174			integer, 
	pct012n175			integer, 
	pct012n176			integer, 
	pct012n177			integer, 
	pct012n178			integer, 
	pct012n179			integer, 
	pct012n180			integer, 
	pct012n181			integer, 
	pct012n182			integer, 
	pct012n183			integer, 
	pct012n184			integer, 
	pct012n185			integer, 
	pct012n186			integer, 
	pct012n187			integer, 
	pct012n188			integer, 
	pct012n189			integer, 
	pct012n190			integer, 
	pct012n191			integer, 
	pct012n192			integer, 
	pct012n193			integer, 
	pct012n194			integer, 
	pct012n195			integer, 
	pct012n196			integer, 
	pct012n197			integer, 
	pct012n198			integer, 
	pct012n199			integer, 
	pct012n200			integer, 
	pct012n201			integer, 
	pct012n202			integer, 
	pct012n203			integer, 
	pct012n204			integer, 
	pct012n205			integer, 
	pct012n206			integer, 
	pct012n207			integer, 
	pct012n208			integer, 
	pct012n209			integer
);
-- create any indexes ...

-- drop table sf1_00034;
create table sf1_00034
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct012o001			integer, 
	pct012o002			integer, 
	pct012o003			integer, 
	pct012o004			integer, 
	pct012o005			integer, 
	pct012o006			integer, 
	pct012o007			integer, 
	pct012o008			integer, 
	pct012o009			integer, 
	pct012o010			integer, 
	pct012o011			integer, 
	pct012o012			integer, 
	pct012o013			integer, 
	pct012o014			integer, 
	pct012o015			integer, 
	pct012o016			integer, 
	pct012o017			integer, 
	pct012o018			integer, 
	pct012o019			integer, 
	pct012o020			integer, 
	pct012o021			integer, 
	pct012o022			integer, 
	pct012o023			integer, 
	pct012o024			integer, 
	pct012o025			integer, 
	pct012o026			integer, 
	pct012o027			integer, 
	pct012o028			integer, 
	pct012o029			integer, 
	pct012o030			integer, 
	pct012o031			integer, 
	pct012o032			integer, 
	pct012o033			integer, 
	pct012o034			integer, 
	pct012o035			integer, 
	pct012o036			integer, 
	pct012o037			integer, 
	pct012o038			integer, 
	pct012o039			integer, 
	pct012o040			integer, 
	pct012o041			integer, 
	pct012o042			integer, 
	pct012o043			integer, 
	pct012o044			integer, 
	pct012o045			integer, 
	pct012o046			integer, 
	pct012o047			integer, 
	pct012o048			integer, 
	pct012o049			integer, 
	pct012o050			integer, 
	pct012o051			integer, 
	pct012o052			integer, 
	pct012o053			integer, 
	pct012o054			integer, 
	pct012o055			integer, 
	pct012o056			integer, 
	pct012o057			integer, 
	pct012o058			integer, 
	pct012o059			integer, 
	pct012o060			integer, 
	pct012o061			integer, 
	pct012o062			integer, 
	pct012o063			integer, 
	pct012o064			integer, 
	pct012o065			integer, 
	pct012o066			integer, 
	pct012o067			integer, 
	pct012o068			integer, 
	pct012o069			integer, 
	pct012o070			integer, 
	pct012o071			integer, 
	pct012o072			integer, 
	pct012o073			integer, 
	pct012o074			integer, 
	pct012o075			integer, 
	pct012o076			integer, 
	pct012o077			integer, 
	pct012o078			integer, 
	pct012o079			integer, 
	pct012o080			integer, 
	pct012o081			integer, 
	pct012o082			integer, 
	pct012o083			integer, 
	pct012o084			integer, 
	pct012o085			integer, 
	pct012o086			integer, 
	pct012o087			integer, 
	pct012o088			integer, 
	pct012o089			integer, 
	pct012o090			integer, 
	pct012o091			integer, 
	pct012o092			integer, 
	pct012o093			integer, 
	pct012o094			integer, 
	pct012o095			integer, 
	pct012o096			integer, 
	pct012o097			integer, 
	pct012o098			integer, 
	pct012o099			integer, 
	pct012o100			integer, 
	pct012o101			integer, 
	pct012o102			integer, 
	pct012o103			integer, 
	pct012o104			integer, 
	pct012o105			integer, 
	pct012o106			integer, 
	pct012o107			integer, 
	pct012o108			integer, 
	pct012o109			integer, 
	pct012o110			integer, 
	pct012o111			integer, 
	pct012o112			integer, 
	pct012o113			integer, 
	pct012o114			integer, 
	pct012o115			integer, 
	pct012o116			integer, 
	pct012o117			integer, 
	pct012o118			integer, 
	pct012o119			integer, 
	pct012o120			integer, 
	pct012o121			integer, 
	pct012o122			integer, 
	pct012o123			integer, 
	pct012o124			integer, 
	pct012o125			integer, 
	pct012o126			integer, 
	pct012o127			integer, 
	pct012o128			integer, 
	pct012o129			integer, 
	pct012o130			integer, 
	pct012o131			integer, 
	pct012o132			integer, 
	pct012o133			integer, 
	pct012o134			integer, 
	pct012o135			integer, 
	pct012o136			integer, 
	pct012o137			integer, 
	pct012o138			integer, 
	pct012o139			integer, 
	pct012o140			integer, 
	pct012o141			integer, 
	pct012o142			integer, 
	pct012o143			integer, 
	pct012o144			integer, 
	pct012o145			integer, 
	pct012o146			integer, 
	pct012o147			integer, 
	pct012o148			integer, 
	pct012o149			integer, 
	pct012o150			integer, 
	pct012o151			integer, 
	pct012o152			integer, 
	pct012o153			integer, 
	pct012o154			integer, 
	pct012o155			integer, 
	pct012o156			integer, 
	pct012o157			integer, 
	pct012o158			integer, 
	pct012o159			integer, 
	pct012o160			integer, 
	pct012o161			integer, 
	pct012o162			integer, 
	pct012o163			integer, 
	pct012o164			integer, 
	pct012o165			integer, 
	pct012o166			integer, 
	pct012o167			integer, 
	pct012o168			integer, 
	pct012o169			integer, 
	pct012o170			integer, 
	pct012o171			integer, 
	pct012o172			integer, 
	pct012o173			integer, 
	pct012o174			integer, 
	pct012o175			integer, 
	pct012o176			integer, 
	pct012o177			integer, 
	pct012o178			integer, 
	pct012o179			integer, 
	pct012o180			integer, 
	pct012o181			integer, 
	pct012o182			integer, 
	pct012o183			integer, 
	pct012o184			integer, 
	pct012o185			integer, 
	pct012o186			integer, 
	pct012o187			integer, 
	pct012o188			integer, 
	pct012o189			integer, 
	pct012o190			integer, 
	pct012o191			integer, 
	pct012o192			integer, 
	pct012o193			integer, 
	pct012o194			integer, 
	pct012o195			integer, 
	pct012o196			integer, 
	pct012o197			integer, 
	pct012o198			integer, 
	pct012o199			integer, 
	pct012o200			integer, 
	pct012o201			integer, 
	pct012o202			integer, 
	pct012o203			integer, 
	pct012o204			integer, 
	pct012o205			integer, 
	pct012o206			integer, 
	pct012o207			integer, 
	pct012o208			integer, 
	pct012o209			integer
);
-- create any indexes ...

-- drop table sf1_00035;
create table sf1_00035
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct013a001			integer, 
	pct013a002			integer, 
	pct013a003			integer, 
	pct013a004			integer, 
	pct013a005			integer, 
	pct013a006			integer, 
	pct013a007			integer, 
	pct013a008			integer, 
	pct013a009			integer, 
	pct013a010			integer, 
	pct013a011			integer, 
	pct013a012			integer, 
	pct013a013			integer, 
	pct013a014			integer, 
	pct013a015			integer, 
	pct013a016			integer, 
	pct013a017			integer, 
	pct013a018			integer, 
	pct013a019			integer, 
	pct013a020			integer, 
	pct013a021			integer, 
	pct013a022			integer, 
	pct013a023			integer, 
	pct013a024			integer, 
	pct013a025			integer, 
	pct013a026			integer, 
	pct013a027			integer, 
	pct013a028			integer, 
	pct013a029			integer, 
	pct013a030			integer, 
	pct013a031			integer, 
	pct013a032			integer, 
	pct013a033			integer, 
	pct013a034			integer, 
	pct013a035			integer, 
	pct013a036			integer, 
	pct013a037			integer, 
	pct013a038			integer, 
	pct013a039			integer, 
	pct013a040			integer, 
	pct013a041			integer, 
	pct013a042			integer, 
	pct013a043			integer, 
	pct013a044			integer, 
	pct013a045			integer, 
	pct013a046			integer, 
	pct013a047			integer, 
	pct013a048			integer, 
	pct013a049			integer, 
	pct013b001			integer, 
	pct013b002			integer, 
	pct013b003			integer, 
	pct013b004			integer, 
	pct013b005			integer, 
	pct013b006			integer, 
	pct013b007			integer, 
	pct013b008			integer, 
	pct013b009			integer, 
	pct013b010			integer, 
	pct013b011			integer, 
	pct013b012			integer, 
	pct013b013			integer, 
	pct013b014			integer, 
	pct013b015			integer, 
	pct013b016			integer, 
	pct013b017			integer, 
	pct013b018			integer, 
	pct013b019			integer, 
	pct013b020			integer, 
	pct013b021			integer, 
	pct013b022			integer, 
	pct013b023			integer, 
	pct013b024			integer, 
	pct013b025			integer, 
	pct013b026			integer, 
	pct013b027			integer, 
	pct013b028			integer, 
	pct013b029			integer, 
	pct013b030			integer, 
	pct013b031			integer, 
	pct013b032			integer, 
	pct013b033			integer, 
	pct013b034			integer, 
	pct013b035			integer, 
	pct013b036			integer, 
	pct013b037			integer, 
	pct013b038			integer, 
	pct013b039			integer, 
	pct013b040			integer, 
	pct013b041			integer, 
	pct013b042			integer, 
	pct013b043			integer, 
	pct013b044			integer, 
	pct013b045			integer, 
	pct013b046			integer, 
	pct013b047			integer, 
	pct013b048			integer, 
	pct013b049			integer, 
	pct013c001			integer, 
	pct013c002			integer, 
	pct013c003			integer, 
	pct013c004			integer, 
	pct013c005			integer, 
	pct013c006			integer, 
	pct013c007			integer, 
	pct013c008			integer, 
	pct013c009			integer, 
	pct013c010			integer, 
	pct013c011			integer, 
	pct013c012			integer, 
	pct013c013			integer, 
	pct013c014			integer, 
	pct013c015			integer, 
	pct013c016			integer, 
	pct013c017			integer, 
	pct013c018			integer, 
	pct013c019			integer, 
	pct013c020			integer, 
	pct013c021			integer, 
	pct013c022			integer, 
	pct013c023			integer, 
	pct013c024			integer, 
	pct013c025			integer, 
	pct013c026			integer, 
	pct013c027			integer, 
	pct013c028			integer, 
	pct013c029			integer, 
	pct013c030			integer, 
	pct013c031			integer, 
	pct013c032			integer, 
	pct013c033			integer, 
	pct013c034			integer, 
	pct013c035			integer, 
	pct013c036			integer, 
	pct013c037			integer, 
	pct013c038			integer, 
	pct013c039			integer, 
	pct013c040			integer, 
	pct013c041			integer, 
	pct013c042			integer, 
	pct013c043			integer, 
	pct013c044			integer, 
	pct013c045			integer, 
	pct013c046			integer, 
	pct013c047			integer, 
	pct013c048			integer, 
	pct013c049			integer, 
	pct013d001			integer, 
	pct013d002			integer, 
	pct013d003			integer, 
	pct013d004			integer, 
	pct013d005			integer, 
	pct013d006			integer, 
	pct013d007			integer, 
	pct013d008			integer, 
	pct013d009			integer, 
	pct013d010			integer, 
	pct013d011			integer, 
	pct013d012			integer, 
	pct013d013			integer, 
	pct013d014			integer, 
	pct013d015			integer, 
	pct013d016			integer, 
	pct013d017			integer, 
	pct013d018			integer, 
	pct013d019			integer, 
	pct013d020			integer, 
	pct013d021			integer, 
	pct013d022			integer, 
	pct013d023			integer, 
	pct013d024			integer, 
	pct013d025			integer, 
	pct013d026			integer, 
	pct013d027			integer, 
	pct013d028			integer, 
	pct013d029			integer, 
	pct013d030			integer, 
	pct013d031			integer, 
	pct013d032			integer, 
	pct013d033			integer, 
	pct013d034			integer, 
	pct013d035			integer, 
	pct013d036			integer, 
	pct013d037			integer, 
	pct013d038			integer, 
	pct013d039			integer, 
	pct013d040			integer, 
	pct013d041			integer, 
	pct013d042			integer, 
	pct013d043			integer, 
	pct013d044			integer, 
	pct013d045			integer, 
	pct013d046			integer, 
	pct013d047			integer, 
	pct013d048			integer, 
	pct013d049			integer, 
	pct013e001			integer, 
	pct013e002			integer, 
	pct013e003			integer, 
	pct013e004			integer, 
	pct013e005			integer, 
	pct013e006			integer, 
	pct013e007			integer, 
	pct013e008			integer, 
	pct013e009			integer, 
	pct013e010			integer, 
	pct013e011			integer, 
	pct013e012			integer, 
	pct013e013			integer, 
	pct013e014			integer, 
	pct013e015			integer, 
	pct013e016			integer, 
	pct013e017			integer, 
	pct013e018			integer, 
	pct013e019			integer, 
	pct013e020			integer, 
	pct013e021			integer, 
	pct013e022			integer, 
	pct013e023			integer, 
	pct013e024			integer, 
	pct013e025			integer, 
	pct013e026			integer, 
	pct013e027			integer, 
	pct013e028			integer, 
	pct013e029			integer, 
	pct013e030			integer, 
	pct013e031			integer, 
	pct013e032			integer, 
	pct013e033			integer, 
	pct013e034			integer, 
	pct013e035			integer, 
	pct013e036			integer, 
	pct013e037			integer, 
	pct013e038			integer, 
	pct013e039			integer, 
	pct013e040			integer, 
	pct013e041			integer, 
	pct013e042			integer, 
	pct013e043			integer, 
	pct013e044			integer, 
	pct013e045			integer, 
	pct013e046			integer, 
	pct013e047			integer, 
	pct013e048			integer, 
	pct013e049			integer
);
-- create any indexes ...

-- drop table sf1_00036;
create table sf1_00036
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct013f001			integer, 
	pct013f002			integer, 
	pct013f003			integer, 
	pct013f004			integer, 
	pct013f005			integer, 
	pct013f006			integer, 
	pct013f007			integer, 
	pct013f008			integer, 
	pct013f009			integer, 
	pct013f010			integer, 
	pct013f011			integer, 
	pct013f012			integer, 
	pct013f013			integer, 
	pct013f014			integer, 
	pct013f015			integer, 
	pct013f016			integer, 
	pct013f017			integer, 
	pct013f018			integer, 
	pct013f019			integer, 
	pct013f020			integer, 
	pct013f021			integer, 
	pct013f022			integer, 
	pct013f023			integer, 
	pct013f024			integer, 
	pct013f025			integer, 
	pct013f026			integer, 
	pct013f027			integer, 
	pct013f028			integer, 
	pct013f029			integer, 
	pct013f030			integer, 
	pct013f031			integer, 
	pct013f032			integer, 
	pct013f033			integer, 
	pct013f034			integer, 
	pct013f035			integer, 
	pct013f036			integer, 
	pct013f037			integer, 
	pct013f038			integer, 
	pct013f039			integer, 
	pct013f040			integer, 
	pct013f041			integer, 
	pct013f042			integer, 
	pct013f043			integer, 
	pct013f044			integer, 
	pct013f045			integer, 
	pct013f046			integer, 
	pct013f047			integer, 
	pct013f048			integer, 
	pct013f049			integer, 
	pct013g001			integer, 
	pct013g002			integer, 
	pct013g003			integer, 
	pct013g004			integer, 
	pct013g005			integer, 
	pct013g006			integer, 
	pct013g007			integer, 
	pct013g008			integer, 
	pct013g009			integer, 
	pct013g010			integer, 
	pct013g011			integer, 
	pct013g012			integer, 
	pct013g013			integer, 
	pct013g014			integer, 
	pct013g015			integer, 
	pct013g016			integer, 
	pct013g017			integer, 
	pct013g018			integer, 
	pct013g019			integer, 
	pct013g020			integer, 
	pct013g021			integer, 
	pct013g022			integer, 
	pct013g023			integer, 
	pct013g024			integer, 
	pct013g025			integer, 
	pct013g026			integer, 
	pct013g027			integer, 
	pct013g028			integer, 
	pct013g029			integer, 
	pct013g030			integer, 
	pct013g031			integer, 
	pct013g032			integer, 
	pct013g033			integer, 
	pct013g034			integer, 
	pct013g035			integer, 
	pct013g036			integer, 
	pct013g037			integer, 
	pct013g038			integer, 
	pct013g039			integer, 
	pct013g040			integer, 
	pct013g041			integer, 
	pct013g042			integer, 
	pct013g043			integer, 
	pct013g044			integer, 
	pct013g045			integer, 
	pct013g046			integer, 
	pct013g047			integer, 
	pct013g048			integer, 
	pct013g049			integer, 
	pct013h001			integer, 
	pct013h002			integer, 
	pct013h003			integer, 
	pct013h004			integer, 
	pct013h005			integer, 
	pct013h006			integer, 
	pct013h007			integer, 
	pct013h008			integer, 
	pct013h009			integer, 
	pct013h010			integer, 
	pct013h011			integer, 
	pct013h012			integer, 
	pct013h013			integer, 
	pct013h014			integer, 
	pct013h015			integer, 
	pct013h016			integer, 
	pct013h017			integer, 
	pct013h018			integer, 
	pct013h019			integer, 
	pct013h020			integer, 
	pct013h021			integer, 
	pct013h022			integer, 
	pct013h023			integer, 
	pct013h024			integer, 
	pct013h025			integer, 
	pct013h026			integer, 
	pct013h027			integer, 
	pct013h028			integer, 
	pct013h029			integer, 
	pct013h030			integer, 
	pct013h031			integer, 
	pct013h032			integer, 
	pct013h033			integer, 
	pct013h034			integer, 
	pct013h035			integer, 
	pct013h036			integer, 
	pct013h037			integer, 
	pct013h038			integer, 
	pct013h039			integer, 
	pct013h040			integer, 
	pct013h041			integer, 
	pct013h042			integer, 
	pct013h043			integer, 
	pct013h044			integer, 
	pct013h045			integer, 
	pct013h046			integer, 
	pct013h047			integer, 
	pct013h048			integer, 
	pct013h049			integer, 
	pct013i001			integer, 
	pct013i002			integer, 
	pct013i003			integer, 
	pct013i004			integer, 
	pct013i005			integer, 
	pct013i006			integer, 
	pct013i007			integer, 
	pct013i008			integer, 
	pct013i009			integer, 
	pct013i010			integer, 
	pct013i011			integer, 
	pct013i012			integer, 
	pct013i013			integer, 
	pct013i014			integer, 
	pct013i015			integer, 
	pct013i016			integer, 
	pct013i017			integer, 
	pct013i018			integer, 
	pct013i019			integer, 
	pct013i020			integer, 
	pct013i021			integer, 
	pct013i022			integer, 
	pct013i023			integer, 
	pct013i024			integer, 
	pct013i025			integer, 
	pct013i026			integer, 
	pct013i027			integer, 
	pct013i028			integer, 
	pct013i029			integer, 
	pct013i030			integer, 
	pct013i031			integer, 
	pct013i032			integer, 
	pct013i033			integer, 
	pct013i034			integer, 
	pct013i035			integer, 
	pct013i036			integer, 
	pct013i037			integer, 
	pct013i038			integer, 
	pct013i039			integer, 
	pct013i040			integer, 
	pct013i041			integer, 
	pct013i042			integer, 
	pct013i043			integer, 
	pct013i044			integer, 
	pct013i045			integer, 
	pct013i046			integer, 
	pct013i047			integer, 
	pct013i048			integer, 
	pct013i049			integer, 
	pct014a001			integer, 
	pct014a002			integer, 
	pct014a003			integer, 
	pct014b001			integer, 
	pct014b002			integer, 
	pct014b003			integer, 
	pct014c001			integer, 
	pct014c002			integer, 
	pct014c003			integer, 
	pct014d001			integer, 
	pct014d002			integer, 
	pct014d003			integer, 
	pct014e001			integer, 
	pct014e002			integer, 
	pct014e003			integer, 
	pct014f001			integer, 
	pct014f002			integer, 
	pct014f003			integer, 
	pct014g001			integer, 
	pct014g002			integer, 
	pct014g003			integer, 
	pct014h001			integer, 
	pct014h002			integer, 
	pct014h003			integer, 
	pct014i001			integer, 
	pct014i002			integer, 
	pct014i003			integer, 
	pct019a001			integer, 
	pct019a002			integer, 
	pct019a003			integer, 
	pct019a004			integer, 
	pct019a005			integer, 
	pct019a006			integer, 
	pct019a007			integer, 
	pct019a008			integer, 
	pct019a009			integer, 
	pct019a010			integer, 
	pct019a011			integer, 
	pct019b001			integer, 
	pct019b002			integer, 
	pct019b003			integer, 
	pct019b004			integer, 
	pct019b005			integer, 
	pct019b006			integer, 
	pct019b007			integer, 
	pct019b008			integer, 
	pct019b009			integer, 
	pct019b010			integer, 
	pct019b011			integer
);
-- create any indexes ...

-- drop table sf1_00037;
create table sf1_00037
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct019c001			integer, 
	pct019c002			integer, 
	pct019c003			integer, 
	pct019c004			integer, 
	pct019c005			integer, 
	pct019c006			integer, 
	pct019c007			integer, 
	pct019c008			integer, 
	pct019c009			integer, 
	pct019c010			integer, 
	pct019c011			integer, 
	pct019d001			integer, 
	pct019d002			integer, 
	pct019d003			integer, 
	pct019d004			integer, 
	pct019d005			integer, 
	pct019d006			integer, 
	pct019d007			integer, 
	pct019d008			integer, 
	pct019d009			integer, 
	pct019d010			integer, 
	pct019d011			integer, 
	pct019e001			integer, 
	pct019e002			integer, 
	pct019e003			integer, 
	pct019e004			integer, 
	pct019e005			integer, 
	pct019e006			integer, 
	pct019e007			integer, 
	pct019e008			integer, 
	pct019e009			integer, 
	pct019e010			integer, 
	pct019e011			integer, 
	pct019f001			integer, 
	pct019f002			integer, 
	pct019f003			integer, 
	pct019f004			integer, 
	pct019f005			integer, 
	pct019f006			integer, 
	pct019f007			integer, 
	pct019f008			integer, 
	pct019f009			integer, 
	pct019f010			integer, 
	pct019f011			integer, 
	pct019g001			integer, 
	pct019g002			integer, 
	pct019g003			integer, 
	pct019g004			integer, 
	pct019g005			integer, 
	pct019g006			integer, 
	pct019g007			integer, 
	pct019g008			integer, 
	pct019g009			integer, 
	pct019g010			integer, 
	pct019g011			integer, 
	pct019h001			integer, 
	pct019h002			integer, 
	pct019h003			integer, 
	pct019h004			integer, 
	pct019h005			integer, 
	pct019h006			integer, 
	pct019h007			integer, 
	pct019h008			integer, 
	pct019h009			integer, 
	pct019h010			integer, 
	pct019h011			integer, 
	pct019i001			integer, 
	pct019i002			integer, 
	pct019i003			integer, 
	pct019i004			integer, 
	pct019i005			integer, 
	pct019i006			integer, 
	pct019i007			integer, 
	pct019i008			integer, 
	pct019i009			integer, 
	pct019i010			integer, 
	pct019i011			integer, 
	pct020a001			integer, 
	pct020a002			integer, 
	pct020a003			integer, 
	pct020a004			integer, 
	pct020a005			integer, 
	pct020a006			integer, 
	pct020a007			integer, 
	pct020a008			integer, 
	pct020a009			integer, 
	pct020a010			integer, 
	pct020a011			integer, 
	pct020a012			integer, 
	pct020a013			integer, 
	pct020a014			integer, 
	pct020a015			integer, 
	pct020a016			integer, 
	pct020a017			integer, 
	pct020a018			integer, 
	pct020a019			integer, 
	pct020a020			integer, 
	pct020a021			integer, 
	pct020a022			integer, 
	pct020a023			integer, 
	pct020a024			integer, 
	pct020a025			integer, 
	pct020a026			integer, 
	pct020a027			integer, 
	pct020a028			integer, 
	pct020a029			integer, 
	pct020a030			integer, 
	pct020a031			integer, 
	pct020a032			integer, 
	pct020b001			integer, 
	pct020b002			integer, 
	pct020b003			integer, 
	pct020b004			integer, 
	pct020b005			integer, 
	pct020b006			integer, 
	pct020b007			integer, 
	pct020b008			integer, 
	pct020b009			integer, 
	pct020b010			integer, 
	pct020b011			integer, 
	pct020b012			integer, 
	pct020b013			integer, 
	pct020b014			integer, 
	pct020b015			integer, 
	pct020b016			integer, 
	pct020b017			integer, 
	pct020b018			integer, 
	pct020b019			integer, 
	pct020b020			integer, 
	pct020b021			integer, 
	pct020b022			integer, 
	pct020b023			integer, 
	pct020b024			integer, 
	pct020b025			integer, 
	pct020b026			integer, 
	pct020b027			integer, 
	pct020b028			integer, 
	pct020b029			integer, 
	pct020b030			integer, 
	pct020b031			integer, 
	pct020b032			integer, 
	pct020c001			integer, 
	pct020c002			integer, 
	pct020c003			integer, 
	pct020c004			integer, 
	pct020c005			integer, 
	pct020c006			integer, 
	pct020c007			integer, 
	pct020c008			integer, 
	pct020c009			integer, 
	pct020c010			integer, 
	pct020c011			integer, 
	pct020c012			integer, 
	pct020c013			integer, 
	pct020c014			integer, 
	pct020c015			integer, 
	pct020c016			integer, 
	pct020c017			integer, 
	pct020c018			integer, 
	pct020c019			integer, 
	pct020c020			integer, 
	pct020c021			integer, 
	pct020c022			integer, 
	pct020c023			integer, 
	pct020c024			integer, 
	pct020c025			integer, 
	pct020c026			integer, 
	pct020c027			integer, 
	pct020c028			integer, 
	pct020c029			integer, 
	pct020c030			integer, 
	pct020c031			integer, 
	pct020c032			integer, 
	pct020d001			integer, 
	pct020d002			integer, 
	pct020d003			integer, 
	pct020d004			integer, 
	pct020d005			integer, 
	pct020d006			integer, 
	pct020d007			integer, 
	pct020d008			integer, 
	pct020d009			integer, 
	pct020d010			integer, 
	pct020d011			integer, 
	pct020d012			integer, 
	pct020d013			integer, 
	pct020d014			integer, 
	pct020d015			integer, 
	pct020d016			integer, 
	pct020d017			integer, 
	pct020d018			integer, 
	pct020d019			integer, 
	pct020d020			integer, 
	pct020d021			integer, 
	pct020d022			integer, 
	pct020d023			integer, 
	pct020d024			integer, 
	pct020d025			integer, 
	pct020d026			integer, 
	pct020d027			integer, 
	pct020d028			integer, 
	pct020d029			integer, 
	pct020d030			integer, 
	pct020d031			integer, 
	pct020d032			integer, 
	pct020e001			integer, 
	pct020e002			integer, 
	pct020e003			integer, 
	pct020e004			integer, 
	pct020e005			integer, 
	pct020e006			integer, 
	pct020e007			integer, 
	pct020e008			integer, 
	pct020e009			integer, 
	pct020e010			integer, 
	pct020e011			integer, 
	pct020e012			integer, 
	pct020e013			integer, 
	pct020e014			integer, 
	pct020e015			integer, 
	pct020e016			integer, 
	pct020e017			integer, 
	pct020e018			integer, 
	pct020e019			integer, 
	pct020e020			integer, 
	pct020e021			integer, 
	pct020e022			integer, 
	pct020e023			integer, 
	pct020e024			integer, 
	pct020e025			integer, 
	pct020e026			integer, 
	pct020e027			integer, 
	pct020e028			integer, 
	pct020e029			integer, 
	pct020e030			integer, 
	pct020e031			integer, 
	pct020e032			integer
);
-- create any indexes ...

-- drop table sf1_00038;
create table sf1_00038
 (	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct020f001			integer, 
	pct020f002			integer, 
	pct020f003			integer, 
	pct020f004			integer, 
	pct020f005			integer, 
	pct020f006			integer, 
	pct020f007			integer, 
	pct020f008			integer, 
	pct020f009			integer, 
	pct020f010			integer, 
	pct020f011			integer, 
	pct020f012			integer, 
	pct020f013			integer, 
	pct020f014			integer, 
	pct020f015			integer, 
	pct020f016			integer, 
	pct020f017			integer, 
	pct020f018			integer, 
	pct020f019			integer, 
	pct020f020			integer, 
	pct020f021			integer, 
	pct020f022			integer, 
	pct020f023			integer, 
	pct020f024			integer, 
	pct020f025			integer, 
	pct020f026			integer, 
	pct020f027			integer, 
	pct020f028			integer, 
	pct020f029			integer, 
	pct020f030			integer, 
	pct020f031			integer, 
	pct020f032			integer, 
	pct020g001			integer, 
	pct020g002			integer, 
	pct020g003			integer, 
	pct020g004			integer, 
	pct020g005			integer, 
	pct020g006			integer, 
	pct020g007			integer, 
	pct020g008			integer, 
	pct020g009			integer, 
	pct020g010			integer, 
	pct020g011			integer, 
	pct020g012			integer, 
	pct020g013			integer, 
	pct020g014			integer, 
	pct020g015			integer, 
	pct020g016			integer, 
	pct020g017			integer, 
	pct020g018			integer, 
	pct020g019			integer, 
	pct020g020			integer, 
	pct020g021			integer, 
	pct020g022			integer, 
	pct020g023			integer, 
	pct020g024			integer, 
	pct020g025			integer, 
	pct020g026			integer, 
	pct020g027			integer, 
	pct020g028			integer, 
	pct020g029			integer, 
	pct020g030			integer, 
	pct020g031			integer, 
	pct020g032			integer, 
	pct020h001			integer, 
	pct020h002			integer, 
	pct020h003			integer, 
	pct020h004			integer, 
	pct020h005			integer, 
	pct020h006			integer, 
	pct020h007			integer, 
	pct020h008			integer, 
	pct020h009			integer, 
	pct020h010			integer, 
	pct020h011			integer, 
	pct020h012			integer, 
	pct020h013			integer, 
	pct020h014			integer, 
	pct020h015			integer, 
	pct020h016			integer, 
	pct020h017			integer, 
	pct020h018			integer, 
	pct020h019			integer, 
	pct020h020			integer, 
	pct020h021			integer, 
	pct020h022			integer, 
	pct020h023			integer, 
	pct020h024			integer, 
	pct020h025			integer, 
	pct020h026			integer, 
	pct020h027			integer, 
	pct020h028			integer, 
	pct020h029			integer, 
	pct020h030			integer, 
	pct020h031			integer, 
	pct020h032			integer, 
	pct020i001			integer, 
	pct020i002			integer, 
	pct020i003			integer, 
	pct020i004			integer, 
	pct020i005			integer, 
	pct020i006			integer, 
	pct020i007			integer, 
	pct020i008			integer, 
	pct020i009			integer, 
	pct020i010			integer, 
	pct020i011			integer, 
	pct020i012			integer, 
	pct020i013			integer, 
	pct020i014			integer, 
	pct020i015			integer, 
	pct020i016			integer, 
	pct020i017			integer, 
	pct020i018			integer, 
	pct020i019			integer, 
	pct020i020			integer, 
	pct020i021			integer, 
	pct020i022			integer, 
	pct020i023			integer, 
	pct020i024			integer, 
	pct020i025			integer, 
	pct020i026			integer, 
	pct020i027			integer, 
	pct020i028			integer, 
	pct020i029			integer, 
	pct020i030			integer, 
	pct020i031			integer, 
	pct020i032			integer, 
	pct022a001			integer, 
	pct022a002			integer, 
	pct022a003			integer, 
	pct022a004			integer, 
	pct022a005			integer, 
	pct022a006			integer, 
	pct022a007			integer, 
	pct022a008			integer, 
	pct022a009			integer, 
	pct022a010			integer, 
	pct022a011			integer, 
	pct022a012			integer, 
	pct022a013			integer, 
	pct022a014			integer, 
	pct022a015			integer, 
	pct022a016			integer, 
	pct022a017			integer, 
	pct022a018			integer, 
	pct022a019			integer, 
	pct022a020			integer, 
	pct022a021			integer, 
	pct022b001			integer, 
	pct022b002			integer, 
	pct022b003			integer, 
	pct022b004			integer, 
	pct022b005			integer, 
	pct022b006			integer, 
	pct022b007			integer, 
	pct022b008			integer, 
	pct022b009			integer, 
	pct022b010			integer, 
	pct022b011			integer, 
	pct022b012			integer, 
	pct022b013			integer, 
	pct022b014			integer, 
	pct022b015			integer, 
	pct022b016			integer, 
	pct022b017			integer, 
	pct022b018			integer, 
	pct022b019			integer, 
	pct022b020			integer, 
	pct022b021			integer, 
	pct022c001			integer, 
	pct022c002			integer, 
	pct022c003			integer, 
	pct022c004			integer, 
	pct022c005			integer, 
	pct022c006			integer, 
	pct022c007			integer, 
	pct022c008			integer, 
	pct022c009			integer, 
	pct022c010			integer, 
	pct022c011			integer, 
	pct022c012			integer, 
	pct022c013			integer, 
	pct022c014			integer, 
	pct022c015			integer, 
	pct022c016			integer, 
	pct022c017			integer, 
	pct022c018			integer, 
	pct022c019			integer, 
	pct022c020			integer, 
	pct022c021			integer, 
	pct022d001			integer, 
	pct022d002			integer, 
	pct022d003			integer, 
	pct022d004			integer, 
	pct022d005			integer, 
	pct022d006			integer, 
	pct022d007			integer, 
	pct022d008			integer, 
	pct022d009			integer, 
	pct022d010			integer, 
	pct022d011			integer, 
	pct022d012			integer, 
	pct022d013			integer, 
	pct022d014			integer, 
	pct022d015			integer, 
	pct022d016			integer, 
	pct022d017			integer, 
	pct022d018			integer, 
	pct022d019			integer, 
	pct022d020			integer, 
	pct022d021			integer, 
	pct022e001			integer, 
	pct022e002			integer, 
	pct022e003			integer, 
	pct022e004			integer, 
	pct022e005			integer, 
	pct022e006			integer, 
	pct022e007			integer, 
	pct022e008			integer, 
	pct022e009			integer, 
	pct022e010			integer, 
	pct022e011			integer, 
	pct022e012			integer, 
	pct022e013			integer, 
	pct022e014			integer, 
	pct022e015			integer, 
	pct022e016			integer, 
	pct022e017			integer, 
	pct022e018			integer, 
	pct022e019			integer, 
	pct022e020			integer, 
	pct022e021			integer, 
	pct022f001			integer, 
	pct022f002			integer, 
	pct022f003			integer, 
	pct022f004			integer, 
	pct022f005			integer, 
	pct022f006			integer, 
	pct022f007			integer, 
	pct022f008			integer, 
	pct022f009			integer, 
	pct022f010			integer, 
	pct022f011			integer, 
	pct022f012			integer, 
	pct022f013			integer, 
	pct022f014			integer, 
	pct022f015			integer, 
	pct022f016			integer, 
	pct022f017			integer, 
	pct022f018			integer, 
	pct022f019			integer, 
	pct022f020			integer, 
	pct022f021			integer
);
-- create any indexes ...

-- drop table sf1_00039;
create table sf1_00039
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pct022g001			integer, 
	pct022g002			integer, 
	pct022g003			integer, 
	pct022g004			integer, 
	pct022g005			integer, 
	pct022g006			integer, 
	pct022g007			integer, 
	pct022g008			integer, 
	pct022g009			integer, 
	pct022g010			integer, 
	pct022g011			integer, 
	pct022g012			integer, 
	pct022g013			integer, 
	pct022g014			integer, 
	pct022g015			integer, 
	pct022g016			integer, 
	pct022g017			integer, 
	pct022g018			integer, 
	pct022g019			integer, 
	pct022g020			integer, 
	pct022g021			integer, 
	pct022h001			integer, 
	pct022h002			integer, 
	pct022h003			integer, 
	pct022h004			integer, 
	pct022h005			integer, 
	pct022h006			integer, 
	pct022h007			integer, 
	pct022h008			integer, 
	pct022h009			integer, 
	pct022h010			integer, 
	pct022h011			integer, 
	pct022h012			integer, 
	pct022h013			integer, 
	pct022h014			integer, 
	pct022h015			integer, 
	pct022h016			integer, 
	pct022h017			integer, 
	pct022h018			integer, 
	pct022h019			integer, 
	pct022h020			integer, 
	pct022h021			integer, 
	pct022i001			integer, 
	pct022i002			integer, 
	pct022i003			integer, 
	pct022i004			integer, 
	pct022i005			integer, 
	pct022i006			integer, 
	pct022i007			integer, 
	pct022i008			integer, 
	pct022i009			integer, 
	pct022i010			integer, 
	pct022i011			integer, 
	pct022i012			integer, 
	pct022i013			integer, 
	pct022i014			integer, 
	pct022i015			integer, 
	pct022i016			integer, 
	pct022i017			integer, 
	pct022i018			integer, 
	pct022i019			integer, 
	pct022i020			integer, 
	pct022i021			integer
);
-- create any indexes ...

-- drop table sf1_00040;
create table sf1_00040
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pco0010001			integer, 
	pco0010002			integer, 
	pco0010003			integer, 
	pco0010004			integer, 
	pco0010005			integer, 
	pco0010006			integer, 
	pco0010007			integer, 
	pco0010008			integer, 
	pco0010009			integer, 
	pco0010010			integer, 
	pco0010011			integer, 
	pco0010012			integer, 
	pco0010013			integer, 
	pco0010014			integer, 
	pco0010015			integer, 
	pco0010016			integer, 
	pco0010017			integer, 
	pco0010018			integer, 
	pco0010019			integer, 
	pco0010020			integer, 
	pco0010021			integer, 
	pco0010022			integer, 
	pco0010023			integer, 
	pco0010024			integer, 
	pco0010025			integer, 
	pco0010026			integer, 
	pco0010027			integer, 
	pco0010028			integer, 
	pco0010029			integer, 
	pco0010030			integer, 
	pco0010031			integer, 
	pco0010032			integer, 
	pco0010033			integer, 
	pco0010034			integer, 
	pco0010035			integer, 
	pco0010036			integer, 
	pco0010037			integer, 
	pco0010038			integer, 
	pco0010039			integer, 
	pco0020001			integer, 
	pco0020002			integer, 
	pco0020003			integer, 
	pco0020004			integer, 
	pco0020005			integer, 
	pco0020006			integer, 
	pco0020007			integer, 
	pco0020008			integer, 
	pco0020009			integer, 
	pco0020010			integer, 
	pco0020011			integer, 
	pco0020012			integer, 
	pco0020013			integer, 
	pco0020014			integer, 
	pco0020015			integer, 
	pco0020016			integer, 
	pco0020017			integer, 
	pco0020018			integer, 
	pco0020019			integer, 
	pco0020020			integer, 
	pco0020021			integer, 
	pco0020022			integer, 
	pco0020023			integer, 
	pco0020024			integer, 
	pco0020025			integer, 
	pco0020026			integer, 
	pco0020027			integer, 
	pco0020028			integer, 
	pco0020029			integer, 
	pco0020030			integer, 
	pco0020031			integer, 
	pco0020032			integer, 
	pco0020033			integer, 
	pco0020034			integer, 
	pco0020035			integer, 
	pco0020036			integer, 
	pco0020037			integer, 
	pco0020038			integer, 
	pco0020039			integer, 
	pco0030001			integer, 
	pco0030002			integer, 
	pco0030003			integer, 
	pco0030004			integer, 
	pco0030005			integer, 
	pco0030006			integer, 
	pco0030007			integer, 
	pco0030008			integer, 
	pco0030009			integer, 
	pco0030010			integer, 
	pco0030011			integer, 
	pco0030012			integer, 
	pco0030013			integer, 
	pco0030014			integer, 
	pco0030015			integer, 
	pco0030016			integer, 
	pco0030017			integer, 
	pco0030018			integer, 
	pco0030019			integer, 
	pco0030020			integer, 
	pco0030021			integer, 
	pco0030022			integer, 
	pco0030023			integer, 
	pco0030024			integer, 
	pco0030025			integer, 
	pco0030026			integer, 
	pco0030027			integer, 
	pco0030028			integer, 
	pco0030029			integer, 
	pco0030030			integer, 
	pco0030031			integer, 
	pco0030032			integer, 
	pco0030033			integer, 
	pco0030034			integer, 
	pco0030035			integer, 
	pco0030036			integer, 
	pco0030037			integer, 
	pco0030038			integer, 
	pco0030039			integer, 
	pco0040001			integer, 
	pco0040002			integer, 
	pco0040003			integer, 
	pco0040004			integer, 
	pco0040005			integer, 
	pco0040006			integer, 
	pco0040007			integer, 
	pco0040008			integer, 
	pco0040009			integer, 
	pco0040010			integer, 
	pco0040011			integer, 
	pco0040012			integer, 
	pco0040013			integer, 
	pco0040014			integer, 
	pco0040015			integer, 
	pco0040016			integer, 
	pco0040017			integer, 
	pco0040018			integer, 
	pco0040019			integer, 
	pco0040020			integer, 
	pco0040021			integer, 
	pco0040022			integer, 
	pco0040023			integer, 
	pco0040024			integer, 
	pco0040025			integer, 
	pco0040026			integer, 
	pco0040027			integer, 
	pco0040028			integer, 
	pco0040029			integer, 
	pco0040030			integer, 
	pco0040031			integer, 
	pco0040032			integer, 
	pco0040033			integer, 
	pco0040034			integer, 
	pco0040035			integer, 
	pco0040036			integer, 
	pco0040037			integer, 
	pco0040038			integer, 
	pco0040039			integer, 
	pco0050001			integer, 
	pco0050002			integer, 
	pco0050003			integer, 
	pco0050004			integer, 
	pco0050005			integer, 
	pco0050006			integer, 
	pco0050007			integer, 
	pco0050008			integer, 
	pco0050009			integer, 
	pco0050010			integer, 
	pco0050011			integer, 
	pco0050012			integer, 
	pco0050013			integer, 
	pco0050014			integer, 
	pco0050015			integer, 
	pco0050016			integer, 
	pco0050017			integer, 
	pco0050018			integer, 
	pco0050019			integer, 
	pco0050020			integer, 
	pco0050021			integer, 
	pco0050022			integer, 
	pco0050023			integer, 
	pco0050024			integer, 
	pco0050025			integer, 
	pco0050026			integer, 
	pco0050027			integer, 
	pco0050028			integer, 
	pco0050029			integer, 
	pco0050030			integer, 
	pco0050031			integer, 
	pco0050032			integer, 
	pco0050033			integer, 
	pco0050034			integer, 
	pco0050035			integer, 
	pco0050036			integer, 
	pco0050037			integer, 
	pco0050038			integer, 
	pco0050039			integer, 
	pco0060001			integer, 
	pco0060002			integer, 
	pco0060003			integer, 
	pco0060004			integer, 
	pco0060005			integer, 
	pco0060006			integer, 
	pco0060007			integer, 
	pco0060008			integer, 
	pco0060009			integer, 
	pco0060010			integer, 
	pco0060011			integer, 
	pco0060012			integer, 
	pco0060013			integer, 
	pco0060014			integer, 
	pco0060015			integer, 
	pco0060016			integer, 
	pco0060017			integer, 
	pco0060018			integer, 
	pco0060019			integer, 
	pco0060020			integer, 
	pco0060021			integer, 
	pco0060022			integer, 
	pco0060023			integer, 
	pco0060024			integer, 
	pco0060025			integer, 
	pco0060026			integer, 
	pco0060027			integer, 
	pco0060028			integer, 
	pco0060029			integer, 
	pco0060030			integer, 
	pco0060031			integer, 
	pco0060032			integer, 
	pco0060033			integer, 
	pco0060034			integer, 
	pco0060035			integer, 
	pco0060036			integer, 
	pco0060037			integer, 
	pco0060038			integer, 
	pco0060039			integer
);
-- create any indexes ...

-- drop table sf1_00041;
create table sf1_00041
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	pco0070001			integer, 
	pco0070002			integer, 
	pco0070003			integer, 
	pco0070004			integer, 
	pco0070005			integer, 
	pco0070006			integer, 
	pco0070007			integer, 
	pco0070008			integer, 
	pco0070009			integer, 
	pco0070010			integer, 
	pco0070011			integer, 
	pco0070012			integer, 
	pco0070013			integer, 
	pco0070014			integer, 
	pco0070015			integer, 
	pco0070016			integer, 
	pco0070017			integer, 
	pco0070018			integer, 
	pco0070019			integer, 
	pco0070020			integer, 
	pco0070021			integer, 
	pco0070022			integer, 
	pco0070023			integer, 
	pco0070024			integer, 
	pco0070025			integer, 
	pco0070026			integer, 
	pco0070027			integer, 
	pco0070028			integer, 
	pco0070029			integer, 
	pco0070030			integer, 
	pco0070031			integer, 
	pco0070032			integer, 
	pco0070033			integer, 
	pco0070034			integer, 
	pco0070035			integer, 
	pco0070036			integer, 
	pco0070037			integer, 
	pco0070038			integer, 
	pco0070039			integer, 
	pco0080001			integer, 
	pco0080002			integer, 
	pco0080003			integer, 
	pco0080004			integer, 
	pco0080005			integer, 
	pco0080006			integer, 
	pco0080007			integer, 
	pco0080008			integer, 
	pco0080009			integer, 
	pco0080010			integer, 
	pco0080011			integer, 
	pco0080012			integer, 
	pco0080013			integer, 
	pco0080014			integer, 
	pco0080015			integer, 
	pco0080016			integer, 
	pco0080017			integer, 
	pco0080018			integer, 
	pco0080019			integer, 
	pco0080020			integer, 
	pco0080021			integer, 
	pco0080022			integer, 
	pco0080023			integer, 
	pco0080024			integer, 
	pco0080025			integer, 
	pco0080026			integer, 
	pco0080027			integer, 
	pco0080028			integer, 
	pco0080029			integer, 
	pco0080030			integer, 
	pco0080031			integer, 
	pco0080032			integer, 
	pco0080033			integer, 
	pco0080034			integer, 
	pco0080035			integer, 
	pco0080036			integer, 
	pco0080037			integer, 
	pco0080038			integer, 
	pco0080039			integer, 
	pco0090001			integer, 
	pco0090002			integer, 
	pco0090003			integer, 
	pco0090004			integer, 
	pco0090005			integer, 
	pco0090006			integer, 
	pco0090007			integer, 
	pco0090008			integer, 
	pco0090009			integer, 
	pco0090010			integer, 
	pco0090011			integer, 
	pco0090012			integer, 
	pco0090013			integer, 
	pco0090014			integer, 
	pco0090015			integer, 
	pco0090016			integer, 
	pco0090017			integer, 
	pco0090018			integer, 
	pco0090019			integer, 
	pco0090020			integer, 
	pco0090021			integer, 
	pco0090022			integer, 
	pco0090023			integer, 
	pco0090024			integer, 
	pco0090025			integer, 
	pco0090026			integer, 
	pco0090027			integer, 
	pco0090028			integer, 
	pco0090029			integer, 
	pco0090030			integer, 
	pco0090031			integer, 
	pco0090032			integer, 
	pco0090033			integer, 
	pco0090034			integer, 
	pco0090035			integer, 
	pco0090036			integer, 
	pco0090037			integer, 
	pco0090038			integer, 
	pco0090039			integer, 
	pco0100001			integer, 
	pco0100002			integer, 
	pco0100003			integer, 
	pco0100004			integer, 
	pco0100005			integer, 
	pco0100006			integer, 
	pco0100007			integer, 
	pco0100008			integer, 
	pco0100009			integer, 
	pco0100010			integer, 
	pco0100011			integer, 
	pco0100012			integer, 
	pco0100013			integer, 
	pco0100014			integer, 
	pco0100015			integer, 
	pco0100016			integer, 
	pco0100017			integer, 
	pco0100018			integer, 
	pco0100019			integer, 
	pco0100020			integer, 
	pco0100021			integer, 
	pco0100022			integer, 
	pco0100023			integer, 
	pco0100024			integer, 
	pco0100025			integer, 
	pco0100026			integer, 
	pco0100027			integer, 
	pco0100028			integer, 
	pco0100029			integer, 
	pco0100030			integer, 
	pco0100031			integer, 
	pco0100032			integer, 
	pco0100033			integer, 
	pco0100034			integer, 
	pco0100035			integer, 
	pco0100036			integer, 
	pco0100037			integer, 
	pco0100038			integer, 
	pco0100039			integer
);
-- create any indexes ...

-- drop table sf1_00042;
create table sf1_00042
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	h00010001			integer
);
-- create any indexes ...

-- drop table sf1_00043;
create table sf1_00043
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	h0020001			integer, 
	h0020002			integer, 
	h0020003			integer, 
	h0020004			integer, 
	h0020005			integer, 
	h0020006			integer
);
-- create any indexes ...

-- drop table sf1_00044;
create table sf1_00044
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	h0030001			integer, 
	h0030002			integer, 
	h0030003			integer, 
	h0040001			integer, 
	h0040002			integer, 
	h0040003			integer, 
	h0040004			integer, 
	h0050001			integer, 
	h0050002			integer, 
	h0050003			integer, 
	h0050004			integer, 
	h0050005			integer, 
	h0050006			integer, 
	h0050007			integer, 
	h0050008			integer, 
	h0060001			integer, 
	h0060002			integer, 
	h0060003			integer, 
	h0060004			integer, 
	h0060005			integer, 
	h0060006			integer, 
	h0060007			integer, 
	h0060008			integer, 
	h0070001			integer, 
	h0070002			integer, 
	h0070003			integer, 
	h0070004			integer, 
	h0070005			integer, 
	h0070006			integer, 
	h0070007			integer, 
	h0070008			integer, 
	h0070009			integer, 
	h0070010			integer, 
	h0070011			integer, 
	h0070012			integer, 
	h0070013			integer, 
	h0070014			integer, 
	h0070015			integer, 
	h0070016			integer, 
	h0070017			integer, 
	h0080001			integer, 
	h0080002			integer, 
	h0080003			integer, 
	h0080004			integer, 
	h0080005			integer, 
	h0080006			integer, 
	h0080007			integer, 
	h0090001			integer, 
	h0090002			integer, 
	h0090003			integer, 
	h0090004			integer, 
	h0090005			integer, 
	h0090006			integer, 
	h0090007			integer, 
	h0090008			integer, 
	h0090009			integer, 
	h0090010			integer, 
	h0090011			integer, 
	h0090012			integer, 
	h0090013			integer, 
	h0090014			integer, 
	h0090015			integer, 
	h0100001			integer, 
	h0110001			integer, 
	h0110002			integer, 
	h0110003			integer, 
	h0110004			integer, 
	h0120001			numeric, 
	h0120002			numeric, 
	h0120003			numeric, 
	h0130001			integer, 
	h0130002			integer, 
	h0130003			integer, 
	h0130004			integer, 
	h0130005			integer, 
	h0130006			integer, 
	h0130007			integer, 
	h0130008			integer, 
	h0140001			integer, 
	h0140002			integer, 
	h0140003			integer, 
	h0140004			integer, 
	h0140005			integer, 
	h0140006			integer, 
	h0140007			integer, 
	h0140008			integer, 
	h0140009			integer, 
	h0140010			integer, 
	h0140011			integer, 
	h0140012			integer, 
	h0140013			integer, 
	h0140014			integer, 
	h0140015			integer, 
	h0140016			integer, 
	h0140017			integer, 
	h0150001			integer, 
	h0150002			integer, 
	h0150003			integer, 
	h0150004			integer, 
	h0150005			integer, 
	h0150006			integer, 
	h0150007			integer, 
	h0160001			integer, 
	h0160002			integer, 
	h0160003			integer, 
	h0160004			integer, 
	h0160005			integer, 
	h0160006			integer, 
	h0160007			integer, 
	h0160008			integer, 
	h0160009			integer, 
	h0160010			integer, 
	h0160011			integer, 
	h0160012			integer, 
	h0160013			integer, 
	h0160014			integer, 
	h0160015			integer, 
	h0160016			integer, 
	h0160017			integer, 
	h0170001			integer, 
	h0170002			integer, 
	h0170003			integer, 
	h0170004			integer, 
	h0170005			integer, 
	h0170006			integer, 
	h0170007			integer, 
	h0170008			integer, 
	h0170009			integer, 
	h0170010			integer, 
	h0170011			integer, 
	h0170012			integer, 
	h0170013			integer, 
	h0170014			integer, 
	h0170015			integer, 
	h0170016			integer, 
	h0170017			integer, 
	h0170018			integer, 
	h0170019			integer, 
	h0170020			integer, 
	h0170021			integer, 
	h0180001			integer, 
	h0180002			integer, 
	h0180003			integer, 
	h0180004			integer, 
	h0180005			integer, 
	h0180006			integer, 
	h0180007			integer, 
	h0180008			integer, 
	h0180009			integer, 
	h0180010			integer, 
	h0180011			integer, 
	h0180012			integer, 
	h0180013			integer, 
	h0180014			integer, 
	h0180015			integer, 
	h0180016			integer, 
	h0180017			integer, 
	h0180018			integer, 
	h0180019			integer, 
	h0180020			integer, 
	h0180021			integer, 
	h0180022			integer, 
	h0180023			integer, 
	h0180024			integer, 
	h0180025			integer, 
	h0180026			integer, 
	h0180027			integer, 
	h0180028			integer, 
	h0180029			integer, 
	h0180030			integer, 
	h0180031			integer, 
	h0180032			integer, 
	h0180033			integer, 
	h0180034			integer, 
	h0180035			integer, 
	h0180036			integer, 
	h0180037			integer, 
	h0180038			integer, 
	h0180039			integer, 
	h0180040			integer, 
	h0180041			integer, 
	h0180042			integer, 
	h0180043			integer, 
	h0180044			integer, 
	h0180045			integer, 
	h0180046			integer, 
	h0180047			integer, 
	h0180048			integer, 
	h0180049			integer, 
	h0180050			integer, 
	h0180051			integer, 
	h0180052			integer, 
	h0180053			integer, 
	h0180054			integer, 
	h0180055			integer, 
	h0180056			integer, 
	h0180057			integer, 
	h0180058			integer, 
	h0180059			integer, 
	h0180060			integer, 
	h0180061			integer, 
	h0180062			integer, 
	h0180063			integer, 
	h0180064			integer, 
	h0180065			integer, 
	h0180066			integer, 
	h0180067			integer, 
	h0180068			integer, 
	h0180069			integer, 
	h0190001			integer, 
	h0190002			integer, 
	h0190003			integer, 
	h0190004			integer, 
	h0190005			integer, 
	h0190006			integer, 
	h0190007			integer, 
	h0200001			integer, 
	h0200002			integer, 
	h0200003			integer, 
	h0210001			integer, 
	h0210002			integer, 
	h0210003			integer, 
	h0220001			integer, 
	h0220002			integer, 
	h0220003			integer, 
	h011a0001			integer, 
	h011a0002			integer, 
	h011a0003			integer, 
	h011a0004			integer, 
	h011b0001			integer, 
	h011b0002			integer, 
	h011b0003			integer, 
	h011b0004			integer, 
	h011c0001			integer, 
	h011c0002			integer, 
	h011c0003			integer, 
	h011c0004			integer, 
	h011d0001			integer, 
	h011d0002			integer, 
	h011d0003			integer, 
	h011d0004			integer, 
	h011e0001			integer, 
	h011e0002			integer, 
	h011e0003			integer, 
	h011e0004			integer, 
	h011f0001			integer, 
	h011f0002			integer, 
	h011f0003			integer, 
	h011f0004			integer
);
-- create any indexes ...

-- drop table sf1_00045;
create table sf1_00045
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	h011g0001			integer, 
	h011g0002			integer, 
	h011g0003			integer, 
	h011g0004			integer, 
	h011h0001			integer, 
	h011h0002			integer, 
	h011h0003			integer, 
	h011h0004			integer, 
	h011i0001			integer, 
	h011i0002			integer, 
	h011i0003			integer, 
	h011i0004			integer, 
	h012a0001			numeric, 
	h012a0002			numeric, 
	h012a0003			numeric, 
	h012b0001			numeric, 
	h012b0002			numeric, 
	h012b0003			numeric, 
	h012c0001			numeric, 
	h012c0002			numeric, 
	h012c0003			numeric, 
	h012d0001			numeric, 
	h012d0002			numeric, 
	h012d0003			numeric, 
	h012e0001			numeric, 
	h012e0002			numeric, 
	h012e0003			numeric, 
	h012f0001			numeric, 
	h012f0002			numeric, 
	h012f0003			numeric, 
	h012g0001			numeric, 
	h012g0002			numeric, 
	h012g0003			numeric, 
	h012h0001			numeric, 
	h012h0002			numeric, 
	h012h0003			numeric, 
	h012i0001			numeric, 
	h012i0002			numeric, 
	h012i0003			numeric, 
	h016a0001			integer, 
	h016a0002			integer, 
	h016a0003			integer, 
	h016a0004			integer, 
	h016a0005			integer, 
	h016a0006			integer, 
	h016a0007			integer, 
	h016a0008			integer, 
	h016a0009			integer, 
	h016a0010			integer, 
	h016a0011			integer, 
	h016a0012			integer, 
	h016a0013			integer, 
	h016a0014			integer, 
	h016a0015			integer, 
	h016a0016			integer, 
	h016a0017			integer, 
	h016b0001			integer, 
	h016b0002			integer, 
	h016b0003			integer, 
	h016b0004			integer, 
	h016b0005			integer, 
	h016b0006			integer, 
	h016b0007			integer, 
	h016b0008			integer, 
	h016b0009			integer, 
	h016b0010			integer, 
	h016b0011			integer, 
	h016b0012			integer, 
	h016b0013			integer, 
	h016b0014			integer, 
	h016b0015			integer, 
	h016b0016			integer, 
	h016b0017			integer, 
	h016c0001			integer, 
	h016c0002			integer, 
	h016c0003			integer, 
	h016c0004			integer, 
	h016c0005			integer, 
	h016c0006			integer, 
	h016c0007			integer, 
	h016c0008			integer, 
	h016c0009			integer, 
	h016c0010			integer, 
	h016c0011			integer, 
	h016c0012			integer, 
	h016c0013			integer, 
	h016c0014			integer, 
	h016c0015			integer, 
	h016c0016			integer, 
	h016c0017			integer, 
	h016d0001			integer, 
	h016d0002			integer, 
	h016d0003			integer, 
	h016d0004			integer, 
	h016d0005			integer, 
	h016d0006			integer, 
	h016d0007			integer, 
	h016d0008			integer, 
	h016d0009			integer, 
	h016d0010			integer, 
	h016d0011			integer, 
	h016d0012			integer, 
	h016d0013			integer, 
	h016d0014			integer, 
	h016d0015			integer, 
	h016d0016			integer, 
	h016d0017			integer, 
	h016e0001			integer, 
	h016e0002			integer, 
	h016e0003			integer, 
	h016e0004			integer, 
	h016e0005			integer, 
	h016e0006			integer, 
	h016e0007			integer, 
	h016e0008			integer, 
	h016e0009			integer, 
	h016e0010			integer, 
	h016e0011			integer, 
	h016e0012			integer, 
	h016e0013			integer, 
	h016e0014			integer, 
	h016e0015			integer, 
	h016e0016			integer, 
	h016e0017			integer, 
	h016f0001			integer, 
	h016f0002			integer, 
	h016f0003			integer, 
	h016f0004			integer, 
	h016f0005			integer, 
	h016f0006			integer, 
	h016f0007			integer, 
	h016f0008			integer, 
	h016f0009			integer, 
	h016f0010			integer, 
	h016f0011			integer, 
	h016f0012			integer, 
	h016f0013			integer, 
	h016f0014			integer, 
	h016f0015			integer, 
	h016f0016			integer, 
	h016f0017			integer, 
	h016g0001			integer, 
	h016g0002			integer, 
	h016g0003			integer, 
	h016g0004			integer, 
	h016g0005			integer, 
	h016g0006			integer, 
	h016g0007			integer, 
	h016g0008			integer, 
	h016g0009			integer, 
	h016g0010			integer, 
	h016g0011			integer, 
	h016g0012			integer, 
	h016g0013			integer, 
	h016g0014			integer, 
	h016g0015			integer, 
	h016g0016			integer, 
	h016g0017			integer, 
	h016h0001			integer, 
	h016h0002			integer, 
	h016h0003			integer, 
	h016h0004			integer, 
	h016h0005			integer, 
	h016h0006			integer, 
	h016h0007			integer, 
	h016h0008			integer, 
	h016h0009			integer, 
	h016h0010			integer, 
	h016h0011			integer, 
	h016h0012			integer, 
	h016h0013			integer, 
	h016h0014			integer, 
	h016h0015			integer, 
	h016h0016			integer, 
	h016h0017			integer, 
	h016i0001			integer, 
	h016i0002			integer, 
	h016i0003			integer, 
	h016i0004			integer, 
	h016i0005			integer, 
	h016i0006			integer, 
	h016i0007			integer, 
	h016i0008			integer, 
	h016i0009			integer, 
	h016i0010			integer, 
	h016i0011			integer, 
	h016i0012			integer, 
	h016i0013			integer, 
	h016i0014			integer, 
	h016i0015			integer, 
	h016i0016			integer, 
	h016i0017			integer, 
	h017a0001			integer, 
	h017a0002			integer, 
	h017a0003			integer, 
	h017a0004			integer, 
	h017a0005			integer, 
	h017a0006			integer, 
	h017a0007			integer, 
	h017a0008			integer, 
	h017a0009			integer, 
	h017a0010			integer, 
	h017a0011			integer, 
	h017a0012			integer, 
	h017a0013			integer, 
	h017a0014			integer, 
	h017a0015			integer, 
	h017a0016			integer, 
	h017a0017			integer, 
	h017a0018			integer, 
	h017a0019			integer, 
	h017a0020			integer, 
	h017a0021			integer, 
	h017b0001			integer, 
	h017b0002			integer, 
	h017b0003			integer, 
	h017b0004			integer, 
	h017b0005			integer, 
	h017b0006			integer, 
	h017b0007			integer, 
	h017b0008			integer, 
	h017b0009			integer, 
	h017b0010			integer, 
	h017b0011			integer, 
	h017b0012			integer, 
	h017b0013			integer, 
	h017b0014			integer, 
	h017b0015			integer, 
	h017b0016			integer, 
	h017b0017			integer, 
	h017b0018			integer, 
	h017b0019			integer, 
	h017b0020			integer, 
	h017b0021			integer
	h017c0001			integer, 
	h017c0002			integer, 
	h017c0003			integer, 
	h017c0004			integer, 
	h017c0005			integer, 
	h017c0006			integer, 
	h017c0007			integer, 
	h017c0008			integer, 
	h017c0009			integer, 
	h017c0010			integer, 
	h017c0011			integer, 
	h017c0012			integer, 
	h017c0013			integer, 
	h017c0014			integer, 
	h017c0015			integer, 
	h017c0016			integer, 
	h017c0017			integer, 
	h017c0018			integer, 
	h017c0019			integer, 
	h017c0020			integer, 
	h017c0021			integer
);
-- create any indexes ...

-- drop table sf1_00046;
create table sf1_00046
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	h017d0001			integer, 
	h017d0002			integer, 
	h017d0003			integer, 
	h017d0004			integer, 
	h017d0005			integer, 
	h017d0006			integer, 
	h017d0007			integer, 
	h017d0008			integer, 
	h017d0009			integer, 
	h017d0010			integer, 
	h017d0011			integer, 
	h017d0012			integer, 
	h017d0013			integer, 
	h017d0014			integer, 
	h017d0015			integer, 
	h017d0016			integer, 
	h017d0017			integer, 
	h017d0018			integer, 
	h017d0019			integer, 
	h017d0020			integer, 
	h017d0021			integer, 
	h017e0001			integer, 
	h017e0002			integer, 
	h017e0003			integer, 
	h017e0004			integer, 
	h017e0005			integer, 
	h017e0006			integer, 
	h017e0007			integer, 
	h017e0008			integer, 
	h017e0009			integer, 
	h017e0010			integer, 
	h017e0011			integer, 
	h017e0012			integer, 
	h017e0013			integer, 
	h017e0014			integer, 
	h017e0015			integer, 
	h017e0016			integer, 
	h017e0017			integer, 
	h017e0018			integer, 
	h017e0019			integer, 
	h017e0020			integer, 
	h017e0021			integer, 
	h017f0001			integer, 
	h017f0002			integer, 
	h017f0003			integer, 
	h017f0004			integer, 
	h017f0005			integer, 
	h017f0006			integer, 
	h017f0007			integer, 
	h017f0008			integer, 
	h017f0009			integer, 
	h017f0010			integer, 
	h017f0011			integer, 
	h017f0012			integer, 
	h017f0013			integer, 
	h017f0014			integer, 
	h017f0015			integer, 
	h017f0016			integer, 
	h017f0017			integer, 
	h017f0018			integer, 
	h017f0019			integer, 
	h017f0020			integer, 
	h017f0021			integer, 
	h017g0001			integer, 
	h017g0002			integer, 
	h017g0003			integer, 
	h017g0004			integer, 
	h017g0005			integer, 
	h017g0006			integer, 
	h017g0007			integer, 
	h017g0008			integer, 
	h017g0009			integer, 
	h017g0010			integer, 
	h017g0011			integer, 
	h017g0012			integer, 
	h017g0013			integer, 
	h017g0014			integer, 
	h017g0015			integer, 
	h017g0016			integer, 
	h017g0017			integer, 
	h017g0018			integer, 
	h017g0019			integer, 
	h017g0020			integer, 
	h017g0021			integer, 
	h017h0001			integer, 
	h017h0002			integer, 
	h017h0003			integer, 
	h017h0004			integer, 
	h017h0005			integer, 
	h017h0006			integer, 
	h017h0007			integer, 
	h017h0008			integer, 
	h017h0009			integer, 
	h017h0010			integer, 
	h017h0011			integer, 
	h017h0012			integer, 
	h017h0013			integer, 
	h017h0014			integer, 
	h017h0015			integer, 
	h017h0016			integer, 
	h017h0017			integer, 
	h017h0018			integer, 
	h017h0019			integer, 
	h017h0020			integer, 
	h017h0021			integer, 
	h017i0001			integer, 
	h017i0002			integer, 
	h017i0003			integer, 
	h017i0004			integer, 
	h017i0005			integer, 
	h017i0006			integer, 
	h017i0007			integer, 
	h017i0008			integer, 
	h017i0009			integer, 
	h017i0010			integer, 
	h017i0011			integer, 
	h017i0012			integer, 
	h017i0013			integer, 
	h017i0014			integer, 
	h017i0015			integer, 
	h017i0016			integer, 
	h017i0017			integer, 
	h017i0018			integer, 
	h017i0019			integer, 
	h017i0020			integer, 
	h017i0021			integer
);
-- create any indexes ...

-- drop table sf1_00047;
create table sf1_00047
 (
	fileid			varchar(510), 
	stusab			varchar(510), 
	chariter			varchar(510), 
	cifsn			varchar(510), 
	logrecno			integer PRIMARY KEY, 
	hct0010001			integer, 
	hct0010002			integer, 
	hct0010003			integer, 
	hct0010004			integer, 
	hct0010005			integer, 
	hct0010006			integer, 
	hct0010007			integer, 
	hct0010008			integer, 
	hct0010009			integer, 
	hct0010010			integer, 
	hct0010011			integer, 
	hct0010012			integer, 
	hct0010013			integer, 
	hct0010014			integer, 
	hct0010015			integer, 
	hct0010016			integer, 
	hct0010017			integer, 
	hct0010018			integer, 
	hct0010019			integer, 
	hct0010020			integer, 
	hct0010021			integer, 
	hct0010022			integer, 
	hct0010023			integer, 
	hct0010024			integer, 
	hct0010025			integer, 
	hct0010026			integer, 
	hct0010027			integer, 
	hct0010028			integer, 
	hct0010029			integer, 
	hct0010030			integer, 
	hct0010031			integer, 
	hct0010032			integer, 
	hct0010033			integer, 
	hct0010034			integer, 
	hct0010035			integer, 
	hct0020001			integer, 
	hct0020002			integer, 
	hct0020003			integer, 
	hct0020004			integer, 
	hct0020005			integer, 
	hct0020006			integer, 
	hct0020007			integer, 
	hct0020008			integer, 
	hct0020009			integer, 
	hct0020010			integer, 
	hct0020011			integer, 
	hct0020012			integer, 
	hct0020013			integer, 
	hct0030001			integer, 
	hct0030002			integer, 
	hct0030003			integer, 
	hct0030004			integer, 
	hct0030005			integer, 
	hct0030006			integer, 
	hct0030007			integer, 
	hct0030008			integer, 
	hct0030009			integer, 
	hct0030010			integer, 
	hct0030011			integer, 
	hct0030012			integer, 
	hct0030013			integer, 
	hct0040001			integer, 
	hct0040002			integer, 
	hct0040003			integer, 
	hct0040004			integer, 
	hct0040005			integer, 
	hct0040006			integer, 
	hct0040007			integer, 
	hct0040008			integer, 
	hct0040009			integer, 
	hct0040010			integer, 
	hct0040011			integer, 
	hct0040012			integer, 
	hct0040013			integer
);
-- create any indexes ...

-- create any relationships ...

